commit 5971fc408de5137b38f1ebe95f47f3f6573a86ed
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 30 18:41:57 2012 +0100

    Updated release notes and version

doc/news/release_0_14_1.page
doc/sidebar.template
lib/kramdown/version.rb

commit d3c2777b40f29c27de3ea82dccdbd7484ecd3653
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 30 18:21:35 2012 +0100

    Fixed GH#30: Specifying empty definitions for a definition list now works

lib/kramdown/converter/kramdown.rb
lib/kramdown/parser/kramdown/list.rb
test/testcases/block/13_definition_list/simple.html
test/testcases/block/13_definition_list/simple.text

commit e7e74ad14bfb9036aa0cc771179cdec8d0315c82
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 29 20:32:10 2012 +0100

    Better fix for the output of closed/open elements
    
    Using the already defined tags for HTML elements without a body
    and better output for unknown elements.

lib/kramdown/converter/html.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/html.rb

commit 12a9060cd06bb40ea3f73edae1c7397d3e2d1320
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Nov 18 20:42:54 2012 +0100

    Fixed: Using a block IAL before a definition list now works

lib/kramdown/parser/kramdown/list.rb
test/testcases/block/13_definition_list/deflist_ial.html
test/testcases/block/13_definition_list/deflist_ial.text

commit 3912de9a399e234c163d792ed84f657ed549d06e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Nov 18 13:04:08 2012 +0100

    Fixed problem with the output of empty i/b HTML tags

lib/kramdown/converter/html.rb

commit a03c57bb25cc3d97f6c14df4c48d1f6be4b49130
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Oct 28 06:58:49 2012 +0100

    Docu fix

doc/quickref.page

commit a29151de6a88eefbd0a181331ebae298ee441d27
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Sep 16 07:58:38 2012 +0200

    Updated release notes and version

doc/news/release_0_14_0.page
doc/sidebar.template
lib/kramdown/version.rb

commit eacc89ce68a87bb1d1d68fb76efa5ca2a55bebd1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Sep 12 22:06:29 2012 +0200

    Backwards incompatible change: code language now specified via special class
    
    Using lang='LANGUAGE' for specifying the code language of code
    blocks/spans is not good because it conflicts with the normal
    usage of the lang attr.
    
    Therefore the code language must now be specified via a special
    class 'language-LANGUAGE' which is also the way how it is done
    in the HTML5 spec.

doc/converter/html.page
doc/documentation.page
doc/news/release_0_5_0.page
lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/codeblock.rb
test/testcases/block/06_codeblock/highlighting.text
test/testcases/block/06_codeblock/with_lang_in_fenced_block.html
test/testcases/block/06_codeblock/with_lang_in_fenced_block.text
test/testcases/block/12_extension/options3.text
test/testcases/span/03_codespan/highlighting.html
test/testcases/span/03_codespan/highlighting.text

commit f7424c0c9d38aea6ad781ad66d19a2a4d429263e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Sep 12 21:37:20 2012 +0200

    Fixed typo in syntax doc

doc/syntax.page

commit 967b6dac2ae71638ba00a5ac67dd0f2d9e7d60d2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Sep 12 20:50:35 2012 +0200

    Implemented support for setting language on fenced code block starting line
    
    Patch based on a series of commits by @unibr (Bran) with some needed fixes

doc/quickref.page
doc/syntax.page
lib/kramdown/parser/kramdown/codeblock.rb
test/testcases/block/06_codeblock/with_lang_in_fenced_block.html
test/testcases/block/06_codeblock/with_lang_in_fenced_block.options
test/testcases/block/06_codeblock/with_lang_in_fenced_block.text

commit fb903f8fd1ae1ed3a37f3adae41b5e48f72d16ba
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Sep 7 17:09:01 2012 +0200

    Added failing test case to exclusion list

test/test_files.rb

commit 6fdc0ca4483ead67adbb2034f85b81c8529a4451
Merge: 4d4e5f6 f2ccb8e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Sep 7 16:06:19 2012 +0200

    Merge branch 'notoc' of https://github.com/rumpuslabs/kramdown

commit f2ccb8e9e9ead6ca90f039e0e8d9e5af7b86409d
Author: Tim Bates <tim@rumpuslabs.com>
Date:   Wed Sep 5 23:27:32 2012 +0930

    Exclude headers from TOC using `.no_toc` class.
    
    Applying {:.no_toc} to a header will prevent it from being included in
    the table of contents.

doc/converter/html.page
lib/kramdown/converter/base.rb
test/testcases/block/16_toc/toc_exclude.html
test/testcases/block/16_toc/toc_exclude.options
test/testcases/block/16_toc/toc_exclude.text

commit 4d4e5f6471d395f554833ecd8899dc42bf509971
Author: Gioele Barabucci <gioele@svario.it>
Date:   Wed Aug 29 19:55:57 2012 +0200

    Use Unicode regexes on Ruby 1.8.x and 1.9.x

lib/kramdown/parser/kramdown/autolink.rb

commit 51315236ee6d2bdee4ec6cddd32b7c82408c34ec
Author: Gioele Barabucci <gioele@svario.it>
Date:   Wed Aug 29 19:51:53 2012 +0200

    Check for encoding support instead of version string

lib/kramdown/converter/html.rb
lib/kramdown/parser/base.rb
lib/kramdown/parser/html.rb

commit 4bd036c0df4eacc31ee0e7b5b38c9ec5164f86ab
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Sep 4 17:26:38 2012 +0200

    Fixed test cases to correspond with new default entity fallback

test/testcases/block/04_header/setext_header.html
test/testcases/block/04_header/setext_header.html.19
test/testcases/block/04_header/setext_header.text
test/testcases/block/07_horizontal_rule/error.html
test/testcases/block/09_html/html_to_native/typography.html
test/testcases/block/14_table/simple.html
test/testcases/span/01_link/inline.html
test/testcases/span/01_link/reference.html
test/testcases/span/text_substitutions/typography.html.19
test/testcases/span/text_substitutions/typography.options

commit c41870969ca13535ac16b564eb5ab34833d001e3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Sep 4 16:59:51 2012 +0200

    Use symbolic entities as default fallback for predefined XML entities

lib/kramdown/utils/html.rb

commit ec5bf062031cb1116d1b45b7d85955a9e651cfde
Merge: 69fbdcb 462c80c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Sep 4 16:47:12 2012 +0200

    Merge branch 'num-entities' of https://github.com/gioele/kramdown

commit 69fbdcbf2b3585f92819f941f695f2ab10d2051f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Aug 31 18:35:39 2012 +0200

    Fixed API index page documentation
    
    Since the README.md file now contains Markdown and RDoc markup,
    the API index page documentation was moved to another file.

Rakefile
lib/kramdown/document.rb

commit 03c304e4dc8e996c48c5aa517d881985023915c3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Aug 31 18:13:09 2012 +0200

    Updated release notes and version number

doc/news/release_0_13_8.page
doc/sidebar.template
lib/kramdown/version.rb

commit 0daf6f3452517602590349398f743e91c95ee053
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Aug 31 18:06:07 2012 +0200

    Fixed enable_coderay patch
    
    * Fixed code of enable_coderay option to generate backwards-compatible
      output
    * Updated documentation

doc/converter/html.page
lib/kramdown/converter/html.rb
lib/kramdown/options.rb
test/test_files.rb
test/testcases/block/06_codeblock/disable-highlighting.html

commit 0b9d8fc2346b346ffc437fe546db47d500ff8415
Merge: 9085ede 4b5c0f8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Aug 31 17:34:50 2012 +0200

    Merge branch 'option-enable-coderay' of https://github.com/unibr/kramdown

commit 9085ede998c4a1cc7d0869a43d4ea511ce649a89
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Aug 31 16:35:16 2012 +0200

    Updated description of :coderay_default_lang to make it clear that it is only used for code blocks

lib/kramdown/options.rb

commit f0efc41dba131cfd6965cf16f852218b7936d4b8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Aug 31 16:19:28 2012 +0200

    Fixed double output of markdown attribute on HTML elements in kramdown converter

lib/kramdown/converter/kramdown.rb

commit a22b5d32623b5ae7f1ce7b38684fc8bb3228caed
Merge: 46bd5f6 df8ff9d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Aug 30 01:57:56 2012 -0700

    Merge pull request #17 from gioele/tests-on-ruby193
    
    Work around RakeTest problems with Ruby 1.9.3

commit 4b5c0f8d59dac123a088b73a4f3a4b4a282fb5b9
Author: Bran <m.versum@gmail.com>
Date:   Thu Aug 30 10:45:44 2012 +0800

    support disable coderay
    
    + add option `:enable_coderay`, which can be used to disable coderay.
    the default vaule is `true` to be compatible with current behavior
    + add content about it in doc

doc/converter/html.page
lib/kramdown/converter/html.rb
lib/kramdown/options.rb
test/testcases/block/06_codeblock/disable-highlighting.html
test/testcases/block/06_codeblock/disable-highlighting.options
test/testcases/block/06_codeblock/disable-highlighting.text

commit 462c80c67ea839b84e2a2c5bf6d3a752cb7cf9cc
Author: Gioele Barabucci <gioele@svario.it>
Date:   Wed Aug 29 19:06:58 2012 +0200

    Use numeric entities as default fallback if :as_code is not available
    
    Numeric entities can be used directly both in HTML, XHTML, and XML files. On
    the contrary, symbolic entities are allowed only in HTML files.

lib/kramdown/utils/html.rb

commit df8ff9df6968993e73fcc3a8a08db94e4683a23d
Author: Gioele Barabucci <gioele@svario.it>
Date:   Wed Aug 29 18:52:39 2012 +0200

    Work around RakeTest problems with Ruby 1.9.3
    
    Suggested by <https://github.com/jimweirich/rake/issues/51> and
    <https://github.com/colszowka/simplecov/commit/9d64656555e0e75c04bd826f7a22d8cfcc58bfbd>.

Rakefile

commit a08339310d066b81e55f3bc488ac33892135eee3
Author: Gioele Barabucci <gioele@svario.it>
Date:   Wed Aug 29 18:52:05 2012 +0200

    Check for method existence instead of Ruby version

lib/kramdown/utils/html.rb

commit 245c79ccb8c6410d807ce51e429abe4de322ba86
Author: Gioele Barabucci <gioele@svario.it>
Date:   Wed Aug 29 18:45:23 2012 +0200

    Read entity output configuration only once

lib/kramdown/utils/html.rb

commit 46bd5f670b674fe3dcd310069e334ac4d7a0b008
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Aug 28 18:12:07 2012 +0200

    Fixed line breaks and links in README.md

README.md

commit 7721cb3158d88c31218977cff478a0f1b4fdbb98
Author: Bran <m.versum@gmail.com>
Date:   Tue Aug 28 16:33:14 2012 +0800

    Revise README
    
    + rename README to README.md
    + revise the content

README
README.md

commit 0c7ee71cde6eaf67b76ed048fda0c2dbdbd6480f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Aug 10 22:09:50 2012 +0200

    Fixed RF#29626: Link obfuscation did too much
    
    The text of a link with a mailto-scheme is now only obfuscated,
    if the text of the link is the same as the linked-to email address.

lib/kramdown/converter/html.rb
test/testcases/span/autolinks/url_links.html
test/testcases/span/autolinks/url_links.text

commit 3b2a3abc41ab61ff3d581e78d527c89a1d6e61ed
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Aug 10 00:41:39 2012 +0200

    Fixed problem with multiple similar abbreviatons
    
    When one abbreviation definition contains another (like CSS and CSS3), the
    parser did not always do the right thing. Fixed that by making sure that
    the longest abbreviations are replaced first.

lib/kramdown/parser/kramdown/abbreviation.rb
test/testcases/span/abbreviations/abbrev.html
test/testcases/span/abbreviations/abbrev.text

commit 0820af7cbd308fb857b93f7ca23c5c233598f696
Merge: 70d9342 b5ec9e4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Aug 9 15:37:15 2012 -0700

    Merge pull request #13 from alphagov/entities_in_abbr_titles
    
    Convert HMTL entities in abbreviation titles

commit 70d9342820f6b146417a7e9b7f00d1c0d98407f0
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Aug 9 23:45:36 2012 +0200

    Fixed invalid documentation of default value of latex_headers option

lib/kramdown/options.rb

commit 1264a17dbd04c1e6abe7510961a7a4a57c33494c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Aug 9 16:22:10 2012 +0200

    Updated implementation of header offsets
    
    * Updated header_offset documentation
    * Moved implementation of header level calculation into helper method
      defined on Converter::Base
    * Latex and kramdown converters now use the header_offset option, too

lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/converter/latex.rb
lib/kramdown/options.rb
test/test_files.rb
test/testcases/block/04_header/header_type_offset.html
test/testcases/block/04_header/header_type_offset.kramdown
test/testcases/block/04_header/header_type_offset.latex
test/testcases/block/04_header/header_type_offset.text

commit bfcd994349f7224d95b699235dc3755708112959
Merge: be56987 e1ac291
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Aug 8 22:49:52 2012 +0200

    Merge branch 'master' of https://github.com/tillda/kramdown

commit b5ec9e4fd765da62c1bfdbb307d379d955d0b0a4
Author: Alex Tomlins <alex.tomlins@digital.cabinet-office.gov.uk>
Date:   Fri Aug 3 13:01:47 2012 +0100

    Convert entities in abbreviation titles
    
    previously if entities in abbreviation titles had reserved HTML chars in
    them (e.g. &), these weren't converted to entities.  This causes errors
    when processing the resulting markup in nokogiri and the like.

lib/kramdown/converter/html.rb
test/testcases/span/abbreviations/abbrev.html
test/testcases/span/abbreviations/abbrev.text

commit e1ac291052deb9e9e4185e13666446a8a784f533
Author: Michal Till <michal.till@gmail.com>
Date:   Thu Jul 5 15:32:15 2012 +0200

    Add the ability to shift levels of all <Hx> elements by :header_offset option.

lib/kramdown/converter/html.rb
lib/kramdown/options.rb
test/testcases/block/04_header/header_type_offset.html
test/testcases/block/04_header/header_type_offset.options
test/testcases/block/04_header/header_type_offset.text

commit be56987fc283db3997d47a47ba93f7b6c48d562f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jul 4 13:07:18 2012 +0200

    Re-enabled MathJax on the kramdown website

doc/default.template

commit 0914bb652dad9ab1d48abc6de6da7a5ccc0e7996
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 3 09:48:58 2012 +0200

    Updated release notes and version number

doc/news/release_0_13_7.page
doc/sidebar.template
lib/kramdown/version.rb

commit 02bdb1072156b80ef114afbf363db92b6c62f65f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 3 09:42:26 2012 +0200

    Docu fix

doc/converter/html.page

commit 6eeb2cc07876257eec1aaff77a213962378431e2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 3 09:00:14 2012 +0200

    Updated kramdown executable to specify output format chain
    
    This was needed since the new RemoteHtmlTags converter can only be
    used before any standard converter.

bin/kramdown
man/man1/kramdown.1.erb

commit af9adbc5a94e55e05023d609fb3fb9f6878dd645
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 3 08:59:13 2012 +0200

    Implemented converter RemoveHtmlTags
    
    This converter conditionally removes all plain block and/or span
    HTML elements from an element tree. The resulting tree should, in
    most cases, only consist of native kramdown elements.

doc/converter/remove_html_tags.page
doc/documentation.page
lib/kramdown/converter.rb
lib/kramdown/converter/remove_html_tags.rb
lib/kramdown/options.rb
test/test_files.rb

commit 912e905f952e5d1ffc3d2ce4973228bdd89a6750
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 3 08:45:21 2012 +0200

    Doctype declaration is now correctly parsed independent of case

lib/kramdown/parser/html.rb

commit ae13451867f8ca9070c6e714c0183754992bcff1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 3 07:28:10 2012 +0200

    Fixed problem parsing multi-line link titles

lib/kramdown/parser/kramdown/link.rb

commit 8dc30e47144bde35bac1af8b74567fc09b553735
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 3 07:10:55 2012 +0200

    Fixed problems with setting Symbol options
    
    * The nil value can now be specified by the String value 'nil'
    * A colon at the start of a String value is removed before
      converting the String value into a Symbol

lib/kramdown/options.rb

commit 4727a0a3816f149b9c7bea523b918602eb77962e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 3 06:57:51 2012 +0200

    Fixed bug RF#29575: Added &shy; entity

lib/kramdown/converter/latex.rb
lib/kramdown/utils/entities.rb

commit 17625c80825a494065b5d9e4201f1e2fc6ab5104
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jun 2 09:13:16 2012 +0200

    Added new option for setting default coderay highlighting language

doc/converter/html.page
lib/kramdown/converter/html.rb
lib/kramdown/options.rb
test/testcases/block/06_codeblock/highlighting.html
test/testcases/block/06_codeblock/highlighting.options
test/testcases/block/06_codeblock/highlighting.text

commit b0fed40ba8d863f349e3f90e7cc40146bf01507a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jun 2 08:54:07 2012 +0200

    Fixed RF#29576: Footnotes in headers resulted in duplicated id attr in TOC
    
    Footnotes are now removed from the TOC to avoid this problem.

lib/kramdown/converter/html.rb
test/testcases/block/16_toc/toc_with_footnotes.html
test/testcases/block/16_toc/toc_with_footnotes.options
test/testcases/block/16_toc/toc_with_footnotes.text

commit c3ae4a3a0272cb376947f95ad1444c1bd4878301
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jun 2 08:52:39 2012 +0200

    Fixed toc test cases
    
    Test went green although the meaning of the test was not
    satisfied due to copy-paste.

test/testcases/block/16_toc/no_toc.html
test/testcases/block/16_toc/no_toc.options
test/testcases/block/16_toc/toc_levels.options

commit 56f3eb3c2610100c9785d98904d1dcd823e02917
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon May 21 21:56:07 2012 +0200

    RF#29577: Fixed broken link

doc/sidebar.template

commit 40e6cde2d3e1a4f9f6bc14a243b22b4ae3311ca2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed May 9 19:53:47 2012 +0200

    Updated release notes and version number

doc/news/release_0_13_6.page
doc/sidebar.template
lib/kramdown/version.rb
man/man1/kramdown.1.erb

commit 7f66dca331f78d84ef22c489c755360b304cb41f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue May 8 21:20:46 2012 +0200

    Fixed bug RF#29557: Parsing fails with lists with empty list item
    
    If a list item is completely empty, it needs to be handled specially,
    which is done now.

lib/kramdown/converter/kramdown.rb
lib/kramdown/parser/kramdown/list.rb
test/testcases/block/08_list/special_cases.html
test/testcases/block/08_list/special_cases.text

commit ac00ea8ea590ece6c7a6c53b30920114f349b79b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue May 8 20:02:43 2012 +0200

    Fixed problem with CDATA section in non-XHTML pages
    
    The HTML parser does not parse CDATA in script tags and
    therefore the CDATA tags were displayed in MathJax output.
    By commenting out the CDATA tags (with LaTeX comment syntax)
    we avoid this problem.

lib/kramdown/converter/html.rb
lib/kramdown/parser/html.rb
test/testcases/block/15_math/normal.html

commit ce785c7cc29372cb7c5c47647535b1943348aff6
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Feb 19 15:34:37 2012 +0100

    Updated release notes, version number and benchmark graphs

doc/img/graph-ruby-1.8.5-231.png
doc/img/graph-ruby-1.8.6-399.png
doc/img/graph-ruby-1.8.7-249.png
doc/img/graph-ruby-1.8.7-302.png
doc/img/graph-ruby-1.9.2p136-136.png
doc/img/graph-ruby-1.9.3p0-0.png
doc/img/graph-ruby-1.9.3p125-125.png
doc/news/release_0_13_5.page
doc/sidebar.template
doc/tests.page
lib/kramdown/version.rb

commit 90f0583232e814334b2bb8c7fa3228b2f4e30f81
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Feb 19 10:14:58 2012 +0100

    Bug fix: Empty id attributes are handled better now
    
    * The HTML converter does not output empty id attributes anymore.
    * The kramdown converter now always converts empty id attributes
      to IAL form.

lib/kramdown/converter/kramdown.rb
lib/kramdown/utils/html.rb
test/testcases/block/04_header/with_auto_ids.html
test/testcases/block/04_header/with_auto_ids.text

commit d956b98fdf449af145bc8b52539abdb99a062cda
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Feb 19 09:53:03 2012 +0100

    Small typo fix in quickref

doc/quickref.page

commit 4df3c5aaad763cc9d8fd4b129a5cdd245ed5a7f7
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Feb 19 09:38:29 2012 +0100

    Updated homepage contents

doc/documentation.page
doc/index.page
doc/installation.page
doc/news.page
doc/syntax.page
doc/tests.page

commit c0bcd765e131b671661af70274ce632111ad89bb
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Feb 19 09:37:15 2012 +0100

    Updated website design

doc/bg.png
doc/default.scss.css
doc/default.template
doc/design.scss.css
doc/sidebar.template

commit d530421d0a3794010cd0c022decb097158e90732
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Feb 19 09:35:51 2012 +0100

    Disabling line numbers in code listings on homepage

Rakefile

commit a47a5c49e35f9ccb220dca7b5b8ac7d585026ef6
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Feb 19 09:25:01 2012 +0100

    Updated copyright notice updating code

Rakefile

commit 21ce307a6766d131bf3a61de1142d88b0bd0a8be
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Feb 19 09:24:22 2012 +0100

    Updated copyright notices

bin/kramdown
lib/kramdown.rb
lib/kramdown/compatibility.rb
lib/kramdown/converter.rb
lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/converter/latex.rb
lib/kramdown/converter/toc.rb
lib/kramdown/document.rb
lib/kramdown/element.rb
lib/kramdown/error.rb
lib/kramdown/options.rb
lib/kramdown/parser.rb
lib/kramdown/parser/base.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/abbreviation.rb
lib/kramdown/parser/kramdown/autolink.rb
lib/kramdown/parser/kramdown/blank_line.rb
lib/kramdown/parser/kramdown/block_boundary.rb
lib/kramdown/parser/kramdown/blockquote.rb
lib/kramdown/parser/kramdown/codeblock.rb
lib/kramdown/parser/kramdown/codespan.rb
lib/kramdown/parser/kramdown/emphasis.rb
lib/kramdown/parser/kramdown/eob.rb
lib/kramdown/parser/kramdown/escaped_chars.rb
lib/kramdown/parser/kramdown/extensions.rb
lib/kramdown/parser/kramdown/footnote.rb
lib/kramdown/parser/kramdown/header.rb
lib/kramdown/parser/kramdown/horizontal_rule.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/html_entity.rb
lib/kramdown/parser/kramdown/line_break.rb
lib/kramdown/parser/kramdown/link.rb
lib/kramdown/parser/kramdown/list.rb
lib/kramdown/parser/kramdown/math.rb
lib/kramdown/parser/kramdown/paragraph.rb
lib/kramdown/parser/kramdown/smart_quotes.rb
lib/kramdown/parser/kramdown/table.rb
lib/kramdown/parser/kramdown/typographic_symbol.rb
lib/kramdown/parser/markdown.rb
lib/kramdown/utils.rb
lib/kramdown/utils/entities.rb
lib/kramdown/utils/html.rb
lib/kramdown/utils/ordered_hash.rb
lib/kramdown/version.rb
test/run_tests.rb
test/test_files.rb

commit 512b00a6d050f506c43b824861f7bbf459862a19
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Feb 19 09:12:38 2012 +0100

    Fixed bug RF#29521: HTML math output not always XHTML compatible
    
    The characters < and & are not allowed in a script tag in XHTML.
    So since the HTML converter uses script tags for math elements,
    whenever these characters appear in a value the value is wrapped
    in a CDATA section to make the output XHTML compatible.

lib/kramdown/converter/html.rb
lib/kramdown/parser/html.rb
test/testcases/block/15_math/normal.html

commit 8f111947dbcea064a997662d65cd53e6e39c8c40
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Feb 18 20:06:42 2012 +0100

    Fixed bug RF#29520: inline math statements interpreted as math blocks
    
    If a paragraph started and ended with an inline math statement, it was
    parsed as math block. This is fixed now.
    
    Also, it is now better explained in the kramdown syntax documentation
    how special cases are handled.

doc/syntax.page
lib/kramdown/converter/kramdown.rb
lib/kramdown/parser/kramdown/math.rb
test/testcases/span/math/normal.html
test/testcases/span/math/normal.text

commit f5b585513508704563cc0bb343869f91520ff853
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Feb 18 11:11:45 2012 +0100

    Fixed problem with missing methods/constants on older Ruby 1.8.6 versions

lib/kramdown/compatibility.rb

commit 394d5de7cad34ed5e0bdcfc0fcc7a1a28b3f0229
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jan 31 17:32:09 2012 +0100

    Moved camelize method from Document#method_to_class_name to Utils.camelize

lib/kramdown/document.rb
lib/kramdown/utils.rb

commit 7adc3bda20a8290f0af588da7816eec591d4ecaa
Author: tomykaira <tomykaira@gmail.com>
Date:   Fri Dec 30 18:08:43 2011 +0900

    Fix Document#method_missing to accept snake_cased class name
    
    When doc.to_my_converter is called, it should use MyConverter, but used My_converter

lib/kramdown/document.rb

commit a6b181a9baf2eeeabeb55a1a9d5b26791fecad08
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jan 21 12:18:22 2012 +0100

    HTML attributes names are now converted to lower case

doc/syntax.page
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/html5_attributes.html
test/testcases/block/09_html/simple.text
test/testcases/span/05_html/normal.text

commit 170ca36a60d823803f575bf5632d9e9d1e74f7db
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jan 21 12:05:31 2012 +0100

    HTML attributes without values are now supported
    
    This means that one can write boolean HTML attributes now without
    assigning an empty value.

doc/syntax.page
lib/kramdown/converter/kramdown.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/html5_attributes.html
test/testcases/block/09_html/html5_attributes.text
test/testcases/span/05_html/normal.html
test/testcases/span/05_html/normal.text

commit 2c1d7c5e66bfe42052dc43374e123a48e7cb2ad6
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 16 18:40:15 2011 +0100

    Fix to work with newer RDoc versions

Rakefile

commit 2a93cbc0e1bbe705159c645ae617538bad125394
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 16 18:26:32 2011 +0100

    Updated release notes, version number and benchmark graphs

doc/img/graph-jruby-1.6.0-330.png
doc/img/graph-ruby-1.8.5-231.png
doc/img/graph-ruby-1.8.6-399.png
doc/img/graph-ruby-1.8.7-249.png
doc/img/graph-ruby-1.8.7-302.png
doc/img/graph-ruby-1.9.2p136-136.png
doc/img/graph-ruby-1.9.3p0-0.png
doc/index.page
doc/news/release_0_13_4.page
doc/news/release_0_X_X.page
doc/tests.page
lib/kramdown/version.rb

commit dbbabbc5b61b67ed0d22c1aa4a6b17608ed771e6
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 13 17:25:53 2011 +0100

    Fixed test case to work with coderay 1.0

test/testcases/block/12_extension/options3.html

commit 6828b83435c30676185d675dc7b6054846606df0
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 13 17:25:31 2011 +0100

    Updated Rakefile and setup.rb
    
    * Use gem package task supplied by rubygems
    * Add coderay as development dependency
    * Fix warning in setup.rb because of Config::CONFIG use

Rakefile
setup.rb

commit bb7e82ce3f5213830fa6387e6c790a75b919dd38
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 13 17:23:51 2011 +0100

    Fixed problem with different Array#delete_if internals on Ruby 1.9.3
    
    See http://redmine.ruby-lang.org/issues/5752

lib/kramdown/parser/html.rb

commit cd253a5e9d4dcfe55c12caf9257e4f1fb6113943
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 11 15:40:35 2011 +0100

    Fixed warnings on Ruby 1.9.3

lib/kramdown/converter/html.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/header.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/smart_quotes.rb
test/test_files.rb

commit e71cc414755e51c3336551e3f011f2f39ea601ee
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 11 15:32:52 2011 +0100

    Fixed test cases to correctly behave with new footnote rel output

test/testcases/block/12_extension/options.html
test/testcases/block/12_extension/options2.html
test/testcases/block/14_table/table_with_footnote.html

commit b3b2ebc233160f4f649f0d0aed070d7540781c4f
Merge: a58ba5b ef70112
Author: gettalong <t_leitner@gmx.at>
Date:   Sun Dec 11 06:26:18 2011 -0800

    Merge pull request #4 from joefiorini/master
    
    HTML5 Compatibility for Footnotes
    
    Replacing the rev='footnote' with rel='reference'.

commit a58ba5b364081e896e2a49cc06db5aec643f8bb4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 11 12:38:37 2011 +0100

    Fixed bug RF#29426: Content of <style> tags is treated as raw text now

lib/kramdown/parser/html.rb
test/testcases/block/09_html/parse_as_raw.html
test/testcases/block/09_html/parse_as_raw.htmlinput
test/testcases/block/09_html/parse_as_raw.text

commit 14800a606565ff7d1759fea9815be1f9eff9b633
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 11 12:27:52 2011 +0100

    Fixed bug RF#29350: Parsing of HTML tags with mismatched case now works

lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/html.rb
test/test_files.rb
test/testcases/block/09_html/parse_as_raw.htmlinput
test/testcases/block/09_html/parse_as_raw.text
test/testcases/block/09_html/parse_as_span.htmlinput
test/testcases/block/09_html/parse_as_span.text
test/testcases/block/09_html/parse_block_html.text
test/testcases/span/05_html/normal.html
test/testcases/span/05_html/normal.text

commit b585efb3086c3462a573b57d060dfd203070bcc1
Merge: 64a4e7e 3a72b72
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Sep 24 14:41:34 2011 +0200

    Merge branch 'master' of github.com:gettalong/kramdown

commit 3a72b72564d4f788fa1423dd8eb1089e355b0a4c
Merge: e6c1b12 df5e705
Author: gettalong <t_leitner@gmx.at>
Date:   Sat Sep 24 05:28:10 2011 -0700

    Merge pull request #5 from jacius/span
    
    span tags must have a separate closing tag to be valid HTML.

commit e6c1b12fa45c7b3284c4b41247ade9ff4b4379a4
Merge: 9188906 1270445
Author: gettalong <t_leitner@gmx.at>
Date:   Sat Sep 24 05:24:32 2011 -0700

    Merge pull request #6 from postmodern/patch-1
    
    Fixed a typo. --output not --ouput

commit 12704459192bdcbf9b02d1d90483c8d835f3e9f1
Author: Postmodern <postmodern.mod3@gmail.com>
Date:   Thu Aug 4 18:57:59 2011 -0700

    Fixed a typo. --output not --ouput

bin/kramdown

commit df5e705ef41ca2c47b5b0d54509cdfb80c2d5f4d
Author: John Croisant <jacius@gmail.com>
Date:   Sun Jul 10 23:52:35 2011 -0500

    span tags must have a separate closing tag to be valid HTML.
    
    "<span />" is invalid markup in HTML 4 and 5, but valid in XHTML.
    "<span></span>" is valid in all three, so it should be used instead.

lib/kramdown/converter/html.rb
test/testcases/span/05_html/normal.html
test/testcases/span/05_html/normal.text

commit ef7011229e7d93c31c22468e5cfd797051ac280c
Author: Joe Fiorini <joe@faithfulgeek.org>
Date:   Wed May 11 02:08:38 2011 -0400

    Replace rev attribute for HTML5 compatibility

lib/kramdown/converter/html.rb
test/testcases/span/04_footnote/footnote_nr.html
test/testcases/span/04_footnote/markers.html

commit 64a4e7e61da0d720ffd702fd6c45cefafc568d24
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue May 10 20:47:16 2011 +0200

    Added a TOC converter
    
    The TOC converter can be used to get an element tree containing the
    table of contents. Since it uses a custom element type the resulting
    tree cannot be fed directly to any converter.

doc/news/release_0_X_X.page
lib/kramdown/converter.rb
lib/kramdown/converter/toc.rb

commit 5ed13d24d9375771e3a0bd0d4fbe779d0043563b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue May 10 07:42:23 2011 +0200

    Extracted Element class into own file and made some small doc fixes

lib/kramdown/document.rb
lib/kramdown/element.rb

commit 91889069d843273d5847330cdce4b1068e74108f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri May 6 15:39:50 2011 +0200

    Fixed problems with running tests

lib/kramdown/utils/ordered_hash.rb
test/test_files.rb

commit fb83e9d8534b7f2b6f3143e9f394bc3c03c3e219
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri May 6 15:17:22 2011 +0200

    Updated benchmark graphs

doc/img/graph-jruby-1.5.3-249.png
doc/img/graph-jruby-1.6.0-330.png
doc/img/graph-ruby-1.8.5-231.png
doc/img/graph-ruby-1.8.6-399.png
doc/img/graph-ruby-1.8.7-249.png
doc/img/graph-ruby-1.8.7-302.png
doc/img/graph-ruby-1.9.2p136-136.png
doc/tests.page

commit 05865df588767fa89996282719ab4a9302ab01a7
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri May 6 15:07:36 2011 +0200

    Updated release notes and version for release

doc/index.page
doc/news/release_0_13_3.page
doc/news/release_0_X_X.page
lib/kramdown/version.rb

commit 9766c5c47e45bff0b92e96e5b6dc926cfb219941
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 5 17:45:34 2011 +0200

    Nicer HTML block element output in kramdown converter

lib/kramdown/converter/kramdown.rb

commit c40c34b28de32114d4b62a5e0ff6858209eae8f4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 5 17:45:07 2011 +0200

    Fixed kramdown converter to correctly output table cells with attributes

doc/news/release_0_X_X.page
lib/kramdown/converter/kramdown.rb

commit 3317b5ebf72ba96423c643275ee40bee54a57de9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 5 17:42:33 2011 +0200

    Fixed HTML-to-native conversion of unsupported HTML elements
    
    The conversion of HTML elements that have no native representation was
    flawed because they were processed like elements with a native
    representation.

doc/news/release_0_X_X.page
lib/kramdown/parser/html.rb
test/testcases/block/09_html/content_model/tables.html
test/testcases/block/09_html/content_model/tables.text
test/testcases/block/09_html/html_to_native/emphasis.html
test/testcases/block/09_html/html_to_native/table_normal.html
test/testcases/block/09_html/html_to_native/table_simple.html

commit b598a800dad68766b728545a0c1137eee33ac36a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 5 17:31:34 2011 +0200

    Updated HTML parser to support more HTML5 elements

doc/news/release_0_X_X.page
lib/kramdown/parser/html.rb

commit 7a6512cd034f4ff11f2b8a5d63d8aafdb07df95d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon May 2 15:28:33 2011 +0200

    Table cell alignments in HTML are now done using a style attribute on the cells

doc/news/release_0_X_X.page
lib/kramdown/converter/html.rb
lib/kramdown/parser/html.rb
test/testcases/block/14_table/header.html

commit 09b538a79b8074dfd6b1e31bf0390b5906c1da0e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Apr 30 08:05:14 2011 +0200

    Fixed problem with footnotes in LaTeX tables
    
    The tabular environment doesn't support footnotes in LaTeX tables.
    Therefore tables are now set using the longtable environment.

data/kramdown/document.latex
doc/news/release_0_X_X.page
lib/kramdown/converter/latex.rb
test/testcases/block/14_table/table_with_footnote.html
test/testcases/block/14_table/table_with_footnote.latex
test/testcases/block/14_table/table_with_footnote.text

commit 33d07594485db205c327e9ace467538bd61d40c2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Apr 28 17:27:06 2011 +0200

    Fixed problems and inconsistencies in quick reference

Rakefile
doc/default.scss.css
doc/news/release_0_X_X.page
doc/quickref.page

commit a0816c07176b3951a0d43908c581e45c61ea7468
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Apr 28 17:24:16 2011 +0200

    Fixed problem with block HTML tag being treated as header text

doc/news/release_0_X_X.page
lib/kramdown/parser/kramdown.rb
test/testcases/block/09_html/html_and_headers.html
test/testcases/block/09_html/html_and_headers.text

commit ebd006a9a6bc0d576420fe4bc137f6315af4c079
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Apr 25 22:47:57 2011 +0200

    Removed all <tt> tags from RDoc comments

lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/document.rb
lib/kramdown/parser/base.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/extensions.rb
lib/kramdown/parser/kramdown/link.rb
lib/kramdown/utils/html.rb

commit 054aa7f5d610731ba13b326d5beca11a967d2c8a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Apr 28 17:46:42 2011 +0200

    Fixed bug in LaTeX image converter

doc/news/release_0_X_X.page
lib/kramdown/converter/latex.rb

commit e1b83c85f9ae1f98f0305b1e8f8b3ce201fe3d4b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Apr 28 17:41:40 2011 +0200

    Fixed place where the document tree was modified during conversion

doc/news/release_0_X_X.page
lib/kramdown/converter/kramdown.rb
test/test_files.rb

commit 3a4aa5e3cafcc9d4c7922c31cda92430edb6b0ad
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Apr 25 18:04:42 2011 +0200

    Added OrderedHash#dup

doc/news/release_0_X_X.page
lib/kramdown/utils/ordered_hash.rb

commit 23fdb20ad7604271d21c63ee8b9b4a3092872bb8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Mar 4 15:26:44 2011 +0100

    Adapted table parser patch from Masahiro Kitajima
    
    * "|a|`b`" was parsed as "|a`b`"
    * error condition occured when parsing "|`a`"

doc/news/release_0_X_X.page
lib/kramdown/parser/kramdown/table.rb
test/testcases/block/14_table/simple.html
test/testcases/block/14_table/simple.html.19
test/testcases/block/14_table/simple.text

commit 9d0a09e8273ee6bd366bd61eab2b072102c40a9b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Mar 4 14:50:37 2011 +0100

    Added release notes file

doc/news/release_0_X_X.page

commit d26fde6293ac67157f58cc64339085e0a6bc2fc3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Feb 21 18:05:33 2011 +0100

    Updated docs/version file for bug fix release

doc/index.page
doc/news/release_0_13_2.page
doc/news/release_0_14_0.page
lib/kramdown/version.rb

commit 20c2bef1baace8b6f726acbae8be42d5843fba47
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Feb 18 16:07:15 2011 +0100

    Fixed bug RF#28917: regexp buffer overflow when parsing long paragraphs/blockquotes under Ruby 1.8

doc/news/release_0_14_0.page
lib/kramdown/parser/kramdown/blockquote.rb
lib/kramdown/parser/kramdown/paragraph.rb
lib/kramdown/parser/markdown.rb
test/testcases/block/05_blockquote/very_long_line.html
test/testcases/block/05_blockquote/very_long_line.text

commit 9e7913f476b4862741181e22f741c1268300cd90
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Feb 18 16:01:26 2011 +0100

    Updated version and added release notes file

doc/news/release_0_14_0.page
lib/kramdown/version.rb

commit 7bc02c7645c5e9347f8374050b0fb643fb0bae16
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Feb 18 15:47:49 2011 +0100

    Added option for averaging three benchmark runs to benchmark scripts

benchmark/benchmark.sh
benchmark/generate_data.rb

commit 8d2618b7ca8871043dfc2d99a3a34a82cad53ab4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jan 22 08:44:45 2011 +0100

    Updated version to 0.13.1 after bad push to Rubygems

doc/index.page
doc/news/release_0_13_0.page
doc/news/release_0_13_1.page
lib/kramdown/version.rb

commit 0d077806da1ff2bc7de767392c5df48610a744c9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jan 22 08:36:35 2011 +0100

    Updated test graphs

doc/img/graph-jruby-1.5.3-249.png
doc/img/graph-ruby-1.8.5-231.png
doc/img/graph-ruby-1.8.6-399.png
doc/img/graph-ruby-1.8.7-249.png
doc/img/graph-ruby-1.8.7-302.png
doc/img/graph-ruby-1.9.2p0-0.png
doc/img/graph-ruby-1.9.2p136-136.png
doc/tests.page

commit 301446b945eab51498271da03b3b4b135bca514d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jan 22 08:35:36 2011 +0100

    Minor benchmark script enhancement
    
    One can now provide a nicer name for the master version

benchmark/benchmark.sh

commit 24946119e95ce14654ee9de62e44217e251c2e40
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jan 22 08:06:56 2011 +0100

    Fixed problem when running on Ruby 1.8.6

lib/kramdown/parser/html.rb

commit a8f4051f20cfdf6f7ebc0cc6b71abb93d30ed2d1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jan 22 07:54:02 2011 +0100

    Updated homepage for release

doc/index.page
doc/news/release_0_13_0.page

commit c86b42ca9f43796c75d7ef9654e21456e56dbb74
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jan 22 07:53:25 2011 +0100

    Updated documentation

doc/documentation.page
doc/index.page
doc/installation.page

commit e9dcf1d940cc4e717a314e5b265da87df8ac8c02
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jan 19 09:20:36 2011 +0100

    Any character except a closing bracket is now valid inside a link identifier

doc/news/release_0_13_0.page
doc/syntax.page
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/link.rb
test/testcases/span/01_link/reference.html
test/testcases/span/01_link/reference.html.19
test/testcases/span/01_link/reference.text

commit b62c176252d13eacb3d1eafa02449aa125c30782
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jan 19 08:25:42 2011 +0100

    New option smart_quotes for customizing smart quotes output
    
    This is needed because quotation marks are not the same in every
    language.

doc/converter/html.page
doc/converter/latex.page
doc/news/release_0_13_0.page
lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/options.rb

commit edbd1fdfec7a6bb7fdcaddac52b4db09aa3b081f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jan 18 17:24:27 2011 +0100

    Three fixes regarding entities in LaTeX converter
    
    - Fixed unnecessary string creation while constructing converstion table
    - Added helper method for converting an entity to LaTeX
    - Removed unnecessary braces from two entity definitions

lib/kramdown/converter/latex.rb

commit fdc8360159f671502298af27c70f8bb3213e0f30
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jan 18 16:37:35 2011 +0100

    HTML tables are now only converted to natives ones if all rows have the same number of columns

doc/news/release_0_13_0.page
lib/kramdown/parser/html.rb

commit 1d9ae8ae4beaa9300d16879e7d328debdbc4922f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jan 18 16:30:13 2011 +0100

    Now also using <col/> tags when converting HTML tables to native ones

doc/news/release_0_13_0.page
lib/kramdown/parser/html.rb

commit f9f7716bec6c938e058212dc9ee2edd478cf860a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jan 17 18:39:53 2011 +0100

    Updated Rakefile so that the rdoc task documents the available options
    
    The RDoc::RDoc#parse_files method is overridden so that the available
    options are automatically added to the description of the
    Kramdown::Options module.

README
Rakefile

commit 8a8b71f39bd8d966db94ee73f8e9743c8b510c64
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jan 17 17:48:26 2011 +0100

    LaTeX converter now outputs \hypertarget for all elements with an ID

doc/converter/latex.page
doc/news/release_0_13_0.page
lib/kramdown/converter/latex.rb

commit 0a8171eefe35a195fbce8f06a6a1dbfad2dda459
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jan 17 09:47:01 2011 +0100

    Fixed bug in converting <em>/<strong> tags to native elements
    
    The tags may not be converted to native tags if the inner text begins
    or ends with whitespace because that would result in invalid output
    using the kramdown converter.

doc/news/release_0_13_0.page
lib/kramdown/parser/html.rb
test/testcases/block/09_html/html_to_native/emphasis.html
test/testcases/block/09_html/html_to_native/emphasis.text

commit 927c39d0d486a9017a501eadbbcd8c7f6ee4f95b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jan 17 09:25:04 2011 +0100

    Fixed parsing of table rows with <code> elements
    
    As it is done with the native code span syntax, pipes inside HTML code
    tags are not used as cell separators anymore.

doc/news/release_0_13_0.page
doc/syntax.page
lib/kramdown/parser/kramdown/table.rb
test/testcases/block/14_table/simple.html
test/testcases/block/14_table/simple.html.19
test/testcases/block/14_table/simple.text

commit 161c7fb8c6738f2887190f873db704f95ffe25b1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jan 16 18:43:06 2011 +0100

    Fixed bug RF#28769: span extension in list item wrongly triggered list item IAL parser

doc/news/release_0_13_0.page
lib/kramdown/parser/kramdown/list.rb
test/testcases/block/08_list/item_ial.html
test/testcases/block/08_list/item_ial.text

commit eaabeb86c29145c9984cf725743ce3e0c9862dc4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jan 16 16:42:04 2011 +0100

    Documented how one can use a reference style link and text that together look like a link definition line

doc/syntax.page

commit fb55e6af273f9c10412511e8a10e96d7b44cd7b5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jan 16 16:25:07 2011 +0100

    Removed deprecated option toc_depth

doc/news/release_0_13_0.page
lib/kramdown/converter/base.rb
lib/kramdown/options.rb

commit bfbae6cd6b9d7572ae52bce29150d0e304c8c5d3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jan 16 16:19:41 2011 +0100

    Fixed bug RF#28785: Used false name for default template in doc for template option

doc/news/release_0_13_0.page
lib/kramdown/options.rb

commit bf4bc2dd36a83d03ab2e409b81343b4e280ffcfe
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jan 16 16:11:19 2011 +0100

    Fixed bug RF#28809: empty <a> tags were output as self-closed tags

doc/news/release_0_13_0.page
lib/kramdown/converter/html.rb
test/testcases/span/05_html/normal.html
test/testcases/span/05_html/normal.text

commit 0a3fcd72aaffc2b352268b387192c74329614253
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jan 16 15:58:04 2011 +0100

    Fixed bug where block HTML line was recognized as table line
    
    Block HTML blocks have a higher priority now than tables.

doc/news/release_0_13_0.page
lib/kramdown/parser/kramdown.rb
test/testcases/block/09_html/parse_as_raw.html
test/testcases/block/09_html/parse_as_raw.text

commit 95d45c10cdd4b7044469cf85efd8c5d54bbba4fe
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jan 16 15:40:55 2011 +0100

    Updated release notes

doc/news/release_0_13_0.page

commit 3a2504b2225edfdb519e66adf0ce15eb11239ce8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 24 07:30:54 2010 +0100

    Fixed raised error when parsing unknown named entities

doc/news/release_0_13_0.page
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/html_entity.rb
test/testcases/span/text_substitutions/entities.html
test/testcases/span/text_substitutions/entities.text

commit 9df6c7a9ffbeba67b72d7b39e3c31c588750f553
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 24 07:28:55 2010 +0100

    Added release notes file and bumped version number

doc/news/release_0_13_0.page
lib/kramdown/version.rb

commit 0bf12222397a8b1042f6659d032a0da686f1fc9f
Author: Damien Pollet <damien.pollet@gmail.com>
Date:   Fri Nov 5 00:15:07 2010 +0100

    Entity definitions for thin, half-em, and em-spaces

lib/kramdown/converter/latex.rb
lib/kramdown/utils/entities.rb

commit 7ac86c467418389f63844c16783157268351f192
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 1 09:55:09 2010 +0100

    Updated website documentation for release

doc/img/graph-jruby-1.4.0.png
doc/img/graph-jruby-1.5.3-249.png
doc/img/graph-ruby-1.8.5-231.png
doc/img/graph-ruby-1.8.6-399.png
doc/img/graph-ruby-1.8.6.png
doc/img/graph-ruby-1.8.7-249.png
doc/img/graph-ruby-1.8.7-302.png
doc/img/graph-ruby-1.8.7.png
doc/img/graph-ruby-1.9.1p243.png
doc/img/graph-ruby-1.9.2dev.png
doc/img/graph-ruby-1.9.2p0-0.png
doc/index.page
doc/installation.page
doc/news/release_0_12_0.page
doc/tests.page

commit 546a0eb0ce89d33dbd22e4453c12b482f703effe
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 1 09:06:44 2010 +0100

    Finished documenting all element types

lib/kramdown/document.rb

commit 029e20fe764de22e47c1bf4839271bbe11f2cba8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 1 08:54:18 2010 +0100

    Removed parsing of doctype in HTML parser

lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/converter/latex.rb
lib/kramdown/document.rb
lib/kramdown/parser/html.rb

commit ede695f39b840062c68f72bc39fd0637b2505033
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 1 08:39:33 2010 +0100

    Renamed HTML element option parse_type to content_model
    
    The name content_model is better suited than parse_type since this option
    describes what kind of elements may be nested.

lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/html.rb

commit a9052675c7dcf04f8d44d4b37b18bc1da616d604
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Oct 31 08:36:41 2010 +0100

    Link definitions are not stored on the root element anymore
    
    As with ALDs link definitions are not needed after the parsing phase.
    Therefore there is no need to store them in the root element.

lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/link.rb

commit 05b9d70491f74738f0f55b0901000fb0ba6ac361
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Oct 31 08:31:05 2010 +0100

    ALDs are not stored on the root element anymore
    
    ALDs only need to be stored during the parsing phase. Therefore there is
    no need to store them in the root element.

lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/extensions.rb

commit 7c3311e859216688e7e0d5381030ee1cee724ec9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Oct 30 23:14:56 2010 +0200

    Updated handling of footnote definition data
    
    The footnote definitions were stored apart from the footnotes themselves
    which doesn't make such sense. Now a definition is stored directly in
    the footnote element itself.

lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/footnote.rb

commit 37895bc659a62d330aab45c2a4a910a7dcea289c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Oct 30 11:46:55 2010 +0200

    Removed old and unused option key from HTML footnote generation method

lib/kramdown/converter/html.rb

commit 69e90ce3a9561b4f59e134cdb3ff3ac8a712c2d2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Oct 30 11:44:26 2010 +0200

    Utility method Utils::Html#html_attributes now takes a hash as argument
    
    It is unnecessary to use an Element as argument when only a hash is
    needed. A consequence of this change is the elimination of the now
    unneeded use of Marshal.dump/Marshal.load.

lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/utils/html.rb

commit 2f1b73cf55847749fc972ddda4b592c5d60bf50e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Oct 30 10:40:09 2010 +0200

    Simplified setting of :category element option
    
    This option was set on many elements although there was no need to
    because the elements could only be in one category (either :block or
    :span). Therefore this option is now only set on elements where the
    category is not predetermined.

lib/kramdown/converter/kramdown.rb
lib/kramdown/document.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/math.rb

commit b49f61190927ed59093dcd51cf8dbc80d11cb19f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 29 14:58:03 2010 +0200

    Replaced internal element type :th with type :td

lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/table.rb

commit ba21c0a2853df7dac34839d0ec05303304628a9c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 29 14:34:55 2010 +0200

    Added option latex_headers for customizing LaTeX section heading commands

doc/converter/latex.page
doc/news/release_0_12_0.page
lib/kramdown/converter/latex.rb
lib/kramdown/options.rb

commit e3fc542dfe245ef0bb518e10b7ad718af46b2a82
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 29 09:19:51 2010 +0200

    Updated the HTML parser/converter to use/output MathJax syntax instead of jsMath syntax

doc/converter/html.page
doc/links.markdown
doc/news/release_0_12_0.page
lib/kramdown/converter/html.rb
lib/kramdown/parser/html.rb
test/testcases/block/15_math/normal.html
test/testcases/span/math/normal.html

commit 0fdea10a05cf0459fb992521dc331e2fa332222a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 29 09:16:00 2010 +0200

    Using MathJax instead of jsMath for kramdown homepage

Rakefile
doc/default.template

commit accf00478a8e1795de08a292a5636fd8586a80c7
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Oct 28 20:48:18 2010 +0200

    Removed option toc_depth and replaced it with new option toc_levels
    
    The option toc_depth only allowed one to specify the end level that
    is used for the toc. In contrast, the new option allows one to specify
    exactly which levels should be used.
    
    Closes RF#28672

doc/converter/html.page
doc/news/release_0_12_0.page
lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/options.rb
test/testcases/block/16_toc/no_toc.html
test/testcases/block/16_toc/no_toc.options
test/testcases/block/16_toc/no_toc.text
test/testcases/block/16_toc/no_toc_depth.html
test/testcases/block/16_toc/no_toc_depth.options
test/testcases/block/16_toc/no_toc_depth.text
test/testcases/block/16_toc/toc_depth_2.html
test/testcases/block/16_toc/toc_depth_2.options
test/testcases/block/16_toc/toc_depth_2.text
test/testcases/block/16_toc/toc_levels.html
test/testcases/block/16_toc/toc_levels.options
test/testcases/block/16_toc/toc_levels.text

commit 6615a22dba2e94c997d4f017e8cfdd3d87f2f80d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Oct 27 19:11:02 2010 +0200

    Updated option handling
    
    * Kramdown::Error is used instead of other errors
    * Added possibility to add a block for validating an option value

bin/kramdown
lib/kramdown/options.rb
man/man1/kramdown.1.erb

commit bb1cfa9892f1145e8444739b52606e757836f4e4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Oct 27 07:58:13 2010 +0200

    Some performance/memory tweaks

doc/news/release_0_12_0.page
lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/converter/latex.rb
lib/kramdown/document.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/abbreviation.rb
lib/kramdown/parser/kramdown/autolink.rb
lib/kramdown/parser/kramdown/blank_line.rb
lib/kramdown/parser/kramdown/codeblock.rb
lib/kramdown/parser/kramdown/codespan.rb
lib/kramdown/parser/kramdown/emphasis.rb
lib/kramdown/parser/kramdown/extensions.rb
lib/kramdown/parser/kramdown/header.rb
lib/kramdown/parser/kramdown/horizontal_rule.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/link.rb
lib/kramdown/parser/kramdown/list.rb
lib/kramdown/parser/kramdown/paragraph.rb
lib/kramdown/parser/kramdown/smart_quotes.rb
lib/kramdown/parser/kramdown/table.rb
lib/kramdown/utils/ordered_hash.rb

commit ede2bd7878484ed6eadbb70b58dad3235e1bbfd2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Oct 27 07:23:32 2010 +0200

    Updated benchmark and testing files
    
    * Added benchmark.sh script for automatic testing of multiple
      kramdown version on multiple ruby versions.
    * Updated generate_data.rb for use with benchmark.sh
    * Small updates to testing.sh/timing.sh

benchmark/benchmark.sh
benchmark/generate_data.rb
benchmark/historic-jruby-1.4.0.dat
benchmark/historic-ruby-1.8.6.dat
benchmark/historic-ruby-1.8.7.dat
benchmark/historic-ruby-1.9.1p243.dat
benchmark/historic-ruby-1.9.2dev.dat
benchmark/static-jruby-1.4.0.dat
benchmark/static-ruby-1.8.6.dat
benchmark/static-ruby-1.8.7.dat
benchmark/static-ruby-1.9.1p243.dat
benchmark/static-ruby-1.9.2dev.dat
benchmark/testing.sh
benchmark/timing.sh

commit cc76843f2c3bd8ee208e2eed9aa53cbd6b0abf05
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Oct 24 11:49:16 2010 +0200

    Added API documentation for element type

lib/kramdown/document.rb

commit e76d206de483cfcbdd4bd62210fb84981bdf2d73
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Oct 23 11:35:20 2010 +0200

    Fixed use of renamed module name

data/kramdown/document.html

commit cd5423f23eb783a2c435e8545a98625cb280f286
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Oct 23 11:18:52 2010 +0200

    Changed parser/converter API to work without a document instance
    
    Parsers and converters can now work without the Kramdown::Document class
    which is just provided for convenience. All the needed information is
    stored in the element tree itself. Information that has no direct
    representation as an element is stored in the options of the root
    element (e.g. footnote definitions).
    
    The main interface to kramdown, the Kramdown::Document class, was
    internally changed but still has the same API. This means that
    applications that only used this interface will still work after
    updating.

data/kramdown/document.html
data/kramdown/document.latex
doc/news/release_0_12_0.page
lib/kramdown/converter.rb
lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/converter/latex.rb
lib/kramdown/document.rb
lib/kramdown/parser/base.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/abbreviation.rb
lib/kramdown/parser/kramdown/extensions.rb
lib/kramdown/parser/kramdown/footnote.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/link.rb
lib/kramdown/parser/markdown.rb
lib/kramdown/utils.rb
lib/kramdown/utils/html.rb

commit fa0af42fd6963912c23770113e92bb09fa7641e1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 22 16:00:06 2010 +0200

    Updated API documentation

README
lib/kramdown/compatibility.rb
lib/kramdown/converter.rb
lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/error.rb
lib/kramdown/options.rb
lib/kramdown/parser.rb
lib/kramdown/parser/base.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/markdown.rb
lib/kramdown/utils.rb
lib/kramdown/utils/entities.rb
lib/kramdown/utils/html.rb

commit d98b365ff2e5ee18dca089a89e472193f2fb0367
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Oct 21 20:03:43 2010 +0200

    Fixed bug RF#28660: line break in otherwise empty paragraph resulted in stack trace in kramdown converter

doc/news/release_0_12_0.page
lib/kramdown/converter/kramdown.rb

commit af8e4a76df1b585dbc1d0a753d9c08146a2bba16
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Oct 20 08:32:00 2010 +0200

    Small fix for rdoc tasks

Rakefile

commit bd6726e5fff714a3f43d4f310dac056f48b0eb34
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Oct 20 08:27:56 2010 +0200

    Website and API documentation update
    
    * Added more information on elements that may not be hard-wrapped
    * block level -> block-level, span level -> span-level
    * Fixed spelling errors

doc/parser/html.page
doc/quickref.page
doc/syntax.page
lib/kramdown/options.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/html.rb

commit 0a6971ea78a1bc35089afabe09b1273b7173b991
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Oct 20 08:23:23 2010 +0200

    Small website style fix for definition lists

doc/default.scss.css

commit e2630bc2f40f9e03d3d885dd8b9427ce3f651fee
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Oct 16 09:15:26 2010 +0200

    Pipe characters in code spans in tables don't need to be escaped anymore

doc/news/release_0_12_0.page
doc/syntax.page
lib/kramdown/converter/kramdown.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/table.rb
test/testcases/block/14_table/escaping.html
test/testcases/block/14_table/escaping.text
test/testcases/block/14_table/simple.text

commit f735bf1ce30ce95cc8d45be56afbe535e554119c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Oct 12 16:53:33 2010 +0200

    Fixed two bugs with regard to block IALs
    
    * a block IAL before an HTML element was ignored
    * block IALs were sometimes falsely applied to nested elements

doc/news/release_0_12_0.page
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/html.rb
test/testcases/block/11_ial/nested.html
test/testcases/block/11_ial/nested.text

commit 711a5904ac81b3af88952ca336cf7c2518c1beb7
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Oct 12 16:40:10 2010 +0200

    Option entity_output is now respected when outputting TDs in HTML converter

doc/news/release_0_12_0.page
lib/kramdown/converter/html.rb
test/testcases/block/14_table/simple.html.19

commit 35185369f1c97bdd69736145a6dded043227c4e1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Oct 5 08:57:42 2010 +0200

    Invalid span IALs are not removed from the output anymore

doc/news/release_0_12_0.page
lib/kramdown/parser/kramdown/extensions.rb
test/testcases/block/08_list/item_ial.html
test/testcases/block/13_definition_list/item_ial.html
test/testcases/span/ial/simple.html

commit c4516cfcfe3c0447dcb6508da9f41e32221a87b1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Oct 5 08:56:58 2010 +0200

    Performance tweak for kramdown parser
    
    Using just one main regexp for block extension/ALD/IAL and one for span
    extension/IAL which makes the parser faster because it has to check
    fewer regexps for matches.

lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/attribute_list.rb
lib/kramdown/parser/kramdown/block_boundary.rb
lib/kramdown/parser/kramdown/blockquote.rb
lib/kramdown/parser/kramdown/codeblock.rb
lib/kramdown/parser/kramdown/extension.rb
lib/kramdown/parser/kramdown/extensions.rb
lib/kramdown/parser/kramdown/footnote.rb
lib/kramdown/parser/kramdown/list.rb
lib/kramdown/parser/kramdown/paragraph.rb
lib/kramdown/parser/markdown.rb

commit fac8e8816f3a764f606a598c14b0773d85467e2f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 1 16:44:45 2010 +0200

    Added a Markdown-only parser

doc/documentation.page
doc/index.page
doc/news/release_0_12_0.page
doc/parser/markdown.page
lib/kramdown/parser.rb
lib/kramdown/parser/kramdown/block_boundary.rb
lib/kramdown/parser/kramdown/blockquote.rb
lib/kramdown/parser/kramdown/codeblock.rb
lib/kramdown/parser/kramdown/list.rb
lib/kramdown/parser/kramdown/paragraph.rb
lib/kramdown/parser/markdown.rb

commit b46710ec92ae7a813462e684ed762e45c45e7275
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 1 16:27:34 2010 +0200

    Fixed output of paragraphs starting with a right angle bracket in the kramdown converter

doc/news/release_0_12_0.page
lib/kramdown/converter/kramdown.rb

commit 26090374d6591ec87085200ea357ff542b86a47d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 1 16:24:02 2010 +0200

    Angle brackets may now also be escaped because Markdown allows it

doc/news/release_0_12_0.page
doc/syntax.page
lib/kramdown/parser/kramdown/escaped_chars.rb
test/testcases/span/escaped_chars/normal.html
test/testcases/span/escaped_chars/normal.text

commit 79ef63a076917543730b5076c086c16491908f83
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 1 14:54:25 2010 +0200

    Fixed output of HTML doctype in kramdown converter

doc/news/release_0_12_0.page
lib/kramdown/converter/kramdown.rb

commit 89216ddc8dbfac4118c84b8397911d2cce39e71c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 1 14:53:57 2010 +0200

    Updated version number and added release notes file

doc/news/release_0_12_0.page
lib/kramdown/version.rb

commit 276393819cfab5859236cf654d242dac72a7c220
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 1 08:50:48 2010 +0200

    Updated website

doc/index.page
doc/news/release_0_11_0.page

commit db6625c7074c66e79473a24012c200add6757846
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 1 08:43:47 2010 +0200

    Fixed generation of options display due to lazy syntax

Rakefile

commit a397f7d91bc9895472857a7c12059ba64897ad85
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 1 08:28:46 2010 +0200

    Updated template document.html to set the title from the first header text

data/kramdown/document.html
doc/news/release_0_11_0.page

commit 26ce195d53a7e0038bb57b18b318a5ffd61314fc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Sep 30 19:43:15 2010 +0200

    Fixed test failures

lib/kramdown/parser/kramdown/codeblock.rb
lib/kramdown/parser/kramdown/list.rb
test/testcases/block/04_header/setext_header.html.19
test/testcases/block/14_table/errors.html

commit 041a68ae0f6a98f5d741b35e6606747849cbe53d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Sep 30 19:13:16 2010 +0200

    Removed jsMath from doc

Rakefile
doc/default.template
doc/js/jsMath/COPYING.txt
doc/js/jsMath/blank.gif
doc/js/jsMath/easy/load.js
doc/js/jsMath/extensions/AMSmath.js
doc/js/jsMath/extensions/AMSsymbols.js
doc/js/jsMath/extensions/HTML.js
doc/js/jsMath/extensions/autobold.js
doc/js/jsMath/extensions/bbox.js
doc/js/jsMath/extensions/boldsymbol.js
doc/js/jsMath/extensions/double-click.js
doc/js/jsMath/extensions/eqn-number.js
doc/js/jsMath/extensions/fbox.js
doc/js/jsMath/extensions/font.js
doc/js/jsMath/extensions/leaders.js
doc/js/jsMath/extensions/mathchoice.js
doc/js/jsMath/extensions/mimeTeX.js
doc/js/jsMath/extensions/moreArrows.js
doc/js/jsMath/extensions/newcommand.js
doc/js/jsMath/extensions/underset-overset.js
doc/js/jsMath/extensions/verb.js
doc/js/jsMath/jsMath-BaKoMa-fonts.js
doc/js/jsMath/jsMath-autoload.html
doc/js/jsMath/jsMath-controls.html
doc/js/jsMath/jsMath-easy-load.js
doc/js/jsMath/jsMath-fallback-mac-mozilla.js
doc/js/jsMath/jsMath-fallback-mac-msie.js
doc/js/jsMath/jsMath-fallback-mac.js
doc/js/jsMath/jsMath-fallback-pc.js
doc/js/jsMath/jsMath-fallback-symbols.js
doc/js/jsMath/jsMath-fallback-unix.js
doc/js/jsMath/jsMath-global-controls.html
doc/js/jsMath/jsMath-global.html
doc/js/jsMath/jsMath-loader-omniweb4.js
doc/js/jsMath/jsMath-loader-post.html
doc/js/jsMath/jsMath-loader.html
doc/js/jsMath/jsMath-msie-mac.js
doc/js/jsMath/jsMath-old-browsers.js
doc/js/jsMath/jsMath.js
doc/js/jsMath/local/macros.js
doc/js/jsMath/plugins/CHMmode.js
doc/js/jsMath/plugins/autoload.js
doc/js/jsMath/plugins/global.js
doc/js/jsMath/plugins/mimeTeX.js
doc/js/jsMath/plugins/noCache.js
doc/js/jsMath/plugins/noGlobal.js
doc/js/jsMath/plugins/noImageFonts.js
doc/js/jsMath/plugins/smallFonts.js
doc/js/jsMath/plugins/spriteImageFonts.js
doc/js/jsMath/plugins/tex2math.js
doc/js/jsMath/test/index-images.html
doc/js/jsMath/test/index.html
doc/js/jsMath/test/jsMath40.jpg
doc/js/jsMath/test/sample.html

commit 5354385d6bec8c89e4d8c2c2b76f6d07433800c7
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Sep 24 10:04:30 2010 +0200

    Updated table syntax to allow table lines without leading pipe characters
    
    This allows kramdown to correctly parse PHP Markdown Extra tables.

doc/news/release_0_11_0.page
doc/syntax.page
lib/kramdown/converter/kramdown.rb
lib/kramdown/parser/kramdown/table.rb
test/testcases/block/14_table/header.text
test/testcases/block/14_table/no_table.text
test/testcases/block/14_table/simple.html
test/testcases/block/14_table/simple.text

commit fb3b6e514fc60d24973f070148bfd7d384bfc5d9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Sep 23 15:58:49 2010 +0200

    Updated release notes

doc/news/release_0_11_0.page

commit 4be1ada25ac7962f1c27e6dd914904dc432d4590
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Sep 23 15:43:23 2010 +0200

    Invalid HTML tags are not removed from output anymore
    
    This is done because unrecognized text is left as is in Markdown and
    therefore in kramdown.

doc/news/release_0_11_0.page
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/paragraph.rb
test/testcases/block/09_html/invalid_html_1.html
test/testcases/block/09_html/parse_as_span.html
test/testcases/span/05_html/normal.html

commit b501fc1bec05d806f70404fc8fcad576ed3f8bcf
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Sep 23 14:40:44 2010 +0200

    HTML tags 'b' and 'i' are now converted to 'strong' and 'em' when using html-to-native

doc/news/release_0_11_0.page
doc/parser/html.page
lib/kramdown/parser/html.rb
test/testcases/block/09_html/html_to_native/emphasis.html
test/testcases/block/09_html/html_to_native/emphasis.text
test/testcases/block/12_extension/nomarkdown.html
test/testcases/block/12_extension/nomarkdown.kramdown
test/testcases/block/12_extension/nomarkdown.text
test/testcases/span/05_html/markdown_attr.html
test/testcases/span/05_html/markdown_attr.text
test/testcases/span/text_substitutions/typography.html
test/testcases/span/text_substitutions/typography.html.19
test/testcases/span/text_substitutions/typography.text

commit 47d99a138c378a57719424b1e94909ea3ff45a1f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Sep 23 14:32:12 2010 +0200

    Fixed problem with HTML tag detection in lazy line regexp

lib/kramdown/parser/kramdown/paragraph.rb

commit 187cd2738393be992335aa35e7564f83b3fc87c7
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Sep 23 14:15:24 2010 +0200

    Removed unnecessarily stored processing options in HTML elements

lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/html_to_native/table_normal.html
test/testcases/block/09_html/html_to_native/table_simple.html

commit 7e6e1d73596ca5a03c01255aff8350ba7c67b98d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Sep 22 17:27:30 2010 +0200

    Updated documentation

doc/converter/kramdown.page

commit 5cdadc1c79af112c4ec2abf8423d0f654538df25
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Sep 22 17:26:58 2010 +0200

    Small clean-up in HTML parser

lib/kramdown/parser/html.rb

commit 780aa020c4b3142811123b76a580c9d31773da18
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Sep 22 17:26:39 2010 +0200

    Implemented support for line wrapping a.k.a. "lazy syntax" througout kramdown
    
    This is major addition to the current syntax, making the kramdown syntax
    more like the Markdown syntax. Line wrapping is now supported like with
    Markdown.pl but since kramdown has a richer syntax there are some
    special provisions, for example, for assigning attributes to a paragraph
    via a block IAL.
    
    Elements now supporting line wrapping: paragraphs; blockquotes; ordered,
    unordered and definition lists; footnote defintions; and code blocks
    (which is a difference to standard Markdown.pl but provides more
    consistency).

doc/converter/html.page
doc/news/release_0_11_0.page
doc/quickref.page
doc/syntax.page
lib/kramdown/converter/kramdown.rb
lib/kramdown/parser/kramdown/blockquote.rb
lib/kramdown/parser/kramdown/codeblock.rb
lib/kramdown/parser/kramdown/footnote.rb
lib/kramdown/parser/kramdown/list.rb
lib/kramdown/parser/kramdown/paragraph.rb
test/testcases/block/02_eob/middle.html
test/testcases/block/04_header/atx_header.html
test/testcases/block/04_header/atx_header.text
test/testcases/block/04_header/setext_header.html
test/testcases/block/05_blockquote/lazy.html
test/testcases/block/05_blockquote/lazy.text
test/testcases/block/05_blockquote/nested.html
test/testcases/block/05_blockquote/nested.text
test/testcases/block/05_blockquote/only_first_quoted.html
test/testcases/block/05_blockquote/only_first_quoted.text
test/testcases/block/06_codeblock/lazy.html
test/testcases/block/06_codeblock/lazy.text
test/testcases/block/06_codeblock/no_newline_at_end_1.html
test/testcases/block/06_codeblock/no_newline_at_end_1.text
test/testcases/block/06_codeblock/with_ial.html
test/testcases/block/06_codeblock/with_ial.text
test/testcases/block/07_horizontal_rule/normal.html
test/testcases/block/07_horizontal_rule/normal.text
test/testcases/block/08_list/item_ial.html
test/testcases/block/08_list/lazy.html
test/testcases/block/08_list/lazy.text
test/testcases/block/08_list/list_and_others.html
test/testcases/block/08_list/list_and_others.text
test/testcases/block/08_list/other_first_element.html
test/testcases/block/08_list/other_first_element.text
test/testcases/block/08_list/simple_ul.html
test/testcases/block/08_list/simple_ul.text
test/testcases/block/08_list/special_cases.html
test/testcases/block/08_list/special_cases.text
test/testcases/block/09_html/comment.html
test/testcases/block/09_html/parse_as_raw.html
test/testcases/block/11_ial/simple.html
test/testcases/block/13_definition_list/item_ial.html
test/testcases/block/13_definition_list/item_ial.text
test/testcases/block/13_definition_list/simple.html
test/testcases/span/01_link/link_defs.html
test/testcases/span/04_footnote/definitions.html
test/testcases/span/04_footnote/definitions.latex
test/testcases/span/04_footnote/definitions.text

commit 4a7d18528223f31004351d074598b250f3dea106
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Sep 22 16:23:33 2010 +0200

    Tables and math blocks now have to start/end on block boundaries

doc/news/release_0_11_0.page
lib/kramdown/parser/kramdown/block_boundary.rb
lib/kramdown/parser/kramdown/header.rb
lib/kramdown/parser/kramdown/math.rb
lib/kramdown/parser/kramdown/table.rb
test/testcases/block/14_table/errors.html
test/testcases/block/14_table/errors.text
test/testcases/block/14_table/simple.html
test/testcases/block/14_table/simple.text
test/testcases/block/15_math/normal.html
test/testcases/block/15_math/normal.text

commit 24ed6a07608821ef9802f54d051035d00dffdb6e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Sep 22 16:21:08 2010 +0200

    Fixed problem with multiple :blank elements not being merged together

lib/kramdown/parser/kramdown.rb

commit 1bef3153de0f7f8790d853e345f3884a7b8f4b07
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Sep 21 16:17:02 2010 +0200

    Fixed bug: Non-content elements did not work as block separator
    
    Link/Footnote/Abbrev defintions as well as extensions, ALDs and block IALs
    now correctly separate block elements.

doc/news/release_0_11_0.page
lib/kramdown/parser/kramdown/abbreviation.rb
lib/kramdown/parser/kramdown/attribute_list.rb
lib/kramdown/parser/kramdown/extension.rb
lib/kramdown/parser/kramdown/footnote.rb
lib/kramdown/parser/kramdown/link.rb

commit 0452c28c765e7d0725da5013465cc8607ad7bea6
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Sep 21 16:15:21 2010 +0200

    Fixed a minor long-standing but unnoticed bug in list parsing

doc/news/release_0_11_0.page
lib/kramdown/parser/kramdown/list.rb

commit 2a13118599754b03ed25d1db677f9974d3bd189b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Sep 16 07:46:05 2010 +0200

    The equal sign may now be escaped

doc/syntax.page
lib/kramdown/parser/kramdown/escaped_chars.rb
test/testcases/span/escaped_chars/normal.html
test/testcases/span/escaped_chars/normal.text

commit 65a3c940b66f3bdd376ef6f9f11d6389dc5eb5ec
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Sep 16 07:44:05 2010 +0200

    Math blocks now need to be separated by blank lines (or eob markers) from other block level elements

doc/syntax.page
lib/kramdown/parser/kramdown/math.rb
test/testcases/block/15_math/normal.html
test/testcases/block/15_math/normal.text

commit 5f03f5c5d61cc69f2ed022bfd1b014db8cb9c2d8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Sep 16 07:27:25 2010 +0200

    Treating unknown or invalid extensions as text now
    
    Unknown or "invalid" markup is left as is by the original Markdown
    and most places in kramdown. Now extensions also follow this rule.

doc/news/release_0_11_0.page
lib/kramdown/parser/kramdown/extension.rb
test/testcases/block/12_extension/comment.html
test/testcases/block/12_extension/comment.text
test/testcases/block/12_extension/ignored.html
test/testcases/block/12_extension/ignored.text
test/testcases/block/12_extension/nomarkdown.html
test/testcases/block/12_extension/nomarkdown.kramdown
test/testcases/block/12_extension/nomarkdown.latex
test/testcases/block/12_extension/nomarkdown.text
test/testcases/span/extension/comment.html
test/testcases/span/extension/ignored.html

commit df72d3d40ab4741287092a9185200dfe8befc1af
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Sep 2 08:14:51 2010 +0200

    Fixed bug: output of textarea HTML element was invalid

doc/news/release_0_11_0.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
test/testcases/span/05_html/normal.html
test/testcases/span/05_html/normal.text

commit 4e18c69d2996fc78448b7f28980e9389d1a56976
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Aug 29 10:09:34 2010 +0200

    Updated release page

doc/news/release_0_11_0.page

commit 11345b9cb2a83cae1a9bf05f5ff29d8c6ecd1148
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Aug 29 10:07:23 2010 +0200

    kramdown converter: nicer output for regular and image links

lib/kramdown/converter/kramdown.rb

commit 4eeed450a594a138c4ce52e66d58d013767ac746
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Aug 29 09:26:42 2010 +0200

    Added new option line_width for kramdown converter
    
    This option specifies how long the lines should be when converting a
    document to kramdown.

lib/kramdown/converter/kramdown.rb
lib/kramdown/options.rb
test/test_files.rb
test/testcases/block/12_extension/nomarkdown.kramdown

commit 946c94226d599c2c284420b2dfd1ee54432e56d4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Aug 29 09:24:22 2010 +0200

    Small doc fixes

doc/syntax.page

commit cb8edfd9f07069e76cbbe9ac99be5f5dd2b0f6c4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Aug 29 09:23:58 2010 +0200

    Allowing colons in ID names in ALDs/IALs

doc/syntax.page
lib/kramdown/parser/kramdown/attribute_list.rb

commit ded83fad980b66d7498920c6a91ff6cbc5c2bdbc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Aug 28 09:42:42 2010 +0200

    Updated kramdown converter to produce nicer output
    
    * Block level elements are always separated with blank lines now
    * IAL/ALD output uses special class and id syntax

lib/kramdown/converter/kramdown.rb
test/testcases/block/12_extension/nomarkdown.kramdown

commit 5e158f48fdea8ceec14abf5b4d0e6a1369e9cb0a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Aug 27 21:41:52 2010 +0200

    Removed processed and therefore unneeded HTML element children from codespan/codeblock elements

lib/kramdown/parser/html.rb

commit 9e8f4b6c1f748daac6763373d7aab61870af1c30
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Aug 19 19:33:27 2010 +0200

    Allowing spaces in inline links and link definitions

doc/news/release_0_11_0.page
doc/syntax.page
lib/kramdown/parser/kramdown/link.rb
test/testcases/span/01_link/inline.html
test/testcases/span/01_link/inline.html.19
test/testcases/span/01_link/inline.text
test/testcases/span/01_link/link_defs.text
test/testcases/span/01_link/reference.html
test/testcases/span/01_link/reference.html.19
test/testcases/span/01_link/reference.text

commit 04a98d37fd96244cd8bfcab28e270252b5b19125
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Aug 12 22:38:44 2010 +0200

    Fixed bug RF#28469: HTML document template did not work

data/kramdown/document.html
doc/news/release_0_11_0.page

commit 7854a8804cd18d352c19dd982bdd0aa6a69c381e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Aug 12 21:40:02 2010 +0200

    Nicer output of LaTeX environments

lib/kramdown/converter/latex.rb
test/testcases/span/04_footnote/definitions.latex
test/testcases/span/04_footnote/markers.latex

commit a30cf1942d75c702f1f3b574fbc054dace5f6be4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Aug 12 21:38:48 2010 +0200

    Fixed bug RF#28420 and added type attribute to nomarkdown extension
    
    * RF#28420: The LaTeX converter does not escape the content of :raw
      elements anymore.
    
    * The nomarkdown extension can make use of the type attribute for
      specifying which converters should the body.

doc/news/release_0_11_0.page
doc/syntax.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/kramdown/extension.rb
test/testcases/block/12_extension/nomarkdown.html
test/testcases/block/12_extension/nomarkdown.kramdown
test/testcases/block/12_extension/nomarkdown.latex
test/testcases/block/12_extension/nomarkdown.text

commit b9195e7a04d62e6c87775a5fede73b255573d424
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Aug 10 16:32:40 2010 +0200

    Added syntax highlighting support to code spans in the HTML converter

doc/converter/html.page
doc/news/release_0_11_0.page
lib/kramdown/converter/html.rb
test/test_files.rb
test/testcases/span/03_codespan/highlighting.html
test/testcases/span/03_codespan/highlighting.text

commit d86fb766a87d37fe0d4703259588ec8e738488c9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Aug 10 16:12:55 2010 +0200

    Fixed bug RF#28429: HTML output of iframe element was invalid

doc/news/release_0_11_0.page
lib/kramdown/converter/html.rb
test/testcases/block/09_html/simple.html
test/testcases/block/09_html/simple.html.19
test/testcases/block/09_html/simple.text

commit c31b99a6ef1617525edfb784f7c2bd729f03d1d5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Aug 10 16:01:21 2010 +0200

    Removing trailing whitespace in LaTeX footnotes to avoid problems

doc/news/release_0_11_0.page
lib/kramdown/converter/latex.rb
test/testcases/span/04_footnote/footnote_nr.latex
test/testcases/span/04_footnote/markers.latex

commit 64eaa1f47f1cf2f4856490c5419d261f90366ff2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Aug 9 10:22:20 2010 +0200

    Order of HTML/IAL/ALD attributes is now preserved

doc/news/release_0_11_0.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/converter/latex.rb
lib/kramdown/document.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/attribute_list.rb
lib/kramdown/parser/kramdown/autolink.rb
lib/kramdown/parser/kramdown/extension.rb
lib/kramdown/parser/kramdown/footnote.rb
lib/kramdown/parser/kramdown/header.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/html_entity.rb
lib/kramdown/parser/kramdown/link.rb
lib/kramdown/parser/kramdown/math.rb
lib/kramdown/parser/kramdown/table.rb
lib/kramdown/utils.rb
lib/kramdown/utils/html.rb
lib/kramdown/utils/ordered_hash.rb
test/test_files.rb
test/testcases/block/11_ial/auto_id_and_ial.html
test/testcases/block/11_ial/simple.html
test/testcases/encoding.html
test/testcases/span/01_link/image_in_a.html
test/testcases/span/01_link/imagelinks.html

commit 64eef66545c4b2990f728b094d93d28726b5afad
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Aug 5 15:31:26 2010 +0200

    HTML converter does not escape double quotation marks in code blocks anymore

doc/news/release_0_11_0.page
lib/kramdown/utils/html.rb
test/testcases/block/05_blockquote/with_code_blocks.html

commit db2ee4993b9a283eae7db08f80689e50db3b8b7a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Aug 5 08:05:53 2010 +0200

    Removed the deprecated option numeric_entities

doc/news/release_0_11_0.page
lib/kramdown/options.rb

commit 6ac90b0d3c26e0f08ecbdf137ee40b7d6d71e5dc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Aug 5 08:03:25 2010 +0200

    Bumped version number and added release notes file

doc/news/release_0_11_0.page
lib/kramdown/version.rb

commit 1bf361c2e7c1041aeca0526a247635f7248ed7d7
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jul 19 08:48:34 2010 +0200

    Updated documentation before release

doc/default.scss.css
doc/default.template
doc/index.page
doc/news/release_0_10_0.page

commit 7121d9add32c15305e86836f5eb9c1ab83c154b8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jul 18 22:44:34 2010 +0200

    Fixed problem with parsing HTML a tag without href attribute

doc/news/release_0_10_0.page
lib/kramdown/parser/html.rb

commit 19809d56eabf123993742c92a50a536bec188e24
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jul 18 16:13:30 2010 +0200

    Fixed encoding problem of autolink start regexp under Ruby 1.9

doc/news/release_0_10_0.page
lib/kramdown/parser/kramdown/autolink.rb

commit 64ba83235ea2d8cf660ae7994f0de1ae7f0bde4d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jul 17 11:22:50 2010 +0200

    Using quotation env for blockquotes with multiple children in LaTeX converter

doc/news/release_0_10_0.page
lib/kramdown/converter/latex.rb

commit a18bc07c71b80b6f322a75a17ff7147ad8b98c79
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jul 17 10:09:39 2010 +0200

    Fixed probem with parsing <body markdown="1"> correctly

doc/news/release_0_10_0.page
doc/syntax.page
lib/kramdown/parser/html.rb

commit f2ded4c519223fad5c86ec1942889b6852290e2e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jul 17 09:54:08 2010 +0200

    Updated the LaTeX converter documentation with information about quotation marks

doc/converter/latex.page
doc/news/release_0_10_0.page

commit c4725e2cd3dda83bd4f8f246598ed16ebbc1c6dd
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jul 17 09:37:38 2010 +0200

    Fixed problem with smart quote after smart quote output in LaTeX converter

doc/news/release_0_10_0.page
lib/kramdown/converter/latex.rb

commit bce5c3d12db18a9e2fa134baad6a821a7573b71d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jul 17 09:29:24 2010 +0200

    Added tip to LaTeX converter doc about changing header types

doc/converter/latex.page

commit f0f7f5f02b9b454399edca04c93bd81a48b945cc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jul 17 09:17:55 2010 +0200

    LaTeX converter: Using figure env for outputting images that are the only child of a paragraph

doc/converter/latex.page
doc/news/release_0_10_0.page
lib/kramdown/converter/latex.rb

commit 099c9bce66ca9998b3191e39c35f1a36eca9a885
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jul 9 08:22:57 2010 +0200

    Updated the man page

bin/kramdown
man/man1/kramdown.1.erb

commit 07a242b43591e94abc84e61e9734feecb79c5b3e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Jul 8 23:06:13 2010 +0200

    Hyphens are now used instead of underscores in CLI option names

bin/kramdown
doc/news/release_0_10_0.page
man/man1/kramdown.1.erb

commit ff9d4733ce4bc198f41ccf4e30449986cb0c2d81
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Jul 8 22:51:29 2010 +0200

    Added new option entity_output for more control over entity output

doc/converter/html.page
doc/converter/kramdown.page
doc/news/release_0_10_0.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/options.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/html_entity.rb
lib/kramdown/utils/html.rb
test/testcases/span/text_substitutions/entities.html
test/testcases/span/text_substitutions/entities.html.19
test/testcases/span/text_substitutions/entities.options
test/testcases/span/text_substitutions/entities_as_char.html
test/testcases/span/text_substitutions/entities_as_char.html.19
test/testcases/span/text_substitutions/entities_as_char.options
test/testcases/span/text_substitutions/entities_as_char.text
test/testcases/span/text_substitutions/entities_as_input.html
test/testcases/span/text_substitutions/entities_as_input.options
test/testcases/span/text_substitutions/entities_as_input.text
test/testcases/span/text_substitutions/entities_numeric.html
test/testcases/span/text_substitutions/entities_numeric.html.19
test/testcases/span/text_substitutions/entities_numeric.options
test/testcases/span/text_substitutions/entities_numeric.text
test/testcases/span/text_substitutions/entities_symbolic.html
test/testcases/span/text_substitutions/entities_symbolic.options
test/testcases/span/text_substitutions/entities_symbolic.text

commit 07ee85ff1f4e6a2b1fa2124cf025bd064a9c411f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jul 6 16:32:15 2010 +0200

    Removed commented debug line

lib/kramdown/converter/kramdown.rb

commit 776dfce1cf8365023b28284c2d5e771b98161775
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jul 6 16:29:37 2010 +0200

    Fixed warnings and problems when running under Ruby 1.9.2-rc1

doc/news/release_0_10_0.page
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/attribute_list.rb
lib/kramdown/parser/kramdown/autolink.rb
lib/kramdown/parser/kramdown/header.rb

commit 681804a29cac3c53937e03d7a0c1ae79ec2b1676
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jul 6 16:24:11 2010 +0200

    Outputting Zcaron/zcaron always numerically

doc/news/release_0_10_0.page
lib/kramdown/utils/entities.rb

commit 72f9c38dcff208ed334f76073e9b62ee3b15d889
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jul 6 16:20:01 2010 +0200

    Fixed line break output in LaTeX converter

doc/news/release_0_10_0.page
lib/kramdown/converter/latex.rb
test/testcases/span/line_breaks/normal.latex

commit 52d789892cb263a8f3ed0409fe00effc281d1b61
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jun 30 16:41:42 2010 +0200

    LaTeX converter: outputting the element attributes on the end tags too

doc/news/release_0_10_0.page
lib/kramdown/converter/latex.rb

commit 619a59cb5e8985c583c3bb4fe041b8f640a72382
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jun 30 16:36:19 2010 +0200

    Removed deprecated method Converter::Html#options_for_element

doc/news/release_0_10_0.page
lib/kramdown/converter/html.rb

commit 3b0c8e29a95459cf932c761581b438a2c0349723
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jun 30 16:34:51 2010 +0200

    Bumped version number and added release notes file

doc/news/release_0_10_0.page
lib/kramdown/version.rb

commit 63cc1fe8b8f5f43db99c5ef9b20daf12c16f4cd3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jun 23 08:47:27 2010 +0200

    Small test fix

test/test_files.rb

commit bfec0e5a98149d674d03ce75dd4d04b7b62c8ba6
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jun 23 07:17:45 2010 +0200

    Updated documentation for release

doc/index.page
doc/news/release_0_9_0.page

commit 1f80723e9ae6180fd6995b30e3449a9bc6e88d5b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jun 23 06:59:06 2010 +0200

    Fixed html-to-native conversion of tables so that only conforming tables are converted

doc/news/release_0_9_0.page
lib/kramdown/parser/html.rb
test/test_files.rb
test/testcases/block/09_html/html_to_native/table_simple.html
test/testcases/block/09_html/html_to_native/table_simple.text

commit 27f1f943f3cc4552cb5134250e9766a57885d19b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 21 16:31:57 2010 +0200

    Updated documentation and release notes

doc/converter/latex.page
doc/news/release_0_9_0.page

commit 51536024c7462251f5690028a9507e1ee3e58fda
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 21 16:31:40 2010 +0200

    LaTeX converter: outputting attributes for some more elements

lib/kramdown/converter/latex.rb

commit 74689d273000670389d63847d6bee547b4135bde
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 21 15:35:09 2010 +0200

    Implemented an extended version of Michael Franzl's LaTeX blockquote proposal
    
    All converter methods that use the #latex_environment helper method now
    output the element attributes on the line starting with \begin{...}
    as a LaTeX comment.

lib/kramdown/converter/latex.rb

commit 3c9f5b7cb95390897fccc3cf318bd33924a52690
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 21 08:17:47 2010 +0200

    Added html-to-kramdown-to-html tests and fixed all appearing bugs

lib/kramdown/converter/kramdown.rb
lib/kramdown/converter/latex.rb
test/test_files.rb

commit d3ff2504b89da1ebcfaeca1d7cec2c0ae81f6e3e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 21 08:16:50 2010 +0200

    Added html-to-native conversion of math div/span elements

lib/kramdown/parser/html.rb

commit 7f80ae944b731ad0faa1c73a66d12cbd4d0c7af5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 21 08:16:25 2010 +0200

    Text children of flow HTML elements are now wrapped in :transparent paragraphs

lib/kramdown/parser/html.rb

commit 98fd3b4acaa9438b94fcf66d8279828a72d16b17
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 21 08:15:09 2010 +0200

    Re-enabled the toc tests in text->kramdown->html tests

test/test_files.rb

commit 7671b5546c0b616c63c8f6292646d551c577f3f4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 21 08:14:13 2010 +0200

    Fixed escaping of math output in HTML converter

lib/kramdown/converter/html.rb

commit c74f439d86e6fffa8fa5d1f8e321bd25c1ba08fe
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 21 08:13:42 2010 +0200

    Changed the way how compact lists are represented internally
    
    List items now always contain block elements and if the list is compact,
    i.e. if the first part should only be text, then it is wrapped in a
    paragraph and the paragraph is assigned the :transparent option.

lib/kramdown/converter/html.rb
lib/kramdown/parser/kramdown/list.rb

commit 4c03e46ccad57c9a36529f1a9facb2ffd9c2364c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 20 11:57:24 2010 +0200

    Allowing empty alternative text for image links

doc/news/release_0_9_0.page
doc/syntax.page
lib/kramdown/parser/kramdown/link.rb
test/testcases/span/01_link/empty.html
test/testcases/span/01_link/empty.text
test/testcases/span/01_link/imagelinks.html
test/testcases/span/01_link/imagelinks.text

commit 71f047d89a9dcd77a93bbfb7d485fdf32edba1e8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 20 11:23:57 2010 +0200

    Small doc change

README

commit 19950a07838992d947224cf7b8ee05aa8d191cc5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 20 11:09:31 2010 +0200

    Updated news file

doc/news/release_0_9_0.page

commit 744baf367c8273e14f03bf05949064130d50d86b
Author: Alex Marandon <contact@alexmarandon.com>
Date:   Sat Jun 19 23:39:27 2010 +0700

    Fix ri documentation error
    
    When installing the gem, there was an error in the documentation generation.
    Amazingly, just replacing the curly braces block by a do/end block solves the
    problem.
    
    The error was:
    
        Installing ri documentation for kramdown-0.9.0...
    
        RDoc failure in lib/kramdown/parser/html.rb at or around line 299 column 64
    
        Before reporting this, could you check that the file
        you're documenting compiles cleanly--RDoc is not a
        full Ruby parser, and gets confused easily if fed
        invalid programs.
    
        The internal error was:
    
        ERROR:  While generating documentation for kramdown-0.9.0
        ... MESSAGE:   Name or symbol expected (got
        ... RDOC args: --ri --op /home/al/.gem/ruby/1.8/doc/kramdown-0.9.0/ri
        --line-numbers --main Kramdown --quiet lib --title kramdown-0.9.0 Documentation
        (continuing with the rest of the installation)

lib/kramdown/parser/html.rb

commit a2e10bf6d7ebdc130267827e51ea7097617f4700
Author: Alex Marandon <contact@alexmarandon.com>
Date:   Fri Jun 18 23:17:53 2010 +0700

    Exclude toc tests from text->kramdown->html tests

test/test_files.rb
test/testcases/block/16_toc/toc_depth_2.html
test/testcases/block/16_toc/toc_depth_2.options
test/testcases/block/16_toc/toc_depth_2.text
test/testcases/block/16_toc/top_depth_2.html
test/testcases/block/16_toc/top_depth_2.options
test/testcases/block/16_toc/top_depth_2.text

commit 7e08f2b8e74e9074e1dce28bae799fceacb40ef1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 20 11:03:57 2010 +0200

    Updated documentation and release notes in regard to toc_depth option

doc/converter/html.page
doc/converter/latex.page
doc/news/release_0_9_0.page

commit e8676132692081156adaf76c33d7d8cd73e5ec92
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 20 11:01:28 2010 +0200

    Using toc_depth option in Latex converter

lib/kramdown/converter/latex.rb
lib/kramdown/options.rb

commit 22b1dd6e42ddd3799ef38efd6af1839ebd478283
Author: Alex Marandon <contact@alexmarandon.com>
Date:   Sun Jun 13 18:29:34 2010 +0700

    Add toc_depth option
    
    Add an option to specify the maximum depth of generated table of contents.

lib/kramdown/converter/html.rb
lib/kramdown/options.rb
test/testcases/block/16_toc/no_toc_depth.html
test/testcases/block/16_toc/no_toc_depth.options
test/testcases/block/16_toc/no_toc_depth.text
test/testcases/block/16_toc/top_depth_2.html
test/testcases/block/16_toc/top_depth_2.options
test/testcases/block/16_toc/top_depth_2.text

commit 9c18bf3f128dd05542b2274197006f04535a71c3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 20 10:41:10 2010 +0200

    Added information about needed LaTeX packages

doc/converter/latex.page

commit 75a941152077666bc8b9357deae5bf36f7d5728b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Jun 20 09:07:58 2010 +0200

    Added input-output diagram to front page

doc/index.page

commit f2c40f814899ffe240fd1b2441d1d137b8b37b7e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Jun 17 08:03:33 2010 +0200

    Fixed problems in html-to-native conversion
    
    * Whitespace was modified in non-native pre/code elements
    * Some conversions were done although they should not have been
      when a parent element was non-native

lib/kramdown/parser/html.rb

commit 0334cb2c8fe1bb93364eb2b2b389bece0cb3cf71
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Jun 17 07:16:25 2010 +0200

    Block IALs and ALDs now insert an :eob element into the output stream
    
    Since these elements visually end a block, they should end a block
    element during the parsing stage.

lib/kramdown/parser/kramdown/attribute_list.rb
test/testcases/block/11_ial/simple.html

commit 63181190164e3b9e8ebeab34c3926b377f0678b5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jun 16 08:10:27 2010 +0200

    Using the scss processor instead of less for the stylesheet

doc/default.less.css
doc/default.scss.css

commit 06e372e8acffb7e4aeba21f95aadd88e9c7f43da
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 15 22:21:03 2010 +0200

    Update documentation and release notes

doc/converter/kramdown.page
doc/documentation.page
doc/news/release_0_9_0.page

commit 1ce85c93b2cde82a947ec85c0575b483a99a6092
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 15 22:05:39 2010 +0200

    Readded Converter::Html#options_for_element with deprecation
    
    webgen uses this, so just removing would lead to problems

doc/news/release_0_9_0.page
lib/kramdown/converter/html.rb

commit c145bf7ffe24345ad1e19f493941c6ee11f4d1b2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 15 21:47:46 2010 +0200

    Added kramdown converter

lib/kramdown/converter.rb
lib/kramdown/converter/kramdown.rb
lib/kramdown/options.rb
test/test_files.rb

commit 6d65732107545e87cea30aea3fc43c0ab7835c5f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 15 21:46:37 2010 +0200

    Fixed :category option of math span element

lib/kramdown/parser/kramdown/math.rb

commit 59749d6037591f575f799a0321ed057b68ebb737
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 15 21:44:14 2010 +0200

    Extracted common HTML converter methods to a separate utils class

lib/kramdown/converter/html.rb
lib/kramdown/utils.rb
lib/kramdown/utils/html.rb

commit f92234b8e27e872e54bf84890e2a4dd978d9dd83
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 15 17:01:34 2010 +0200

    Fixed problem with item IALs and enabled item IALs for definitions
    
    Item IAL was not recognized when first element was a code block.

doc/syntax.page
lib/kramdown/parser/kramdown/list.rb
test/testcases/block/13_definition_list/item_ial.html
test/testcases/block/13_definition_list/item_ial.text

commit 12ccf8617f6869271709eb61ba465a07eb07d084
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 14 20:09:32 2010 +0200

    Updated comment extension to produce :comment element
    
    kramdown comments are now output in HTML and LaTeX

lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/kramdown/extension.rb
test/testcases/block/12_extension/comment.html
test/testcases/span/extension/comment.html

commit ebb339d927bf315793763eb73f39325005aed83a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 14 19:16:45 2010 +0200

    Elements of type :eob do not appear anymore in the final element tree

lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/kramdown.rb

commit 8ecf464bda6c136b7bdfe62642cd3d73d92924bc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 11 09:55:19 2010 +0200

    HTML converter outputs characters for entities if possible
    
    This is only done if run under Ruby 1.9

doc/news/release_0_9_0.page
lib/kramdown/converter/html.rb
lib/kramdown/parser/html.rb
lib/kramdown/utils/entities.rb
test/test_files.rb
test/testcases/block/07_horizontal_rule/error.html.19
test/testcases/block/09_html/html_to_native/typography.html.19
test/testcases/block/09_html/simple.html.19
test/testcases/span/01_link/inline.html.19
test/testcases/span/01_link/reference.html.19
test/testcases/span/text_substitutions/entities.html.19
test/testcases/span/text_substitutions/entities_numeric.html.19
test/testcases/span/text_substitutions/typography.html.19

commit a616422221bc5e2d62f5c63bf19b3f96c7607ca2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Jun 10 08:07:27 2010 +0200

    Updated handling of code span/block elements
    
    - They can contain only text, again
    - When using html_to_native or the HTML parser and you are using Ruby
      1.9, entities are converted to characters if possible and if the
      result contains only text, a code span/block is created - otherwise
      a generic HTML code/pre element is used.

lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/document.rb
lib/kramdown/parser/base.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/html_to_native/code.html
test/testcases/block/09_html/html_to_native/code.text

commit 2b3deaf9c6b7efb005cf41eaaaaaae6003b4b09d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Jun 10 07:19:42 2010 +0200

    Updated entity handling implementation
    
    - Added a separate module for handling entities
    - Added option numeric_entities for defining whether entities are output
      using their names or their numeric values

doc/news/release_0_9_0.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/document.rb
lib/kramdown/options.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/html_entity.rb
lib/kramdown/parser/kramdown/typographic_symbol.rb
lib/kramdown/utils.rb
lib/kramdown/utils/entities.rb
test/testcases/block/06_codeblock/whitespace.html
test/testcases/span/text_substitutions/entities_numeric.html
test/testcases/span/text_substitutions/entities_numeric.options
test/testcases/span/text_substitutions/entities_numeric.text

commit 66e9bcc591cd2433f1c919cee3c0deb647aa3724
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jun 9 15:53:47 2010 +0200

    Removed deprecated option filter_html

doc/converter/html.page
lib/kramdown/converter/html.rb
lib/kramdown/options.rb
test/run_tests.rb
test/test_files.rb
test/testcases/block/09_html/filtered_html.html
test/testcases/block/09_html/filtered_html.options
test/testcases/block/09_html/filtered_html.text
test/testcases/block/12_extension/options.html
test/testcases/block/12_extension/options.text

commit f4e2496bb4d930b77d8897a7fb014615c1882b5b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jun 9 15:45:34 2010 +0200

    Bumped version number and added release notes file

doc/news/release_0_9_0.page
lib/kramdown/version.rb

commit 824d854f2aa176664528d51e7ec98d91d7944b39
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 8 15:45:02 2010 +0200

    Fixed type in Rakefile

Rakefile

commit 54d5a8ebf100d4a810d48445f76f409fe6755831
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 8 15:42:09 2010 +0200

    Fixed Kernel.warn output in document.latex template

data/kramdown/document.latex

commit b69e946ad3bbd4e4b010968cb6a42eb49d06f337
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 8 15:37:08 2010 +0200

    Fixed LaTeX conversion test to always have an assert statement

test/test_files.rb

commit d2f817b24c50c7f9cb9c941a9b8c154cb291e4fa
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 8 15:30:16 2010 +0200

    Updated documentation

doc/documentation.page
doc/index.page
doc/links.markdown
doc/news/release_0_8_0.page
doc/parser/html.page
doc/parser/kramdown.page
doc/tests.page

commit ec1c9ad74873e06f786837708ef5361d7714328f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 8 11:55:43 2010 +0200

    Deprecated filter_html option
    
    There exists better facilities for performinig this kind of task.

doc/news/release_0_8_0.page
lib/kramdown/converter/html.rb
lib/kramdown/options.rb

commit d7dda4bd0aec08414feb24ce9983f0ccff34dde1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 8 11:13:27 2010 +0200

    Converting <i> and <b> html elements in LaTeX converter

lib/kramdown/converter/latex.rb

commit 1d48a55b26040a777d2ac29cf906e17ac92ce0ed
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 8 10:35:47 2010 +0200

    Fixed problem with image links in LaTeX converter
    
    Not outputting image links with empty source URL anymore

lib/kramdown/converter/latex.rb

commit 6bbff48b73abdbfa27d08c0b269850edaaccedcf
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 7 19:07:24 2010 +0200

    Merged element :text and :raw_text element types
    
    The element type :raw_text may not appear in the element tree after
    parsing is done, only :text elements are supported by the converters.
    The kramdown parser still uses :raw_text elements internally - these
    elements are the ones that get parsed with the span level parser.

lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/list.rb
lib/kramdown/parser/kramdown/table.rb

commit cb51bf3f60e492f7c6467eaced4520e35bb33489
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 7 15:20:59 2010 +0200

    Updated README with information regarding kramdown development

README

commit 99ba359b97924b0a2527b8a255fb68d9ae049218
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 7 08:28:20 2010 +0200

    Added latex compilation tests
    
    Each .text testcase is now additionally converted to LaTeX with the
    default template and then processed by the latex executable to find
    compilation errors.

test/test_files.rb

commit 7ec5a1ce19a6de7732e2666836b81c8d452a725a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 7 08:27:03 2010 +0200

    Fixed copy-paste error in LaTeX converter

lib/kramdown/converter/latex.rb

commit 22fcb3a34f831c1366022ade40e805a59dd905e3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jun 7 08:26:30 2010 +0200

    Changed binding when evaluating template after conversion
    
    Now creating a new object that is used as binding object. This avoids
    cluttering the global namespace. Now one needs to use instance variables
    instead of locals, i.e. @doc/@body instead of doc/body.

data/kramdown/document.html
data/kramdown/document.latex
lib/kramdown/converter/base.rb

commit 15a692c6db428c1c48ced1eb460ce0fc3c8428f2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 20:32:40 2010 +0200

    Fixed HTML converter problem

lib/kramdown/converter/html.rb

commit b1ccf1616053ceeb00ede70ff81014ac1e6c054b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 20:29:29 2010 +0200

    Fixed bug in html-to-native processing of xml comments/PIs and html doctypes

lib/kramdown/parser/html.rb

commit eb5e1cf55486470ebbf3ac61148ecf1f52332eba
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 20:27:10 2010 +0200

    Added html-to-html conversion tests

test/test_files.rb

commit 6b55fd5b2cdd4a6e7a9159f9cb8677bbdafd6306
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 19:34:28 2010 +0200

    Fixed parsing of HTML script tags

lib/kramdown/parser/html.rb
test/testcases/block/09_html/parse_as_raw.html
test/testcases/block/09_html/parse_as_raw.text

commit 6e91ba34c2aae401b08efa2e5d63a85fb1bf3451
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 18:10:31 2010 +0200

    Fixed a warning on Ruby 1.8.7

lib/kramdown/parser/html.rb

commit 13f3bf1986f9b125dc2b821c351a4324f72eb976
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 11:18:44 2010 +0200

    Fixed HTML-to-native conversion of not-simple tables

lib/kramdown/parser/html.rb
test/testcases/block/09_html/html_to_native/table.html
test/testcases/block/09_html/html_to_native/table.text
test/testcases/block/09_html/html_to_native/table_normal.html
test/testcases/block/09_html/html_to_native/table_normal.text
test/testcases/block/09_html/html_to_native/table_simple.html
test/testcases/block/09_html/html_to_native/table_simple.text

commit 4e314534abcaf11816c10a03b607ce0d2c1300f3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 10:43:44 2010 +0200

    Added conversion of xml comments to LaTeX comments

lib/kramdown/converter/latex.rb

commit 3a9041f03862be83c78aa6ac8eacbb096760df7e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 10:28:16 2010 +0200

    Many HTML parsing related changes
    
    * Created standalone HTML parser, using the implementation of the
      kramdown HTML parser. The kramdown HTML parser is now based on the
      standalone version
    * Added support for parsing an HTML doctype and for converting it
    * HTML-to-native support is now encapsulated in own class and enhanced
      to work better/across more HTML tags

lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/html_entity.rb
test/testcases/block/09_html/html_to_native/comment.html
test/testcases/block/09_html/html_to_native/paragraph.html
test/testcases/block/09_html/html_to_native/paragraph.text

commit 5ce9de5b0d3ab0438375895463d6341374185c81
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 10:20:43 2010 +0200

    Fixed standalone test runner to load directory options file

test/run_tests.rb

commit e094110f79c52f5950e855bb85b3624b8df315fd
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 10:20:05 2010 +0200

    Added base class for parsers

lib/kramdown/parser.rb
lib/kramdown/parser/base.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/link.rb

commit e1be06b37b680248bd276407ae4c2dcbad702b1b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 10:17:52 2010 +0200

    Fixed spelling error

lib/kramdown/converter/base.rb

commit 47eef4efb25f8f0f046d3b39aadd5f661b9797ee
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jun 4 09:27:45 2010 +0200

    Changed content model of th from block to span (in conformance to HTML5 spec)

doc/syntax.page
test/testcases/block/09_html/content_model/tables.html

commit 482de59507d569dc7668e9334a3a82ab44f439e0
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jun 1 20:43:47 2010 +0200

    Completed list of HTML elements that have no body

lib/kramdown/parser/kramdown/html.rb

commit 2330fe56b311ce0fa607897461d95cf12d6ca54e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon May 31 16:43:27 2010 +0200

    Better whitespace handling when using html_to_native
    
    * :raw_text elements containing only whitespace and appearing between
      block elements are converted to :blank elements
    * one or more whitespace characters are compressed to a single space
    * leading/trailing whitespace in block HTML elements is removed

lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/html_to_native/list_ul.html
test/testcases/block/09_html/html_to_native/paragraph.html
test/testcases/block/09_html/html_to_native/paragraph.text
test/testcases/block/09_html/html_to_native/table.html

commit 9d65fb05c9dca26c131047bf502a95fd4bcb9a3c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon May 31 16:20:22 2010 +0200

    Fixed problem with test runner
    
    Test assertion files with a file extension that refer to an unknown converter are ignored

test/test_files.rb

commit 7b0a882e99be1dc986a2c7e15e01b4ddf706726f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon May 31 07:41:54 2010 +0200

    Fixed problems with xml comment/pi parsing
    
    * Parsing is now done even if inside a raw HTML tag
    * HTML converter was modified to handle the above case

lib/kramdown/converter/html.rb
lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/comment.html
test/testcases/block/09_html/comment.text
test/testcases/block/09_html/html_to_native/comment.html
test/testcases/block/09_html/html_to_native/comment.text

commit 109ef4e24d9d87c71f02f33dbe3054ff34bb0b1c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat May 29 17:24:27 2010 +0200

    Converted lambdas used for html-to-native functionality to real methods and fixed pre/code conversion

lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/html_to_native/code.html
test/testcases/block/09_html/html_to_native/code.text

commit 858ea7053ac81993a787688e444a71655dd9b989
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri May 28 15:37:24 2010 +0200

    Using the fancyvrb package to support code blocks in footnotes when using the LaTeX converter

data/kramdown/document.latex
doc/converter/latex.page
lib/kramdown/converter/latex.rb

commit 9b4f8fd4eac03885bbdfbe1008321e5c33a7045a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 27 21:26:39 2010 +0200

    Added rake task for generating CONTRIBUTERS file from git history

Rakefile

commit 939c1a8790d2cb8b5043c667e4f9f78d9ada07d1
Author: Ben Armston <ben.armston@googlemail.com>
Date:   Tue May 25 22:25:09 2010 +0100

    Fix generation of latex footnotes
    
    - Passing `opts` removed an `ArgumentError: wrong number of arguments (1
      for 2)`.
    - Adding `[:content]` removed a `NoMethodError: undefined method
      `children' for #<Hash:...>`

lib/kramdown/converter/latex.rb
test/testcases/span/04_footnote/definitions.latex
test/testcases/span/04_footnote/footnote_nr.latex
test/testcases/span/04_footnote/markers.latex

commit 6ccd690dbf80fc4644c0d060d05008afc82423f7
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 27 21:00:11 2010 +0200

    Updated test runner to be able to run tests on any conversion format

test/test_files.rb

commit 5a1eb15335d1d6179a7f7041786f52837686e588
Author: Ben Armston <ben.armston@googlemail.com>
Date:   Tue May 25 22:20:53 2010 +0100

    Run latex tests if they exist

test/test_files.rb

commit 720c2b0aa6a47d9ee12689909aa6b22cf5a32538
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 27 20:41:22 2010 +0200

    Updated the Rakefile to prohibit releases if not all development deps are installed

Rakefile

commit a0ddab1e1be5e6fc05112e318e48f328add40d5c
Author: Ben Armston <ben.armston@googlemail.com>
Date:   Tue May 25 22:10:39 2010 +0100

    Only define rdoc task if rdoc is installed

Rakefile

commit a156853b721be10a85f6de661bf05c410613a853
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 27 15:25:46 2010 +0200

    Better html-to-native processing for li and dd tags

doc/parser/kramdown.page
lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/html_to_native/list_ol.html
test/testcases/block/09_html/html_to_native/list_ul.html

commit 2b8c1b4e6001bd9bacc2f24941e832eeec846c49
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 27 15:23:48 2010 +0200

    Added gitignore file

.gitignore

commit 903f22ee1d367c5771325ea6ef77d975398d1f76
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 27 07:46:28 2010 +0200

    Modified list handling to use :category key instead of special :first_is_block key

lib/kramdown/converter/html.rb
lib/kramdown/parser/kramdown/list.rb

commit 6e9c777e15bd55494281b30a81eb472de75fcd4b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 27 07:43:08 2010 +0200

    Formalized how to set the category of an element
    
    The category of element (:block or :span) can now be set via the special
    options key :category.

lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/document.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/extension.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/math.rb

commit ef6c7683312966b16e7c9b1921e73fa3424797bd
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed May 26 16:44:07 2010 +0200

    Better html-to-native processing for ul, ol and dl tags

doc/parser/kramdown.page
lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/html_to_native/list_dl.html
test/testcases/block/09_html/html_to_native/list_dl.text
test/testcases/block/09_html/html_to_native/list_ol.html
test/testcases/block/09_html/html_to_native/list_ol.text
test/testcases/block/09_html/html_to_native/list_ul.html
test/testcases/block/09_html/html_to_native/list_ul.text

commit 16c3cd2fd2028fc14bcd3cdba6cf25d84a359941
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed May 26 16:42:31 2010 +0200

    Fixed problem with accumulating raw text in HTML parser
    
    Needed to add :codeblock and :codespan elements to the list of elements
    from which the raw text may be extracted because they may have been
    processed already.

lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/html_to_native/code.html
test/testcases/block/09_html/html_to_native/code.text

commit dfa48c97a2b7964fedc400299c1d7b18c16939a3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun May 23 06:15:30 2010 +0200

    Added the ability to convert HTML tags to native elements
    
    This is directly implemented in the HTML parser and controlled with the
    new html_to_native option.

doc/news/release_0_8_0.page
doc/parser/kramdown.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/options.rb
lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/html_to_native/code.html
test/testcases/block/09_html/html_to_native/code.text
test/testcases/block/09_html/html_to_native/emphasis.html
test/testcases/block/09_html/html_to_native/emphasis.text
test/testcases/block/09_html/html_to_native/entity.html
test/testcases/block/09_html/html_to_native/entity.text
test/testcases/block/09_html/html_to_native/header.html
test/testcases/block/09_html/html_to_native/header.options
test/testcases/block/09_html/html_to_native/header.text
test/testcases/block/09_html/html_to_native/options
test/testcases/block/09_html/html_to_native/paragraph.html
test/testcases/block/09_html/html_to_native/paragraph.text
test/testcases/block/09_html/html_to_native/table.html
test/testcases/block/09_html/html_to_native/table.text
test/testcases/block/09_html/html_to_native/typography.html
test/testcases/block/09_html/html_to_native/typography.text

commit 14233a850d51edb543abd85157a2016bf79dacfe
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun May 23 06:16:12 2010 +0200

    Test file now supports loading a common directory options file

test/test_files.rb

commit 0a7ebd0623e21eddd1a4a83bcc845dd7107c50ec
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat May 22 08:43:32 2010 +0200

    HTML tags inside raw HTML span tags are now parsed as raw HTML tags

doc/news/release_0_8_0.page
lib/kramdown/parser/kramdown/html.rb

commit 27bef199e798d26b29d42864bbbbd278f241a168
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat May 22 08:41:35 2010 +0200

    HTML code and pre tags are now parsed as raw HTML tags

doc/news/release_0_8_0.page
lib/kramdown/parser/kramdown/html.rb

commit 595a29f4fa8a0e943c15f0029267b02ef49a4054
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat May 22 08:32:47 2010 +0200

    Fixed problem with HTML span parsing
    
    Some text was not added to the correct element when the end tag was not
    found.

doc/news/release_0_8_0.page
lib/kramdown/parser/kramdown/html.rb
test/testcases/span/05_html/invalid.html
test/testcases/span/05_html/invalid.text

commit 936564a194e81469fb0d95607b4ecbe1c0dc9cd7
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat May 22 08:22:21 2010 +0200

    Renamed element type :html_text to :raw_text
    
    This type of text element is basically the same as the :text element
    but it is not parsed with the span level parser.

lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/kramdown/html.rb

commit c4b87346c193065282a7c3aec4d5f12baf0f18ef
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat May 22 07:37:35 2010 +0200

    Two fixes in typographic sym parser
    
    * Entities were added as string and not as entity elements which is now
      corrected.
    * Renamed :ellipsis to :hellip

doc/news/release_0_8_0.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/kramdown/typographic_symbol.rb

commit f9041fc4b7e5284d6a30b389519b9ebf562d6431
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri May 21 18:49:53 2010 +0200

    Table header cells are now represented by their own element type

doc/news/release_0_8_0.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/kramdown/table.rb

commit bc060c1db0badbcf6c19797c338c945f45f4b94e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 20 17:46:16 2010 +0200

    Bumped version number and added release notes file

doc/news/release_0_8_0.page
lib/kramdown/version.rb

commit 3975435056216bbe0c19fbbad4b9985e04f78d68
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 20 17:42:11 2010 +0200

    Removed support for old extension syntax and custom extensions

lib/kramdown/options.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/extension.rb

commit 4e2e24907f0e16f2e6f7755fa3cc4f8c3615e62d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 20 08:35:03 2010 +0200

    Updated API documentation

lib/kramdown/converter.rb
lib/kramdown/converter/base.rb
lib/kramdown/document.rb
lib/kramdown/options.rb
lib/kramdown/parser.rb

commit 50d4b0607abfbe26f590096129471ff149da6593
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 20 08:14:49 2010 +0200

    Small fix for determining the converter class to use when using the doc.to_ shortcut

lib/kramdown/document.rb

commit 03e15d86ca11ca327d22b6a8b43e8d77337fd34c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 20 07:32:46 2010 +0200

    Attributes assigned to TOC list are now applied to generated TOC list

doc/converter/html.page
lib/kramdown/converter/html.rb

commit be2d2abef64a8d10ad0ad13f7fbee3fb485cd115
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed May 19 07:50:03 2010 +0200

    Updated copyright notice task and copyright notices

Rakefile
lib/kramdown.rb
lib/kramdown/compatibility.rb
lib/kramdown/converter.rb
lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/document.rb
lib/kramdown/error.rb
lib/kramdown/options.rb
lib/kramdown/parser.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/attribute_list.rb
lib/kramdown/parser/kramdown/autolink.rb
lib/kramdown/parser/kramdown/blank_line.rb
lib/kramdown/parser/kramdown/blockquote.rb
lib/kramdown/parser/kramdown/codeblock.rb
lib/kramdown/parser/kramdown/codespan.rb
lib/kramdown/parser/kramdown/emphasis.rb
lib/kramdown/parser/kramdown/eob.rb
lib/kramdown/parser/kramdown/escaped_chars.rb
lib/kramdown/parser/kramdown/extension.rb
lib/kramdown/parser/kramdown/footnote.rb
lib/kramdown/parser/kramdown/header.rb
lib/kramdown/parser/kramdown/horizontal_rule.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/html_entity.rb
lib/kramdown/parser/kramdown/line_break.rb
lib/kramdown/parser/kramdown/link.rb
lib/kramdown/parser/kramdown/list.rb
lib/kramdown/parser/kramdown/math.rb
lib/kramdown/parser/kramdown/paragraph.rb
lib/kramdown/parser/kramdown/smart_quotes.rb
lib/kramdown/parser/kramdown/table.rb
lib/kramdown/parser/kramdown/typographic_symbol.rb
lib/kramdown/version.rb

commit 3590129a6ad01161ee8f03a25f4d93d14fd6f4b1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed May 19 07:20:20 2010 +0200

    Updated documentation content and structure

Rakefile
doc/default.less.css
doc/default.template
doc/documentation.page
doc/index.page
doc/installation.page
doc/parser/kramdown.page
doc/quickref.page
doc/syntax.page

commit 0e73d548e89a77b0318efa151aa1c6279d7f1c00
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri May 7 12:17:58 2010 +0200

    Last changes before release

doc/index.page
doc/news/release_0_7_0.page

commit c83af0ac96ea60aeb5d90afdfe31746106e0de9f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 6 20:20:20 2010 +0200

    Fixed small problem with :input document option

lib/kramdown/document.rb

commit 4c6261dad0dc80235a76866a54ed5a9bf55d6174
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 6 20:19:30 2010 +0200

    Made kramdown parser class better subclass-able and added example subclass

lib/kramdown/parser/kramdown.rb

commit 1cb4d538ff62cfb78c88fdf858283c1902b8cd7d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 6 16:53:11 2010 +0200

    Modified block IAL syntax so that placing an IAL before an element is possible

doc/news/release_0_7_0.page
doc/syntax.page
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/attribute_list.rb
lib/kramdown/parser/kramdown/blank_line.rb
lib/kramdown/parser/kramdown/blockquote.rb
lib/kramdown/parser/kramdown/codeblock.rb
lib/kramdown/parser/kramdown/eob.rb
lib/kramdown/parser/kramdown/header.rb
lib/kramdown/parser/kramdown/horizontal_rule.rb
lib/kramdown/parser/kramdown/list.rb
lib/kramdown/parser/kramdown/math.rb
lib/kramdown/parser/kramdown/paragraph.rb
lib/kramdown/parser/kramdown/table.rb
test/testcases/block/11_ial/simple.html
test/testcases/block/11_ial/simple.text

commit d63445c83d7ccb545e649763454e0a5a2619295d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 6 08:01:21 2010 +0200

    Fixed problem with invalid IDs on news page

doc/news.page

commit eb9d114114f0a2333d149e4554805063689dac5a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu May 6 08:00:24 2010 +0200

    Updated HTML ToC generation to either create ordered or unordered lists

doc/converter/html.page
lib/kramdown/converter/html.rb

commit 6fe31bd9900390ae389e884edc85f9f4bdd3070e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed May 5 08:27:50 2010 +0200

    Added option for prefixing auto_ids with a string

doc/news/release_0_7_0.page
lib/kramdown/converter/base.rb
lib/kramdown/options.rb
test/testcases/block/04_header/with_auto_id_prefix.html
test/testcases/block/04_header/with_auto_id_prefix.options
test/testcases/block/04_header/with_auto_id_prefix.text

commit e39be57de665f72d83c38c05ac243cb13f316516
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed May 5 08:08:52 2010 +0200

    Implemented support for applying an IAL to a list item

doc/news/release_0_7_0.page
doc/syntax.page
lib/kramdown/parser/kramdown/list.rb
test/testcases/block/08_list/item_ial.html
test/testcases/block/08_list/item_ial.text

commit 598478881b809a6f76121ce5741d1105483e3276
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed May 5 08:03:32 2010 +0200

    Fixed unnecessary recursions when replacing abbreviations

lib/kramdown/parser/kramdown.rb

commit 1994f6f62e2317d1a302668b7e237e8554eff47e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed May 5 07:56:30 2010 +0200

    Invalid span IALs are now removed from the output

doc/news/release_0_7_0.page
doc/syntax.page
lib/kramdown/parser/kramdown/attribute_list.rb
test/testcases/span/ial/simple.html
test/testcases/span/ial/simple.text

commit c5a7ce9ca428258f275a9ad82277e8c430f0fd55
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed May 5 07:29:07 2010 +0200

    Fixed problem with invalid error message

lib/kramdown/document.rb

commit 7da28a8abd9fa16dd5c8fc165b02d49af57e6cb8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue May 4 20:12:55 2010 +0200

    Added support for automatic generation of ToC

doc/converter/html.page
doc/converter/latex.page
doc/news/release_0_7_0.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb

commit 9c3272eaf95e11d655b3f49fe4c097e5b245c949
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon May 3 16:22:38 2010 +0200

    Updated testing script to use all available rvm ruby versions

benchmark/testing.sh

commit 6776bfccbc1dd82a8dd54109d7dc61b5f6eba1b5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon May 3 16:21:58 2010 +0200

    Removed leading colon from option names

doc/news/release_0_2_0.page
doc/news/release_0_7_0.page

commit 4c32df245a179a338b4295e1f84e8b7fb0b09c59
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon May 3 16:20:41 2010 +0200

    Fixed ambiguity problem of new extension syntax
    
    The sequence {:comment} could mean an IAL with a reference to the comment ALD
    or the beginning of the extension named comment. To resolve this problem,
    extensions now have to begin with two colons

doc/syntax.page
lib/kramdown/parser/kramdown/extension.rb
test/testcases/block/12_extension/comment.text
test/testcases/block/12_extension/ignored.text
test/testcases/block/12_extension/nomarkdown.text
test/testcases/block/12_extension/options.text
test/testcases/block/12_extension/options2.text
test/testcases/block/12_extension/options3.text
test/testcases/span/extension/comment.text
test/testcases/span/extension/ignored.text
test/testcases/span/extension/nomarkdown.text
test/testcases/span/extension/options.text

commit b48f6ede0237db9bf30cf79a4abd6841a1d70f49
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Apr 22 20:52:15 2010 +0200

    Restructured syntax documentation

doc/syntax.page

commit 2c0d469ee9365a19b0a79752532e727310cfbe79
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Apr 22 07:41:26 2010 +0200

    Updated documentation
    
    * Option names are now always used without the leading colon
    * All converter specific options are now described on their respective
      documentation page and not on the kramdown syntax page anymore

Rakefile
doc/converter/html.page
doc/converter/latex.page
doc/links.markdown
doc/news/release_0_4_0.page
doc/parser/kramdown.page
doc/syntax.page

commit c61f553f181f6bda2bcdb3e5e01a3716513e38db
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Apr 21 19:34:38 2010 +0200

    Re-implemented custom extensions for docu as webgen tags

Rakefile
doc/quickref.page

commit 210d61a1ddf5cceb89f5f29b7df4dd57d871cb76
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Apr 21 19:01:13 2010 +0200

    Updated block extension code to use new syntax
    
    The old code is still available and will be removed in a future
    version of kramdown.

doc/news/release_0_7_0.page
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/extension.rb
test/testcases/block/12_extension/comment.text
test/testcases/block/12_extension/ignored.html
test/testcases/block/12_extension/ignored.text
test/testcases/block/12_extension/nomarkdown.text
test/testcases/block/12_extension/options.text
test/testcases/block/12_extension/options2.text
test/testcases/block/12_extension/options3.text

commit 2f7b852c80a185f63f8ea77bf56833c345669264
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Apr 21 08:44:00 2010 +0200

    Implemented support for span extension using the new syntax

doc/news/release_0_7_0.page
doc/quickref.page
doc/syntax.page
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/extension.rb
test/testcases/span/extension/comment.html
test/testcases/span/extension/comment.text
test/testcases/span/extension/ignored.html
test/testcases/span/extension/ignored.text
test/testcases/span/extension/nomarkdown.html
test/testcases/span/extension/nomarkdown.text
test/testcases/span/extension/options.html
test/testcases/span/extension/options.text

commit 4bc26bba49b53259c5bea118459298aaf0eca663
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Apr 20 17:44:45 2010 +0200

    Added deprecation warning for old extension parser

doc/news/release_0_7_0.page
lib/kramdown/parser/kramdown/extension.rb

commit 6ffc5f341f26637391c669c9f47b59cffde88adc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Apr 18 08:33:34 2010 +0200

    Fixed check-in of invalid file

test/testcases/span/abbreviations/.abbrev.html.swp

commit f0d4f182db8b04d631da27fe2ec1fb8347f6b50b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Apr 18 08:32:59 2010 +0200

    Moved option :auto_ids from parser to converters

doc/news/release_0_7_0.page
doc/quickref.page
lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/options.rb
lib/kramdown/parser/kramdown/header.rb
test/testcases/block/11_ial/auto_id_and_ial.html
test/testcases/block/11_ial/auto_id_and_ial.text
test/testcases/block/12_extension/options.html
test/testcases/block/12_extension/options.text

commit e846fd69fe278880c1bb2559f0378c31e64b1cfe
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Apr 16 11:58:12 2010 +0200

    Added syntax support for abbreviations

doc/news/release_0_7_0.page
doc/quickref.page
doc/syntax.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/abbreviation.rb
test/testcases/span/abbreviations/.abbrev.html.swp
test/testcases/span/abbreviations/abbrev.html
test/testcases/span/abbreviations/abbrev.text
test/testcases/span/abbreviations/abbrev_defs.html
test/testcases/span/abbreviations/abbrev_defs.text

commit 719f35ee0046328f661581915d10899ba21cd39b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Apr 9 10:26:04 2010 +0200

    Fixed special case of smart quotes parsing

doc/news/release_0_7_0.page
lib/kramdown/parser/kramdown/smart_quotes.rb
test/testcases/span/text_substitutions/typography.html
test/testcases/span/text_substitutions/typography.text

commit 6e9dd27242cb193900c975822d534a20a5754144
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Apr 9 10:25:29 2010 +0200

    Fixed dependency problem in Rakefile
    
    Rakefile should always load fine even if webgen is not installed.

Rakefile

commit d6c22539b6c8513f059f27e5560831dc49a5b578
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Apr 9 10:18:57 2010 +0200

    Fixed problem with invalid error reporting

lib/kramdown/document.rb

commit 6a957f7a635b26677e80efb68538238eaba07fd6
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Apr 7 17:39:44 2010 +0200

    Removed deprecated CLI option -f

bin/kramdown
doc/news/release_0_7_0.page

commit 7a20c25cf1490f84a4ddca12431d4df282326d6f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Apr 7 09:44:49 2010 +0200

    Bumped version number and added news file

doc/news/release_0_7_0.page
lib/kramdown/version.rb

commit 01986057b7e458aaf352f7d8fddb587ae2fcc16e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Apr 6 12:13:36 2010 +0200

    Added benchmark data for 0.6.0 release and updated graphs

benchmark/historic-jruby-1.4.0.dat
benchmark/historic-ruby-1.8.6.dat
benchmark/historic-ruby-1.8.7.dat
benchmark/historic-ruby-1.9.1p243.dat
benchmark/historic-ruby-1.9.2dev.dat
doc/img/graph-jruby-1.4.0.png
doc/img/graph-ruby-1.8.6.png
doc/img/graph-ruby-1.8.7.png
doc/img/graph-ruby-1.9.1p243.png
doc/img/graph-ruby-1.9.2dev.png
doc/tests.page

commit 712aed9b546e75458e030606c6f5c60cbee45629
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Apr 6 12:12:50 2010 +0200

    Now only showing kramdown performance in graphs

benchmark/generate_data.rb

commit d3f3426ce66aeaf2ca317efc59ecc42a78a1d3ad
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Apr 6 11:41:19 2010 +0200

    Removed old benchmark data

benchmark/historic-jruby-1.4.0.dat
benchmark/historic-ruby-1.8.6.dat
benchmark/historic-ruby-1.8.7.dat
benchmark/historic-ruby-1.9.1p243.dat
benchmark/historic-ruby-1.9.2dev.dat

commit acde8528e26f40af2192b25dc939b62ff20b27fb
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Apr 6 11:27:09 2010 +0200

    Small credit fix

doc/default.template

commit 7152ad65def87001ec8b2b61955d38c8ded064cb
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Mar 18 20:44:57 2010 +0100

    Updated release date and front matter

doc/index.page
doc/news/release_0_6_0.page

commit 8b99bc030f7c97ddb78f6d8b9b5a161bf5cd4aa2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Mar 18 20:43:37 2010 +0100

    Fixed some style issues

doc/default.less.css
doc/news.page

commit a82a70715298bee2659e387ea4622b4e87285b2f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Mar 18 20:42:46 2010 +0100

    Updated release notes

doc/news/release_0_6_0.page

commit dc64a5fa47202f01eb829d5fc5f389f35014ea69
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Mar 17 18:27:59 2010 +0100

    Updated documentation
    
    Moved HTML/LaTeX specific parts of the syntax document to the converter
    documents.

doc/converter/html.page
doc/converter/latex.page
doc/syntax.page

commit 397dafe8664affaa7ca0e3895b683bc32f73d637
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Mar 17 18:27:11 2010 +0100

    Updated styling of homepage

doc/default.css
doc/default.less.css
doc/default.template
doc/index.page

commit ad6b4a2c203a2728c8564312ede3b3b6aef9cf07
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Mar 16 14:18:16 2010 +0100

    Small syntax change for the last list item
    
    It is now also wrapped in a paragraph if all other list items are
    also wrapped in a paragraph.

doc/news/release_0_6_0.page
doc/syntax.page
lib/kramdown/parser/kramdown/list.rb
test/testcases/block/08_list/mixed.html
test/testcases/block/08_list/special_cases.html
test/testcases/block/08_list/special_cases.text

commit 52441c4c0eea53f8f8af699c799bf4459a2baff2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Mar 14 19:42:22 2010 +0100

    Fixed typo in manual page

man/man1/kramdown.1.erb

commit 5b5bf7f100cb99ee2f8f95ad30201220f22607b1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Mar 12 13:10:40 2010 +0100

    Fixed problem with missing data files

Rakefile
doc/news/release_0_6_0.page

commit 7e579fdcb40f68aaf0219e6fe3d2f34192900d87
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Mar 2 14:45:49 2010 +0100

    Fixed performance problem with emphasis parsing
    
    Backtracking in the emphasis parser lead to poor performance. Nesting
    em or strong emphasis is now forbidden to prevent this.

doc/news/release_0_6_0.page
doc/syntax.page
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/emphasis.rb
test/testcases/span/02_emphasis/errors.html
test/testcases/span/02_emphasis/nesting.html
test/testcases/span/02_emphasis/nesting.text

commit 07b1bd5156d7c6c1f627bdf3d94bad886bc5ac5f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Feb 23 16:30:04 2010 +0100

    Added a new CLI option -i and changed -f to -o with deprecation
    
    The option -i can be used to select the input format. The Document class has
    been adjusted to take care of the special key :input.

bin/kramdown
doc/news/release_0_6_0.page
lib/kramdown/document.rb

commit 74754c6cc3032aed6583ae77d6b68aac4296eb6e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Feb 20 21:39:33 2010 +0100

    Small fix for LaTeX converter

lib/kramdown/converter/latex.rb

commit 51d2021527d6ac6be6c4e9ec19b3522546fb8e7b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Feb 20 21:38:40 2010 +0100

    Added documentation on available parsers and converters

Rakefile
doc/converter/html.page
doc/converter/latex.page
doc/index.page
doc/parser/kramdown.page

commit 39e8750b0a1b36dfc390815c55b591da77f08783
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Feb 20 09:33:36 2010 +0100

    Added man page for kramdown binary

Rakefile
doc/news/release_0_6_0.page
man/man1/kramdown.1.erb

commit a77e52be4d08c46dbb152cc1a9480c13de9b6da6
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Feb 19 12:12:39 2010 +0100

    Added jsMath package to documentation

doc/default.template
doc/js/jsMath/COPYING.txt
doc/js/jsMath/blank.gif
doc/js/jsMath/easy/load.js
doc/js/jsMath/extensions/AMSmath.js
doc/js/jsMath/extensions/AMSsymbols.js
doc/js/jsMath/extensions/HTML.js
doc/js/jsMath/extensions/autobold.js
doc/js/jsMath/extensions/bbox.js
doc/js/jsMath/extensions/boldsymbol.js
doc/js/jsMath/extensions/double-click.js
doc/js/jsMath/extensions/eqn-number.js
doc/js/jsMath/extensions/fbox.js
doc/js/jsMath/extensions/font.js
doc/js/jsMath/extensions/leaders.js
doc/js/jsMath/extensions/mathchoice.js
doc/js/jsMath/extensions/mimeTeX.js
doc/js/jsMath/extensions/moreArrows.js
doc/js/jsMath/extensions/newcommand.js
doc/js/jsMath/extensions/underset-overset.js
doc/js/jsMath/extensions/verb.js
doc/js/jsMath/jsMath-BaKoMa-fonts.js
doc/js/jsMath/jsMath-autoload.html
doc/js/jsMath/jsMath-controls.html
doc/js/jsMath/jsMath-easy-load.js
doc/js/jsMath/jsMath-fallback-mac-mozilla.js
doc/js/jsMath/jsMath-fallback-mac-msie.js
doc/js/jsMath/jsMath-fallback-mac.js
doc/js/jsMath/jsMath-fallback-pc.js
doc/js/jsMath/jsMath-fallback-symbols.js
doc/js/jsMath/jsMath-fallback-unix.js
doc/js/jsMath/jsMath-global-controls.html
doc/js/jsMath/jsMath-global.html
doc/js/jsMath/jsMath-loader-omniweb4.js
doc/js/jsMath/jsMath-loader-post.html
doc/js/jsMath/jsMath-loader.html
doc/js/jsMath/jsMath-msie-mac.js
doc/js/jsMath/jsMath-old-browsers.js
doc/js/jsMath/jsMath.js
doc/js/jsMath/local/macros.js
doc/js/jsMath/plugins/CHMmode.js
doc/js/jsMath/plugins/autoload.js
doc/js/jsMath/plugins/global.js
doc/js/jsMath/plugins/mimeTeX.js
doc/js/jsMath/plugins/noCache.js
doc/js/jsMath/plugins/noGlobal.js
doc/js/jsMath/plugins/noImageFonts.js
doc/js/jsMath/plugins/smallFonts.js
doc/js/jsMath/plugins/spriteImageFonts.js
doc/js/jsMath/plugins/tex2math.js
doc/js/jsMath/test/index-images.html
doc/js/jsMath/test/index.html
doc/js/jsMath/test/jsMath40.jpg
doc/js/jsMath/test/sample.html

commit 3c8e605c3f64bee57067ecc923b273f95f12ae02
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Feb 19 12:11:15 2010 +0100

    Added syntax support for block/inline LaTeX math

doc/syntax.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/escaped_chars.rb
lib/kramdown/parser/kramdown/math.rb
test/testcases/block/15_math/normal.html
test/testcases/block/15_math/normal.text
test/testcases/span/math/normal.html
test/testcases/span/math/normal.text

commit c0da60ad7b3331100056e6c3d01d1e5ec99f0a27
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Feb 18 08:08:16 2010 +0100

    Fixed bug regarding the inclusion of the same LaTeX packages multiple times

data/kramdown/document.latex
lib/kramdown/converter/latex.rb

commit 846c0a5c9d42da5bb22a83b3a46cd20c9eafca44
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Feb 18 07:17:07 2010 +0100

    Added documentation for autolinks

doc/news/release_0_6_0.page
doc/syntax.page

commit 21c81f6e98b871caac569ef8d76a7024a35141e6
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Feb 17 15:45:31 2010 +0100

    Bumped version number and added release notes file

doc/news/release_0_6_0.page
lib/kramdown/version.rb

commit 339345a78869bb483a7eb70007d868e53eb6e9b9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Feb 17 15:43:43 2010 +0100

    Fixed problem with email autolinks
    
    The used regexps were too relaxed and matched invalid email adresses.

lib/kramdown/converter/html.rb
lib/kramdown/parser/kramdown/autolink.rb
test/testcases/span/autolinks/url_links.html
test/testcases/span/autolinks/url_links.text

commit abac8ea1b2aebc98a4b46f27d57b366d2f20be86
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Feb 15 10:46:56 2010 +0100

    Added pushing gems to gemcutter

Rakefile

commit 53449309c569f774d7d3cd68bcc71d48509a4c7e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Feb 15 10:16:18 2010 +0100

    Updated benchmark data and graphs

benchmark/historic-jruby-1.4.0.dat
benchmark/historic-ruby-1.8.6.dat
benchmark/historic-ruby-1.8.7.dat
benchmark/historic-ruby-1.9.1p243.dat
benchmark/historic-ruby-1.9.2dev.dat
doc/img/graph-jruby-1.4.0.png
doc/img/graph-ruby-1.8.6.png
doc/img/graph-ruby-1.8.7.png
doc/img/graph-ruby-1.9.1p243.png
doc/img/graph-ruby-1.9.2dev.png

commit 7422bb09e3df6c98b8d57335e50701bcde2c5f77
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Feb 15 10:12:22 2010 +0100

    Updated release notes

doc/index.page
doc/news/release_0_5_0.page

commit 127f5205559a2beac7aae87b6b2ebf203830f68e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Feb 15 10:04:08 2010 +0100

    Updated kramdown binary so that option descriptions are displayed better

bin/kramdown

commit d5cdc600c1e559deeac6c333fc8719aed748b1b4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Feb 15 10:03:31 2010 +0100

    Fixed small problem with parsing of Symbol options

lib/kramdown/options.rb

commit 366dec49d98245e392a8c472ca62438763b4e36c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Feb 15 10:03:15 2010 +0100

    Added better option descriptions

lib/kramdown/options.rb

commit 9dab841f7f75be1b126ff55eedd4b3a8d851b2f8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Feb 13 09:18:19 2010 +0100

    Added warning output to $stderr for kramdown binary

bin/kramdown

commit 3f576659ec18548c3ca24923565fbbcf285dadbc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Feb 13 09:18:00 2010 +0100

    Fixed last remaining issues with LaTeX converter
    
    * Local images are now included in the output
    * Entities are correctly converted to their LaTeX equivalent
    * Warnings have been added where approriate

data/kramdown/document.latex
lib/kramdown/converter/base.rb
lib/kramdown/converter/latex.rb
lib/kramdown/document.rb

commit 5a14647e4f5da8595b61f03c2f80af0fc6d93d5c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Feb 13 09:15:55 2010 +0100

    Better internal support for HTML entities

lib/kramdown/converter/html.rb
lib/kramdown/parser/kramdown/html_entity.rb
test/testcases/span/text_substitutions/entities.html

commit b94ff3c15d67419f50ea3f4097a44c47f618c7f3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Feb 12 14:05:19 2010 +0100

    Implemented syntax parsing and conversion support for smart quotes
    
    This additional syntax support causes a small performance penalty
    on Ruby 1.8 which is, however, acceptable.

doc/syntax.page
lib/kramdown/converter/html.rb
lib/kramdown/converter/latex.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/escaped_chars.rb
lib/kramdown/parser/kramdown/smart_quotes.rb
test/testcases/span/01_link/inline.html
test/testcases/span/01_link/reference.html
test/testcases/span/escaped_chars/normal.html
test/testcases/span/escaped_chars/normal.text
test/testcases/span/text_substitutions/typography.html
test/testcases/span/text_substitutions/typography.text

commit a7db5ce9d37771b2fcd8ec0ab5e3848e4d6410c4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Feb 12 14:02:38 2010 +0100

    Fixed bug in benchmark.rb: false date was shown

benchmark/benchmark.rb

commit 7e91476e1562495daea1d87c90e8195d6f58e59a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Feb 12 12:20:47 2010 +0100

    Performance optimization in span parser
    
    The span parser now uses a much smaller regexp for locating possible span
    elements which leads to better performance.

lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/attribute_list.rb
lib/kramdown/parser/kramdown/autolink.rb
lib/kramdown/parser/kramdown/codespan.rb
lib/kramdown/parser/kramdown/emphasis.rb
lib/kramdown/parser/kramdown/escaped_chars.rb
lib/kramdown/parser/kramdown/footnote.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/html_entity.rb
lib/kramdown/parser/kramdown/line_break.rb
lib/kramdown/parser/kramdown/link.rb
lib/kramdown/parser/kramdown/typographic_symbol.rb

commit d8d372e894cdf2239d34a58517f918fc983952b3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Feb 11 17:10:21 2010 +0100

    Fixed Rakefile

Rakefile

commit f6e878cebd3590a253e1b177610e354e2ab37d28
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Feb 10 18:33:04 2010 +0100

    Added basic support for converting a kramdown document to LaTeX

bin/kramdown
data/kramdown/document.latex
lib/kramdown/converter.rb
lib/kramdown/converter/latex.rb

commit bb35de9db070ad5e227c0197d71fcda636b76821
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Feb 10 18:22:47 2010 +0100

    Updated converter
    
    * Added a base class with common functionality
    * Added support for wrapping the output of a converter in a given ERB template

data/kramdown/document.html
doc/news/release_0_5_0.page
lib/kramdown/converter.rb
lib/kramdown/converter/base.rb
lib/kramdown/converter/html.rb
lib/kramdown/document.rb
lib/kramdown/options.rb

commit 889bcc99ddae386a4cf6d81f79eb5a46be0e604d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Feb 10 15:31:13 2010 +0100

    Fixed syntax error

doc/syntax.page

commit e5ab07d5dbfedb71255c74495643bca5da7cc7d5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Feb 10 15:30:50 2010 +0100

    Fixed potential future problem with escape regexp in HTML converter

lib/kramdown/converter/html.rb

commit ab862baa4612736c64b153b9426720ce1c56205a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Feb 8 17:15:11 2010 +0100

    Enhanced the kramdown binary

bin/kramdown
doc/news/release_0_5_0.page
lib/kramdown/options.rb

commit 38e6052580225bbb42c32499c4c699dac5e0762a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Feb 8 16:56:37 2010 +0100

    Small API doc update

lib/kramdown/converter/html.rb

commit 6acf84b84a4eed2706888dd31364dbc5e0ed65be
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Feb 8 16:51:24 2010 +0100

    Implemented better options mechanism
    
    Parser/converter options can now be defined easily

lib/kramdown/converter/html.rb
lib/kramdown/document.rb
lib/kramdown/options.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/extension.rb
lib/kramdown/parser/kramdown/header.rb
lib/kramdown/parser/kramdown/html.rb

commit d2cb1882a9c4e0dd3d094a393c8c37a0631910ac
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Feb 5 18:41:09 2010 +0100

    The quotation mark " is not converted to &quot; in normal text anymore

doc/news/release_0_5_0.page
lib/kramdown/converter/html.rb
test/testcases/span/01_link/reference.html

commit c2e7145bd8fa1723bb97803840f04937c092fd1f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Feb 4 10:03:16 2010 +0100

    Bumped version number

doc/news/release_0_5_0.page
lib/kramdown/version.rb

commit 400283889466d95724eed6169a306d411940bbc8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Feb 4 09:56:54 2010 +0100

    Code restructurations
    
    * Moved default options away from Document into parser and converter classes
    * Moved definition of Extension class to where it belongs, the kramdown parser
    * Moved HTML converter class into lib/kramdown/converter/html.rb

lib/kramdown/converter.rb
lib/kramdown/converter/html.rb
lib/kramdown/document.rb
lib/kramdown/extension.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/extension.rb
lib/kramdown/parser/kramdown/header.rb
lib/kramdown/parser/kramdown/html.rb

commit 0ea859157e8f30d488a8e1f78407466c369cc717
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Feb 4 09:10:32 2010 +0100

    Fixed problems with multibyte encodings in Ruby 1.9
    
    The StringScanner class returns positions based on bytes and not based on
    characters. Therefore a workaround was needed sothat multibyte encoded
    documents are parsed correctly

lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/emphasis.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/link.rb
test/testcases/encoding.html
test/testcases/encoding.text

commit fa3d9d59c3e912a011a26f10a74ee0858cafe4dd
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jan 22 17:41:32 2010 +0100

    Small fix for testing script

benchmark/testing.sh

commit 8c765d5783b460a46fdd8b547eeca91e7f48f0da
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jan 22 17:38:10 2010 +0100

    Updated release file and homepage

doc/index.page
doc/news/release_0_4_0.page

commit c6f7bcea913b19cc8c255f9a0358188db54cead4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jan 22 17:37:53 2010 +0100

    Updated benchmark data

benchmark/historic-jruby-1.4.0.dat
benchmark/historic-ruby-1.8.6.dat
benchmark/historic-ruby-1.8.7.dat
benchmark/historic-ruby-1.9.1p243.dat
benchmark/historic-ruby-1.9.2dev.dat
doc/img/graph-jruby-1.4.0.png
doc/img/graph-ruby-1.8.6.png
doc/img/graph-ruby-1.8.7.png
doc/img/graph-ruby-1.9.1p243.png
doc/img/graph-ruby-1.9.2dev.png

commit 2d531e0984e9db1656e1d7dbde0dbc3c96383d05
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jan 22 16:55:48 2010 +0100

    Small fix for syntax highlighting test

test/testcases/block/12_extension/options3.html

commit e3f053d87d85ba0c36befe489fe777b954f04079
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jan 20 18:39:25 2010 +0100

    Implemented syntax highlighting of codeblocks via CodeRay library

doc/index.page
doc/news/release_0_4_0.page
doc/syntax.page
lib/kramdown/converter.rb
lib/kramdown/document.rb
lib/kramdown/extension.rb
lib/kramdown/parser/kramdown/attribute_list.rb
test/testcases/block/12_extension/options3.html
test/testcases/block/12_extension/options3.text

commit 9753aa172982fe6b9766b032017a747d00b1a1b3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jan 20 18:37:09 2010 +0100

    Various small fixes

Rakefile
doc/news/release_0_1_0.page
doc/quickref.page
doc/syntax.page

commit 5c6215f4b8bf26801f6f4af81591ce5714e4abfc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jan 20 17:51:21 2010 +0100

    Updated codeblock parser implementation
    
    Codeblock lines separated by blank lines are not parsed separately anymore

lib/kramdown/parser/kramdown/codeblock.rb
lib/kramdown/parser/kramdown/footnote.rb
test/testcases/block/06_codeblock/with_blank_line.text
test/testcases/block/11_ial/simple.html
test/testcases/block/11_ial/simple.text

commit b9de73dd48590e47a5753f272478f88378ada709
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jan 20 15:46:43 2010 +0100

    Clarified how options set through the options extension are used

doc/syntax.page

commit e371bd8ecbbfe1df200240ccd13562dcb8927940
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jan 19 14:58:32 2010 +0100

    Fixed problem with too many alignment definitions on header sep line

lib/kramdown/parser/kramdown/table.rb
test/testcases/block/14_table/header.html
test/testcases/block/14_table/header.text

commit 8360bed28e436ee621848f60b7db7c2f29ffb573
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Jan 19 14:49:19 2010 +0100

    Updated table spec and implementation sothat header sep lines are a subset of sep lines

doc/syntax.page
lib/kramdown/parser/kramdown/table.rb
test/testcases/block/14_table/header.html
test/testcases/block/14_table/header.text

commit 59cf34d9a9efd70a69b324097148199bf70b8189
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Jan 16 08:13:18 2010 +0100

    Small fix in table separator line regexps

lib/kramdown/parser/kramdown/table.rb

commit 6e77f79a5bc37e94267da8b4a42be6da036e6f81
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Jan 15 12:14:42 2010 +0100

    Fixed problem with escaped characters
    
    * Added colon to the list of escaped characters in the syntax document
    * Added test cases for escaped colons and pipes
    * Fixed bug in regexp for escaped characters

doc/news/release_0_4_0.page
doc/syntax.page
lib/kramdown/parser/kramdown/escaped_chars.rb
test/testcases/block/13_definition_list/no_def_list.html
test/testcases/block/13_definition_list/no_def_list.text
test/testcases/block/14_table/no_table.html
test/testcases/block/14_table/no_table.text
test/testcases/span/escaped_chars/normal.html
test/testcases/span/escaped_chars/normal.text

commit df5ac74abffb0d78ac3ed05c155c36a83e4af273
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Jan 14 12:09:55 2010 +0100

    Two small doc fixes

doc/syntax.page

commit a1f6c3c755c1b18502403c1ac6236a5dbcd47dd8
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Jan 14 08:45:04 2010 +0100

    Fixed test case for table headers

test/testcases/block/14_table/header.html

commit b79822c8a78729be53a1d9a9db3f783c3b22a0ae
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Jan 14 08:44:17 2010 +0100

    Reimplemented HTML converter to use post- instead of pre-order iteration
    
    This is needed to ease the implementation of the td/th conversion.
    It is also a little bit faster than the old version.

lib/kramdown/converter.rb

commit 17caef2da4cbe065e0509ca59e04daee8baca425
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jan 13 15:36:34 2010 +0100

    Changed CSS class name kramdown-footnotes to footnotes

doc/news/release_0_4_0.page
lib/kramdown/converter.rb
test/testcases/block/12_extension/options.html
test/testcases/block/12_extension/options2.html
test/testcases/span/04_footnote/footnote_nr.html
test/testcases/span/04_footnote/markers.html

commit d446c6ee421e983bd4cd5a13d3f3341523a3d594
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jan 13 15:25:46 2010 +0100

    Bumped version number and added release notes file

doc/news/release_0_4_0.page
lib/kramdown/version.rb

commit 0473b0c40d6a20749772042b64472c5f6514ec0b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jan 13 15:10:57 2010 +0100

    Updated table syntax and implemented it

doc/quickref.page
doc/syntax.page
lib/kramdown/converter.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/table.rb
test/testcases/block/14_table/errors.html
test/testcases/block/14_table/errors.text
test/testcases/block/14_table/footer.html
test/testcases/block/14_table/footer.text
test/testcases/block/14_table/header.html
test/testcases/block/14_table/header.text
test/testcases/block/14_table/simple.html
test/testcases/block/14_table/simple.text

commit d8d032bcb399593d77a15d8269ada8884ba14fa0
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jan 13 10:04:57 2010 +0100

    Clarified one point regarding HTML span parsing

doc/syntax.page
test/testcases/block/09_html/parse_as_span.html
test/testcases/block/09_html/parse_as_span.text

commit 423ec50ba84518d1b734c396000492da217f5b99
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Jan 4 21:52:15 2010 +0100

    Third table syntax proposal

doc/syntax.page

commit 66427040dea52007c24ea4df0dd6484b53b11f30
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Dec 31 09:26:17 2009 +0100

    Second table syntax proposal

doc/syntax.page

commit 4b2d39389cee746ee384e35bdfa60bf5c7313eb4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Dec 30 08:53:15 2009 +0100

    First table syntax proposal

doc/syntax.page

commit fff933c46a6345aca7ee2333b6c71d9466b0e297
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 20 16:20:10 2009 +0100

    Small doc update before release

doc/index.page
doc/installation.page

commit e1e97bcfeea51c1e3fe5afa787132e24d59fd968
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 20 16:18:54 2009 +0100

    Small display fix

benchmark/generate_data.rb

commit d80c3782881777c246e971db4f86c7ff16241c7f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 20 16:18:47 2009 +0100

    Added kramdown 0.3.0 data to benchmark and graphs

benchmark/historic-jruby-1.4.0.dat
benchmark/historic-ruby-1.8.6.dat
benchmark/historic-ruby-1.8.7.dat
benchmark/historic-ruby-1.9.1p243.dat
benchmark/historic-ruby-1.9.2dev.dat
doc/img/graph-jruby-1.4.0.png
doc/img/graph-ruby-1.8.6.png
doc/img/graph-ruby-1.8.7.png
doc/img/graph-ruby-1.9.1p243.png
doc/img/graph-ruby-1.9.2dev.png

commit 064f97f9bace384a54373f4dca168911dbccf19f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 20 15:59:11 2009 +0100

    Updated release notes

doc/news/release_0_3_0.page

commit 9041790eb12fedc914d6a9511640e41deeadfcd4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 15 08:02:55 2009 +0100

    Updated release notes

doc/news/release_0_3_0.page

commit e737974d5cdd9efcf381f3cd1d47809f6a5fbeb2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 15 07:59:44 2009 +0100

    Span HTML parser now uses the same semantics for invalid end tags and unclosed tags as block HTML parser

doc/syntax.page
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/html.rb
test/testcases/span/05_html/normal.html
test/testcases/span/05_html/normal.text

commit cf9330e6f27f21e9a93251d78da61cb8be549671
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 15 07:35:41 2009 +0100

    Updated release notes

doc/news/release_0_3_0.page

commit cd36641782835ddb7f32a0d83131db6193404f5e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 15 07:31:11 2009 +0100

    Fixed bug in emphasis parser
    
    Emphasis started with an underscore at the beginning of a new line inside
    a paragraph was not recognized.

lib/kramdown/parser/kramdown/emphasis.rb
test/testcases/span/02_emphasis/normal.html
test/testcases/span/02_emphasis/normal.text

commit 59d9be0976970cb33248c81c81d0500c2cfbb4ce
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 15 07:22:39 2009 +0100

    Small update to the HTML syntax documentation

doc/syntax.page

commit ba0d7e1dc9deb8837c95e2f1f9e0f59cdfa93d33
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Dec 14 10:56:57 2009 +0100

    Fixed some flaws in the HTML parser
    
    * raw HTML parsing did not work as specified in the syntax documentation
    * XML comments/PIs now have their own element type
    * fixed a small problem with autolinks in raw HTML blocks
    * adjusted parsing of unclosed raw HTML blocks to adhere to syntax documentation

lib/kramdown/converter.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/footnote.rb
lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/not_parsed.html
test/testcases/block/09_html/not_parsed.text
test/testcases/block/09_html/parse_as_raw.html
test/testcases/block/09_html/parse_as_raw.text
test/testcases/span/05_html/markdown_attr.html
test/testcases/span/05_html/markdown_attr.text

commit b85972868dd907fd102b665421d51c9bb86c3d86
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 13 19:42:45 2009 +0100

    Fixed Maruku version number display

benchmark/benchmark.rb

commit 94e89b51cf33bae5cee929fa8ce97703f2fee6fc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 13 19:42:28 2009 +0100

    Fixed warning on Ruby 1.9

lib/kramdown/parser/kramdown/list.rb

commit d3df238aeb533302bafbcc3fe8246dedd74b42f7
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 13 19:42:04 2009 +0100

    Implemented a new HTML block parser
    
    The new parser is a little bit more restrictive but the surprise factor
    for most HTML input should be less than before.

doc/syntax.page
lib/kramdown/converter.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/html.rb
test/testcases/block/09_html/comment.html
test/testcases/block/09_html/comment.text
test/testcases/block/09_html/content_model/tables.text
test/testcases/block/09_html/not_parsed.html
test/testcases/block/09_html/not_parsed.text
test/testcases/block/09_html/parse_as_raw.html
test/testcases/block/09_html/parse_block_html.html
test/testcases/block/09_html/parse_block_html.text
test/testcases/block/09_html/processing_instruction.html
test/testcases/block/09_html/processing_instruction.text
test/testcases/block/09_html/simple.html
test/testcases/block/09_html/simple.text

commit cb8333118e7d70719bd25a6ef44c38e98af1d44f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Dec 9 14:51:24 2009 +0100

    Added benchmark data and graphs from this data to the tests page

benchmark/generate_data.rb
benchmark/historic-jruby-1.4.0.dat
benchmark/historic-ruby-1.8.6.dat
benchmark/historic-ruby-1.8.7.dat
benchmark/historic-ruby-1.9.1p243.dat
benchmark/historic-ruby-1.9.2dev.dat
benchmark/static-jruby-1.4.0.dat
benchmark/static-ruby-1.8.6.dat
benchmark/static-ruby-1.8.7.dat
benchmark/static-ruby-1.9.1p243.dat
benchmark/static-ruby-1.9.2dev.dat
doc/img/graph-jruby-1.4.0.png
doc/img/graph-ruby-1.8.6.png
doc/img/graph-ruby-1.8.7.png
doc/img/graph-ruby-1.9.1p243.png
doc/img/graph-ruby-1.9.2dev.png
doc/tests.page

commit 78d9311ef919d9467502f053f416238937fb2746
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 8 09:45:56 2009 +0100

    Source code restructuration
    
    * email obfuscation is part of conversion now since it makes more sense there
    * block parsers can now be enabled/disabled by the parser methods
    * parsers methods put into various files

lib/kramdown/converter.rb
lib/kramdown/parser.rb
lib/kramdown/parser/kramdown.rb
lib/kramdown/parser/kramdown/attribute_list.rb
lib/kramdown/parser/kramdown/autolink.rb
lib/kramdown/parser/kramdown/blank_line.rb
lib/kramdown/parser/kramdown/blockquote.rb
lib/kramdown/parser/kramdown/codeblock.rb
lib/kramdown/parser/kramdown/codespan.rb
lib/kramdown/parser/kramdown/emphasis.rb
lib/kramdown/parser/kramdown/eob.rb
lib/kramdown/parser/kramdown/escaped_chars.rb
lib/kramdown/parser/kramdown/extension.rb
lib/kramdown/parser/kramdown/footnote.rb
lib/kramdown/parser/kramdown/header.rb
lib/kramdown/parser/kramdown/horizontal_rule.rb
lib/kramdown/parser/kramdown/html.rb
lib/kramdown/parser/kramdown/html_entity.rb
lib/kramdown/parser/kramdown/line_break.rb
lib/kramdown/parser/kramdown/link.rb
lib/kramdown/parser/kramdown/list.rb
lib/kramdown/parser/kramdown/paragraph.rb
lib/kramdown/parser/kramdown/typographic_symbol.rb
lib/kramdown/parser/registry.rb

commit 13c1b5037d5ada5f661dc09ef3f1f18b437ed0f1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 8 08:35:32 2009 +0100

    Added note about spelling of kramdown

doc/index.page

commit f8f9e65ea3e980286086b7bc25ce6126ea5a2332
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 4 23:03:15 2009 +0100

    Updated tested platforms and ruby versions

doc/installation.page

commit 06d1ff82de3a02c612b912e6384b89feb00a6e0a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 4 21:02:03 2009 +0100

    Removed deprecated methods

lib/kramdown/deprecated.rb
lib/kramdown/document.rb

commit 1591c98a983398b8867c9aaf5151dc3021e2eedf
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 4 21:00:29 2009 +0100

    Bumped version number and added release notes file

doc/news/release_0_3_0.page
lib/kramdown/version.rb

commit b93f953c14e8c6c23951e5f78541f5ab69dc2b93
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 4 20:56:29 2009 +0100

    Added a compatibility fix so that kramdown works under Ruby 1.8.5

benchmark/testing.sh
lib/kramdown/compatibility.rb
lib/kramdown/document.rb

commit 84bbbdd91686ada39b99af5b5cdd61d212065c9a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 4 08:13:15 2009 +0100

    Fixed typos in the documentation

doc/quickref.page
doc/syntax.page

commit 034525fb53f178da9498e0f653c382a17549ca3a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Dec 3 20:25:17 2009 +0100

    Updated release notes

doc/index.page
doc/news/release_0_2_0.page

commit 89fc586b5f70ccfc8facfae48aa0a0ce31df1d73
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Dec 3 14:25:46 2009 +0100

    Documentation updates
    
    * Added definition list examples to quick reference
    * Added more head lines for quicker access to syntax documentation

doc/quickref.page
doc/syntax.page

commit 4272568be7c735411faf456e98066d5b51989634
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Dec 3 08:43:46 2009 +0100

    Implemented definition list syntax

doc/syntax.page
lib/kramdown/converter.rb
lib/kramdown/parser.rb
test/testcases/block/02_eob/middle.html
test/testcases/block/13_definition_list/definition_at_beginning.html
test/testcases/block/13_definition_list/definition_at_beginning.text
test/testcases/block/13_definition_list/multiple_terms.html
test/testcases/block/13_definition_list/multiple_terms.text
test/testcases/block/13_definition_list/para_wrapping.html
test/testcases/block/13_definition_list/para_wrapping.text
test/testcases/block/13_definition_list/separated_by_eob.html
test/testcases/block/13_definition_list/separated_by_eob.text
test/testcases/block/13_definition_list/simple.html
test/testcases/block/13_definition_list/simple.text
test/testcases/block/13_definition_list/styled_terms.html
test/testcases/block/13_definition_list/styled_terms.text
test/testcases/block/13_definition_list/too_much_space.html
test/testcases/block/13_definition_list/too_much_space.text
test/testcases/block/13_definition_list/with_blocks.html
test/testcases/block/13_definition_list/with_blocks.text

commit f7cdd0fa6c647b91be82184a9c4e755f8feed749
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Dec 3 08:29:30 2009 +0100

    Another major update to the HTML parser
    
    * script tags in spans are not parsed anymore
    * trying to fix broken HTML, for example, auto-closing br and hr tags
    * HTML block tags in spans are now escaped
    * updated syntax documentation regarding HTML blocks and spans

doc/syntax.page
lib/kramdown/parser.rb
test/testcases/block/09_html/invalid_html_2.html
test/testcases/block/09_html/parse_as_raw.html
test/testcases/span/05_html/normal.html
test/testcases/span/05_html/normal.text

commit 70982a61b7c38d34ef7aa420cf0bb05d3b1c1e85
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Dec 2 15:02:41 2009 +0100

    Fixed a problem with parsing HTML
    
    When opening and closing an HTML span tag on the same line as an HTML
    block tag, the closing tag of the span tag was omitted.

lib/kramdown/parser.rb
test/testcases/block/09_html/not_parsed.html
test/testcases/block/09_html/not_parsed.text

commit ae805cfcace68d089135d20c6636f8cc74088930
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 1 15:49:10 2009 +0100

    Major update to the HTML block parser
    
    Parsing of raw HTML block tags should work much better now since HTML block
    lines are now processed even inside raw HTML blocks

doc/news/release_0_2_0.page
doc/syntax.page
lib/kramdown/converter.rb
lib/kramdown/parser.rb
test/testcases/block/09_html/markdown_attr.html
test/testcases/block/09_html/markdown_attr.text
test/testcases/block/09_html/not_parsed.html
test/testcases/block/09_html/not_parsed.text
test/testcases/block/09_html/parse_as_raw.html
test/testcases/block/09_html/parse_as_raw.text
test/testcases/block/09_html/simple.html

commit 7058ee02758f5e66f5a4030ee987685ab0dd5f87
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 1 08:06:28 2009 +0100

    Fixed typo

doc/syntax.page

commit 6af053543fa37132b2b099792fafae364ef0aa21
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 30 16:54:17 2009 +0100

    Added support for setting header IDs via the syntax available in PHP Markdown Extra and Maruku

doc/news/release_0_2_0.page
doc/syntax.page
lib/kramdown/parser.rb
test/testcases/block/04_header/atx_header.html
test/testcases/block/04_header/atx_header.text
test/testcases/block/04_header/setext_header.html
test/testcases/block/04_header/setext_header.text

commit 54ee8f5d1b1f598ed7aa915b4274589652c75019
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 30 16:18:23 2009 +0100

    Small documentation fix

doc/syntax.page

commit 2e221b46b14a50d2832f3ab7817f668fd0a58dee
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 30 16:13:43 2009 +0100

    Four small updates
    
    * entities have now their own Element type :entity
    * typographic symbols have now their own Element type :typographic_sym
    * removed unnecessary parsing of special HTML chars
    * small fix for parsing HTML spans

lib/kramdown/converter.rb
lib/kramdown/parser.rb

commit 915bba0082cb90efa74bb16814dda7ef1bdf0afa
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 30 07:40:39 2009 +0100

    Renamed processing option :first_as_block to :first_is_block

lib/kramdown/converter.rb
lib/kramdown/parser.rb

commit 03b00f2587f4a69292bce7d0ee3d7996966a5b24
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 30 07:37:03 2009 +0100

    Bug fix: horizontal rules may now also contain tabs as separator

doc/news/release_0_2_0.page
doc/syntax.page
lib/kramdown/parser.rb
test/testcases/block/07_horizontal_rule/sepspaces.html
test/testcases/block/07_horizontal_rule/sepspaces.text
test/testcases/block/07_horizontal_rule/septabs.html
test/testcases/block/07_horizontal_rule/septabs.text

commit 3a99d93b0f677bd8fa9ea3be25b65b48fa24b67a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 28 10:45:00 2009 +0100

    Clarified a point regarding text on HTML block lines

doc/syntax.page

commit ddbab79d82e7fad5ddfc0841ab4f1ca765b5bc7c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 28 10:39:47 2009 +0100

    Added the correct content model for parsing th and td tags

lib/kramdown/parser.rb
test/testcases/block/09_html/content_model/tables.html
test/testcases/block/09_html/content_model/tables.options
test/testcases/block/09_html/content_model/tables.text
test/testcases/block/09_html/tables.html
test/testcases/block/09_html/tables.options
test/testcases/block/09_html/tables.text

commit 4b076ad0280fa6f91e6e617ae98f82900df73fdf
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 28 10:35:00 2009 +0100

    Added the correct content model for parsing dd tags

lib/kramdown/parser.rb
test/testcases/block/09_html/content_model/deflists.html
test/testcases/block/09_html/content_model/deflists.options
test/testcases/block/09_html/content_model/deflists.text

commit 6a6f47910fc2283d0a6c83aeb311f1b4e587b300
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 28 10:22:52 2009 +0100

    Small bug fix

Rakefile

commit b4a6faa1c087d5240ac2c5a62d8931aa9f36b830
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 28 10:22:40 2009 +0100

    Made it clearer that kramdown is a Markdown-superset converter

COPYING
Rakefile
doc/default.template
doc/index.page
doc/news.feed
doc/quickref.page
doc/tests.page

commit 7329d179c7a4ff44e99c39dc19a8532d0f203315
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 28 08:59:45 2009 +0100

    Renamed extensions kdoptions to options and nokramdown to nomarkdown

doc/news/release_0_2_0.page
doc/quickref.page
doc/syntax.page
doc/tests.page
lib/kramdown/deprecated.rb
lib/kramdown/document.rb
lib/kramdown/extension.rb
test/testcases/block/09_html/parse_as_raw.text
test/testcases/block/12_extension/kdoptions.html
test/testcases/block/12_extension/kdoptions.text
test/testcases/block/12_extension/kdoptions2.html
test/testcases/block/12_extension/kdoptions2.text
test/testcases/block/12_extension/nokramdown.html
test/testcases/block/12_extension/nokramdown.text
test/testcases/block/12_extension/nomarkdown.html
test/testcases/block/12_extension/nomarkdown.text
test/testcases/block/12_extension/options.html
test/testcases/block/12_extension/options.text
test/testcases/block/12_extension/options2.html
test/testcases/block/12_extension/options2.text

commit 10188ec8d9ec197214004014e476b8ae541f30dd
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 27 16:53:21 2009 +0100

    Now defaulting to parsing HTML spans since this is what standard Markdown does

doc/news/release_0_2_0.page
doc/syntax.page
lib/kramdown/document.rb
test/testcases/span/05_html/markdown_attr.html

commit 3966cac694de1a58f8472f5366da0a1eb1b60475
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 27 10:15:35 2009 +0100

    Updated release notes

doc/news/release_0_2_0.page

commit eac4769a09f226a56a731518fdfe9d0592ee17e5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 27 09:59:50 2009 +0100

    Made parsing of HTML elements configurable
    
    * added a configuration for enabling/disabling parsing of block and/or span HTML elements
    * parsing of block and span HTML elements is now disabled by default
    * added support for the markdown attribute

doc/quickref.page
doc/syntax.page
lib/kramdown/document.rb
lib/kramdown/extension.rb
lib/kramdown/parser.rb
test/testcases/block/09_html/auto_parse_block_html.html
test/testcases/block/09_html/auto_parse_block_html.options
test/testcases/block/09_html/auto_parse_block_html.text
test/testcases/block/09_html/html_and_codeblocks.options
test/testcases/block/09_html/markdown_attr.html
test/testcases/block/09_html/markdown_attr.text
test/testcases/block/09_html/not_parsed.html
test/testcases/block/09_html/not_parsed.text
test/testcases/block/09_html/parse_as_raw.options
test/testcases/block/09_html/parse_as_raw.text
test/testcases/block/09_html/parse_as_span.options
test/testcases/block/09_html/parse_block_html.html
test/testcases/block/09_html/parse_block_html.options
test/testcases/block/09_html/parse_block_html.text
test/testcases/block/09_html/simple.options
test/testcases/block/09_html/tables.html
test/testcases/block/09_html/tables.options
test/testcases/block/09_html/tables.text
test/testcases/block/12_extension/kdoptions.html
test/testcases/block/12_extension/kdoptions.text
test/testcases/span/05_html/markdown_attr.html
test/testcases/span/05_html/markdown_attr.text

commit 0f63228e21f931929de590d9c7cfc4b9e03b9cef
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 27 08:31:08 2009 +0100

    Added version number to quickref and syntax doc

doc/quickref.page
doc/syntax.page

commit e1ffeee1f23a027d307b41a385ccfbcde077b858
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 26 20:49:16 2009 +0100

    Updated HTML block and span parser
    
    * span level HTML tags may now be broken across lines
    * better parsing of block level HTML tags
    * clarified some points regarding HTML parsing in the syntax spec

doc/syntax.page
lib/kramdown/converter.rb
lib/kramdown/parser.rb
test/testcases/block/09_html/invalid_html_1.html
test/testcases/block/09_html/parse_as_raw.html
test/testcases/block/09_html/parse_as_raw.text
test/testcases/block/09_html/parse_as_span.html
test/testcases/block/09_html/simple.html
test/testcases/block/09_html/simple.text
test/testcases/block/12_extension/kdoptions.html
test/testcases/span/05_html/across_lines.html
test/testcases/span/05_html/across_lines.text
test/testcases/span/05_html/normal.html
test/testcases/span/05_html/normal.text

commit d7bbb7efcf367b5eebbcbed80307f3c42b6ffbb3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 25 15:40:25 2009 +0100

    Updated release notes

doc/news/release_0_2_0.page

commit caf2275e87e1de4cea7f9bf10834e052e777dfd3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 25 15:38:43 2009 +0100

    Fixed bug in parsing of autolinks

lib/kramdown/parser.rb
test/testcases/span/05_html/link_with_mailto.html
test/testcases/span/05_html/link_with_mailto.text

commit fc8f8bebf47aad093a382885cb6fd8e92c93409c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Nov 24 08:02:39 2009 +0100

    Updated parsing of HTML/XML elements
    
    * HTML tables should now be parsed correctly
    * Slight modification of output for HTML elements that appear entirely on one line
    * Unknown XML/HTML elements are not parsed at all now

doc/syntax.page
lib/kramdown/converter.rb
lib/kramdown/parser.rb
test/testcases/block/09_html/parse_as_raw.html
test/testcases/block/09_html/parse_as_span.html
test/testcases/block/09_html/simple.html
test/testcases/block/09_html/tables.html
test/testcases/block/09_html/tables.text

commit 19bd62ff33410bfe0d4b8674b7ed20191729d013
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Nov 24 07:28:41 2009 +0100

    Option :auto_ids now defaults to true

Rakefile
doc/quickref.page
doc/syntax.page
lib/kramdown/document.rb
test/run_tests.rb
test/test_files.rb

commit 8516e5b56008d601aa7301a9cde5d89190802be3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Nov 24 07:25:06 2009 +0100

    Bumped version number, moved VERSION const to own file and added release notes file

doc/news/release_0_2_0.page
lib/kramdown/document.rb
lib/kramdown/version.rb

commit 8adb0b65681dc7c2f24bc01edeba488ac10beecd
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Nov 24 07:18:43 2009 +0100

    Fixed bug with header IDs
    
    When using :auto_ids=true and an IAL to assign an ID to a header,
    two id attributes were falsely created.

lib/kramdown/parser.rb
test/testcases/block/11_ial/auto_id_and_ial.html
test/testcases/block/11_ial/auto_id_and_ial.options
test/testcases/block/11_ial/auto_id_and_ial.text

commit 6cc1874480b565da30fbf8699df938b7d52637fe
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 21 08:44:47 2009 +0100

    Fixed copy-paste issue

doc/default.template

commit a790a15c11924f08acd39c7f198c6c71cadc80d3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 21 08:31:07 2009 +0100

    Small fix

Rakefile

commit b41caafafc80ad1beb44b80b925232edd8f6372f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 21 08:28:14 2009 +0100

    Added benchmark directory files to distribution files

Rakefile

commit dd90da66717ffc8a64d4b80ce259c301853876b1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 21 08:27:40 2009 +0100

    Added two utility files

benchmark/testing.sh
benchmark/timing.sh

commit 97ed0a61e78af3474a3a75ca491ae1ecf9e59343
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 21 08:24:52 2009 +0100

    Some small fixes

doc/img/image.jpg
doc/installation.page
doc/quickref.page

commit 06c8546d1ecf8b0f61b86b5d2cc3eaec7f5cc49e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 21 08:11:01 2009 +0100

    Updated Rakefile
    
    * added new task for inserting copyright notices in files
    * fixed the kramdown extension methods
    * added README and AUTHORS files to the distribution files

Rakefile

commit 24290bdb38e87690e7e80e7bc7cac4b7a207638c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 21 08:09:55 2009 +0100

    Some small update to the documentation

doc/index.page
doc/installation.page
doc/news/release_0_1_0.page
doc/syntax.page

commit 9ae16c8c44c6332c1bc107d90bda1c1ae9b12cb9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 21 08:09:17 2009 +0100

    Added AUTHORS and README files

AUTHORS
README

commit 9343fb993576f58ad93bfb4fc730547399aee9f9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 21 08:08:46 2009 +0100

    Added copyright notices to files

bin/kramdown
lib/kramdown.rb
lib/kramdown/converter.rb
lib/kramdown/document.rb
lib/kramdown/error.rb
lib/kramdown/extension.rb
lib/kramdown/parser.rb
lib/kramdown/parser/registry.rb
test/run_tests.rb
test/test_files.rb

commit 87f1516a4f982a7009a14861b1c42f2dd611aa5b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 20 10:45:58 2009 +0100

    Some small refactorings
    
    * emphasis parsing redone in a not-hackish way
    * warnings for unclosed HTML tags are now in the correct order
    * image links can now be nested inside normal links
    * removed whitspace checking hack in conversion of codeblocks
    * refactored parsing of extension blocks

lib/kramdown/converter.rb
lib/kramdown/parser.rb
test/testcases/span/01_link/image_in_a.html
test/testcases/span/01_link/image_in_a.text

commit 416a225e9933ce6621b821a765b6e862c4e4df87
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Nov 17 16:19:30 2009 +0100

    Added custom error class and update error/warning messages

lib/kramdown/document.rb
lib/kramdown/error.rb
lib/kramdown/parser.rb

commit 866ed38853fc1fbed10d01655d6576daf38f47a4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Nov 17 08:17:34 2009 +0100

    Small fix for HTML element output

lib/kramdown/converter.rb

commit 884b957151b7c5b37f4a8e1d9c51effd5c5648c0
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Nov 17 08:17:17 2009 +0100

    Updated extension mechanism
    
    * Needed first parameter of an extension method is now parser instance, not current tree
    * Document instance need not be set on Extension#initialize anymore
    * kdoptions extension updated to cover all options

lib/kramdown/document.rb
lib/kramdown/extension.rb
lib/kramdown/parser.rb
test/testcases/block/12_extension/kdoptions.html
test/testcases/block/12_extension/kdoptions.text
test/testcases/block/12_extension/kdoptions2.html
test/testcases/block/12_extension/kdoptions2.text

commit 4f3d904090b48de5525e43e6b2e4b3edd3d0c681
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Nov 17 07:44:12 2009 +0100

    Fixed problem with footnote numbering: option :footnote_nr now works

lib/kramdown/converter.rb
test/testcases/span/04_footnote/footnote_nr.html
test/testcases/span/04_footnote/footnote_nr.options
test/testcases/span/04_footnote/footnote_nr.text

commit 2596823c820e433adae373d650da89ef596034e9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Nov 17 07:19:05 2009 +0100

    Small update to test runners

test/run_tests.rb
test/test_files.rb

commit 47a03717a8b9d23bc34232ed4877e943272013d3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 16 20:55:22 2009 +0100

    Fixed problem with HTML tags that must have a closing tag

lib/kramdown/converter.rb
test/testcases/block/09_html/simple.html
test/testcases/block/09_html/simple.text

commit 186f4adf9a0341516e3d69e87619c5c4f9fbeb28
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 16 16:51:32 2009 +0100

    Updated parser and converter classes to need only  min. number of necessary arguments

lib/kramdown/converter.rb
lib/kramdown/document.rb
lib/kramdown/parser.rb

commit 937f94b677b72e960f7694fb805985f215f36f79
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 16 16:44:58 2009 +0100

    Updated API documentation

lib/kramdown/converter.rb
lib/kramdown/document.rb
lib/kramdown/extension.rb
lib/kramdown/parser.rb
lib/kramdown/parser/registry.rb

commit a6713a5d2a796907dbbe431cae5759308665cd8e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 16 08:05:59 2009 +0100

    Removed old rdoc options

Rakefile

commit cb8be4c9ec9ab2d4ee0e9b632b7d26dae081fc86
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Nov 15 10:15:25 2009 +0100

    Finished first version of quick reference page

Rakefile
doc/quickref.page

commit c302e96de735e2f473f96e3b09b6f4e2665cd4c3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Nov 15 09:40:29 2009 +0100

    Removed sections spec from syntax document

doc/syntax.page

commit 592a2875f24713af89fde985c600f88c7bfc4d2c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Nov 15 09:39:49 2009 +0100

    Fixed a problem with footnotes: parse tree was unintentionally modified

lib/kramdown/converter.rb

commit 892cf7893604df0d04e180564569cfd957cb70bd
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 14 18:39:13 2009 +0100

    Added kdoptions extension

doc/syntax.page
lib/kramdown/document.rb
lib/kramdown/extension.rb
test/testcases/block/12_extension/kdoptions.html
test/testcases/block/12_extension/kdoptions.text

commit d0d13da1232c01ef2511ba87a741db16c59462ca
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 14 15:01:21 2009 +0100

    Added some content to quick reference

Rakefile
doc/default.css
doc/quickref.page

commit 9e1899e811385bd3a9994bcd42b0c80fe993a5dc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 14 14:07:38 2009 +0100

    Fix for empty div tag: must have explicit closing tag

lib/kramdown/converter.rb

commit 16416ca4e610b2caab1d03c47e52904a8326816c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 14 11:09:15 2009 +0100

    Using string interpolation instead of concatenation bc its faster

lib/kramdown/converter.rb

commit 3111c48c2bfddcd4b89da25ee999242da803b866
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 14 10:24:39 2009 +0100

    Moved handling of IALs from converter to parser

doc/syntax.page
lib/kramdown/converter.rb
lib/kramdown/parser.rb
test/testcases/block/11_ial/simple.html
test/testcases/block/11_ial/simple.text

commit 121f36cb599e985f0c9a1616c5087fc92467c709
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 14 07:51:29 2009 +0100

    Implemented optional display of whitespace in code blocks

doc/syntax.page
lib/kramdown/converter.rb
test/testcases/block/06_codeblock/whitespace.html
test/testcases/block/06_codeblock/whitespace.text

commit c4fe93fc3eff24c970e22f2971c5c56f606c0eb3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 13 12:21:41 2009 +0100

    Added correct statcounter tracking code

doc/default.template

commit 380ab04699bb11096527e039435b17de794b15af
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 13 10:46:22 2009 +0100

    Added transformation of ---, --, ..., << and >> into their entity counterparts

doc/syntax.page
lib/kramdown/parser.rb
test/testcases/block/07_horizontal_rule/error.html
test/testcases/span/escaped_chars/normal.html
test/testcases/span/escaped_chars/normal.text
test/testcases/span/text_substitutions/typography.html
test/testcases/span/text_substitutions/typography.text

commit 716ffc11058736318467fb036b0f9d40cbfe1f42
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 12 20:18:52 2009 +0100

    Updated code and test cases to get better code coverage

lib/kramdown/extension.rb
test/testcases/block/04_header/atx_header.html
test/testcases/block/04_header/atx_header.text
test/testcases/block/12_extension/nokramdown.html
test/testcases/block/12_extension/nokramdown.text

commit b08d9e5d17d8ef3f04b95281827f5c73f5d22067
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 12 09:00:01 2009 +0100

    Small fix for link ids: multiple spaces are converted to one

doc/syntax.page
lib/kramdown/parser.rb
test/testcases/span/01_link/reference.html
test/testcases/span/01_link/reference.text

commit d6f246053de97e1ced8abbeeca73cfda004393a2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 12 08:46:31 2009 +0100

    Now allowing link URLs to be enclosed in angle brackets

doc/syntax.page
lib/kramdown/parser.rb
test/testcases/span/01_link/link_defs.text
test/testcases/span/01_link/links_with_angle_brackets.html
test/testcases/span/01_link/links_with_angle_brackets.text

commit 5b5ec9ccf3b64540a96f8e82d50cd9ff4a3e7dce
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 12 08:16:09 2009 +0100

    Now showing warnings in run_tests.rb when in verbose mode

test/run_tests.rb

commit 20d061f2ed6c60d6a931f8301a4c4857e3c2fd79
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 12 08:15:39 2009 +0100

    Some small clarifications and fixes

doc/syntax.page

commit c59f2a75f04a0ce0ce0a6ce78d3b371ffd1542f4
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 12 08:15:22 2009 +0100

    Further refactoring, footnotes work again

lib/kramdown/converter.rb
lib/kramdown/parser.rb

commit d672b45029488f43819cb341aed3c2eb5f0c7a25
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 11 07:13:18 2009 +0100

    Refactored code and updated test cases

lib/kramdown/converter.rb
lib/kramdown/parser.rb
test/testcases/block/08_list/mixed.html
test/testcases/block/08_list/mixed.text
test/testcases/block/08_list/nested.html
test/testcases/block/08_list/nested.text
test/testcases/block/09_html/parse_as_raw.html
test/testcases/block/09_html/parse_as_raw.text
test/testcases/block/09_html/raw_html.html
test/testcases/block/09_html/raw_html.text
test/testcases/block/09_html/simple.html
test/testcases/block/09_html/simple.text
test/testcases/block/12_extension/ignored.html
test/testcases/block/12_extension/ignored.text
test/testcases/span/01_link/link_defs.text
test/testcases/span/04_footnote/definitions.text
test/testcases/span/04_footnote/markers.html
test/testcases/span/04_footnote/markers.text
test/testcases/span/ial/simple.html
test/testcases/span/ial/simple.text

commit 6c3d5a4ff4dd8d49fc4732c78dd265394d6db47c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 9 08:16:46 2009 +0100

    Removed some comments

lib/kramdown/parser.rb

commit 8b877bbd216da87ef7ac316ad23ddddc758c0762
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Nov 9 07:37:42 2009 +0100

    Added test cases for empty span level elements

test/testcases/span/01_link/empty.html
test/testcases/span/01_link/empty.text
test/testcases/span/02_emphasis/empty.html
test/testcases/span/02_emphasis/empty.text
test/testcases/span/03_codespan/empty.html
test/testcases/span/03_codespan/empty.text

commit 59e453a4db903b8a79bf30e7a651dc24a93f96bb
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Nov 8 18:31:26 2009 +0100

    Fixed warning on Ruby 1.9.2

lib/kramdown/parser/registry.rb

commit aa38018f78edcc06916aa8a81d5dae734295bb72
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Nov 8 18:20:06 2009 +0100

    Updated Rakefile tasks

Rakefile

commit 83a77a129c02a29faba980b6f557b77bd771f28a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Nov 8 18:19:57 2009 +0100

    Corrected spelling of kramdown

benchmark/benchmark.rb

commit 241903b2cc74c6be037e5c247d0ea61638f92964
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Nov 8 18:19:12 2009 +0100

    Updated website for first release

doc/default.css
doc/default.template
doc/documentation.page
doc/img/bg.jpg
doc/img/image.jpg
doc/img/line.jpg
doc/img/shadow.jpg
doc/index.page
doc/installation.page
doc/news.feed
doc/news.page
doc/news/release_0_1_0.page
doc/syntax.page
doc/tests.page
doc/virtual
misc/default.css
misc/default.template
misc/htmldoc.metainfo
misc/htmldoc.virtual
misc/images/arrow.gif
misc/images/error.gif
misc/images/exclamation.gif
misc/images/headerbg.jpg
misc/images/information.gif
misc/images/quote.gif
website/src/default.template
website/src/images/feed.gif
website/src/index.page
website/src/metainfo
website/src/news/default.template
website/src/news/index.page
website/src/news/news.feed
website/src/news/release_0_1_0.page
website/src/virtual

commit ef6dde9d6506f9434d0f5fbccb00fb99d2d65aea
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 7 10:50:57 2009 +0100

    Small update to benchmark suite

benchmark/benchmark.rb

commit efa364c09d33d466dc53d5b0c25e960e90c18170
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 7 08:43:24 2009 +0100

    Added the nokramdown extension

doc/syntax.page
lib/kramdown/extension.rb

commit 5199da2955a5125f502ca5ca12381221d48286e9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Nov 7 07:48:01 2009 +0100

    Fixed problem with horizontal rule regexp parsing lines with mixed chars

lib/kramdown/parser.rb
test/testcases/block/07_horizontal_rule/error.html
test/testcases/block/07_horizontal_rule/error.text
test/testcases/block/07_horizontal_rule/normal.html
test/testcases/block/07_horizontal_rule/normal.text

commit 37201f920274b163a356888f24d4d19fbd162ef1
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 6 16:14:25 2009 +0100

    Updated COPYING file

COPYING

commit 23eadb16a12ee071415edd1877d06248d8b1f12a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 6 16:13:47 2009 +0100

    Added benchmark

benchmark/benchmark.rb
benchmark/mdbasics.text
benchmark/mdsyntax.text

commit 22dcddc2026ddab3d3c386f1a8f21353d4f626b2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 6 15:06:26 2009 +0100

    Added test case for escaped chars

doc/syntax.page
test/testcases/span/escaped_chars/normal.html
test/testcases/span/escaped_chars/normal.text

commit 3e51f4c41feff8fa5912b4ad93c4054183d3d5e5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Nov 6 15:01:50 2009 +0100

    Clarified what punctuation characters are

doc/syntax.page
lib/kramdown/parser.rb
test/testcases/span/01_link/link_defs.html
test/testcases/span/01_link/link_defs.text

commit 200550d3851b57b0d3b3acd90a592881dae3c447
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 5 20:53:20 2009 +0100

    Removed old HTML parsing library

lib/kramdown/parser/html.rb

commit 4305ef80f68fac62092747a88a95f39b12cd0a9b
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 5 20:51:39 2009 +0100

    Now using GPL v3 as license

COPYING
GPL

commit a5cb7ce5ff9c513be673f0c80db6138c25616f14
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 5 20:49:45 2009 +0100

    Removed dcov from Rakefile and updated tag line

Rakefile

commit 8d755f9fee0daf5d04b479ece5dce6a9d2d5e463
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 5 09:34:30 2009 +0100

    Small update to extension block spec

doc/syntax.page

commit 9b0888387b1e36c4243c2695b0d53b6258cd3382
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 5 09:34:08 2009 +0100

    Updated extension block test cases

test/testcases/block/12_extension/comment.html
test/testcases/block/12_extension/comment.text

commit 08b805329452d270575e97f78239b1f0bc77b40e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 5 09:33:49 2009 +0100

    Implemented extension blocks

lib/kramdown/document.rb
lib/kramdown/extension.rb
lib/kramdown/parser.rb

commit bd02049efb2ae2b270b22cb6ac1ebb6027c14f32
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Nov 5 08:41:15 2009 +0100

    Fixed a problem with running kramdown on 1.8.7

lib/kramdown/parser.rb

commit 10fafc53b0cb291499ad4fd30ce313732a63c608
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 4 17:01:28 2009 +0100

    Added main file for require

lib/kramdown.rb

commit 7bec875aa813e10ef35ba7473a7447031d6b2020
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 4 17:00:39 2009 +0100

    Updated parser and converter to adhere to spec

lib/kramdown/converter.rb
lib/kramdown/document.rb
lib/kramdown/parser.rb
lib/kramdown/parser/registry.rb

commit 2c180f53e87683622f6a8d1a76ead51e851540cb
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 4 16:53:13 2009 +0100

    Small update to run_tests script

test/run_tests.rb

commit 5d85e994fad10f8111091a5281305612f4fc8566
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 4 16:45:52 2009 +0100

    Small fix for link test case

test/testcases/span/01_link/imagelinks.html

commit ce32e8ad9863f44ddaeb90f3ad1bad58b6cdd0dc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 4 09:14:43 2009 +0100

    Another bunch of updates to the syntax spec

doc/syntax.page

commit 484b49e6bb88ef85d7184b3672e17dcf532526d9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 4 09:12:34 2009 +0100

    Updated various block test cases

test/testcases/block/06_codeblock/with_blank_line.html
test/testcases/block/06_codeblock/with_blank_line.text
test/testcases/block/08_list/escaping.html
test/testcases/block/08_list/escaping.text
test/testcases/block/08_list/list_and_others.html
test/testcases/block/08_list/list_and_others.text
test/testcases/block/11_ial/simple.html
test/testcases/block/11_ial/simple.text

commit 2711570e47ceb56017eec3b1e668b6647c6a9cfc
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 4 09:11:34 2009 +0100

    Updated HTML block test cases to adhere to spec

test/testcases/block/09_html/auto_parse_block_html.html
test/testcases/block/09_html/comment.html
test/testcases/block/09_html/comment.text
test/testcases/block/09_html/html_and_codeblocks.html
test/testcases/block/09_html/invalid_html_1.html
test/testcases/block/09_html/invalid_html_2.html
test/testcases/block/09_html/parse_as_span.html
test/testcases/block/09_html/parse_as_span.text
test/testcases/block/09_html/processing_instruction.html
test/testcases/block/09_html/processing_instruction.text
test/testcases/block/09_html/raw_html.html
test/testcases/block/09_html/raw_html.text
test/testcases/block/09_html/simple.html
test/testcases/block/09_html/simple.options
test/testcases/block/09_html/simple.text

commit 858df82af083e4b9a45bf4a61990d2aebabf7072
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Nov 4 09:09:39 2009 +0100

    Updated and rearranged span test cases

test/testcases/attribute_lists/ial_span.html
test/testcases/attribute_lists/ial_span.text
test/testcases/autolinks/url_links.html
test/testcases/autolinks/url_links.text
test/testcases/line_breaks/normal.html
test/testcases/line_breaks/normal.text
test/testcases/span/02_emphasis/errors.html
test/testcases/span/02_emphasis/errors.text
test/testcases/span/02_emphasis/nesting.html
test/testcases/span/02_emphasis/nesting.text
test/testcases/span/02_emphasis/normal.html
test/testcases/span/02_emphasis/normal.text
test/testcases/span/03_codespan/normal.html
test/testcases/span/03_codespan/normal.text
test/testcases/span/04_footnote/markers.html
test/testcases/span/05_html/normal.html
test/testcases/span/05_html/normal.text
test/testcases/span/autolinks/url_links.html
test/testcases/span/autolinks/url_links.text
test/testcases/span/ial/simple.html
test/testcases/span/ial/simple.text
test/testcases/span/line_breaks/normal.html
test/testcases/span/line_breaks/normal.text
test/testcases/span/text_substitutions/entities.html
test/testcases/span/text_substitutions/entities.text
test/testcases/span/text_substitutions/greaterthan.html
test/testcases/span/text_substitutions/greaterthan.text
test/testcases/span/text_substitutions/lowerthan.html
test/testcases/span/text_substitutions/lowerthan.text
test/testcases/text_substitutions/ampersands.html
test/testcases/text_substitutions/ampersands.text
test/testcases/text_substitutions/greaterthan.html
test/testcases/text_substitutions/greaterthan.text
test/testcases/text_substitutions/lowerthan.html
test/testcases/text_substitutions/lowerthan.text

commit 5a8286a877a3b9e2a868c06e78a0db57483a0e42
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Oct 24 22:24:39 2009 +0200

    Small fix in footnote definition test case

test/testcases/span/04_footnote/definitions.html

commit a14d9a1062e8516a0a34db1ed69aa33a3a8c876e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Oct 24 17:57:16 2009 +0200

    Updated list test cases to adhere to spec

test/testcases/block/08_list/list_and_others.html
test/testcases/block/08_list/list_and_others.text
test/testcases/block/08_list/mixed.text
test/testcases/block/08_list/nested.text
test/testcases/block/08_list/simple_ul.html
test/testcases/block/08_list/simple_ul.text
test/testcases/block/08_list/special_cases.html
test/testcases/block/08_list/special_cases.text

commit 0b80a72a1757faa6314b415751a738ff1cc78d8d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Oct 24 17:56:25 2009 +0200

    Clarified use of tabs and updated list spec

doc/syntax.page

commit 6c33865ed46b7d5aa7ce229c39b64a5bcb6bb0e3
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 23 16:24:47 2009 +0200

    Adjusted block test cases to conform to spec

test/testcases/block/01_blank_line/spaces.html
test/testcases/block/01_blank_line/tabs.html
test/testcases/block/02_eob/beginning.html
test/testcases/block/02_eob/end.html
test/testcases/block/02_eob/middle.html
test/testcases/block/03_paragraph/indented.html
test/testcases/block/03_paragraph/indented.text
test/testcases/block/04_header/atx_header.html
test/testcases/block/04_header/setext_header.html
test/testcases/block/05_blockquote/nested.html
test/testcases/block/06_codeblock/error.html
test/testcases/block/06_codeblock/error.text
test/testcases/block/10_ald/simple.html
test/testcases/block/11_ial/simple.html

commit ba929f2b0274b527390b2eead0568527c0aa4316
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Oct 22 20:56:31 2009 +0200

    Updated syntax doc - code blocks may be preceded directly by paragraphs

doc/syntax.page

commit 0d8965a57963b3e6b83bc7076d9f09b93d47fe3a
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Oct 22 20:54:58 2009 +0200

    Deleted test cases for setting options via email like headers

test/testcases/email_header/normal_header.html
test/testcases/email_header/normal_header.text

commit 9a6dbf97e04e048f7e0c56fa1893bbdd0d6610f5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Thu Oct 22 20:54:29 2009 +0200

    Moved Document class to lib/kramdown/document.rb file

lib/kramdown.rb
lib/kramdown/document.rb

commit 35b62cdd076fb89c7f9ef78af53ec8229ff536b5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Oct 21 15:28:06 2009 +0200

    Small updated to syntax spec

doc/syntax.page

commit 2da8d4841b43e8ba5633e1dee47d3da2ae28b0b0
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Oct 21 08:21:58 2009 +0200

    Updated span level element testcases

test/testcases/codespans/errors.html
test/testcases/codespans/errors.text
test/testcases/codespans/normal.html
test/testcases/codespans/normal.text
test/testcases/emphases/errors.html
test/testcases/emphases/errors.text
test/testcases/emphases/normal.html
test/testcases/emphases/normal.text
test/testcases/footnotes/definitions.html
test/testcases/footnotes/definitions.text
test/testcases/footnotes/markers.html
test/testcases/footnotes/markers.text
test/testcases/html_inline/normal.html
test/testcases/html_inline/normal.text
test/testcases/links/imagelinks.html
test/testcases/links/imagelinks.text
test/testcases/links/inline.html
test/testcases/links/inline.text
test/testcases/links/link_defs.html
test/testcases/links/link_defs.text
test/testcases/links/reference.html
test/testcases/links/reference.text
test/testcases/span/01_link/imagelinks.html
test/testcases/span/01_link/imagelinks.text
test/testcases/span/01_link/inline.html
test/testcases/span/01_link/inline.text
test/testcases/span/01_link/link_defs.html
test/testcases/span/01_link/link_defs.text
test/testcases/span/01_link/reference.html
test/testcases/span/01_link/reference.text
test/testcases/span/02_emphasis/errors.html
test/testcases/span/02_emphasis/errors.text
test/testcases/span/02_emphasis/normal.html
test/testcases/span/02_emphasis/normal.text
test/testcases/span/03_codespan/errors.html
test/testcases/span/03_codespan/errors.text
test/testcases/span/03_codespan/normal.html
test/testcases/span/03_codespan/normal.text
test/testcases/span/04_footnote/definitions.html
test/testcases/span/04_footnote/definitions.text
test/testcases/span/04_footnote/markers.html
test/testcases/span/04_footnote/markers.text
test/testcases/span/05_html/normal.html
test/testcases/span/05_html/normal.text

commit 94f5780edc4baa0e2ae7ec0924a9012675b8a1e5
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Oct 21 07:55:43 2009 +0200

    Updated ALD, block IAL testcases and added simple extension block test case

test/testcases/attribute_lists/ald.html
test/testcases/attribute_lists/ald.text
test/testcases/attribute_lists/ial_block.html
test/testcases/attribute_lists/ial_block.text
test/testcases/block/10_ald/simple.html
test/testcases/block/10_ald/simple.text
test/testcases/block/11_ial/simple.html
test/testcases/block/11_ial/simple.text
test/testcases/block/12_extension/comment.html
test/testcases/block/12_extension/comment.text

commit 774cefd0bc6ad28a7f1ea6c675e7e1ee5fbc2279
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Oct 21 07:41:48 2009 +0200

    Some more updates to syntax spec
    
    * Reviewed the span level elements and slightly updated their spec
    * Add block level element for defining extension blocks

doc/syntax.page

commit 2e4c49c63883dec300beaa85c5346551a398cd78
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Oct 19 18:22:19 2009 +0200

    Updated paragraph test cases

test/testcases/block/03_paragraph/indented.html
test/testcases/block/03_paragraph/indented.text

commit 77be09026314e7441cb9517f0d7f529532cbda4f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Oct 19 18:21:30 2009 +0200

    Updated block html test cases

test/testcases/block/09_html/auto_parse_block_html.html
test/testcases/block/09_html/auto_parse_block_html.options
test/testcases/block/09_html/auto_parse_block_html.text
test/testcases/block/09_html/comment.html
test/testcases/block/09_html/comment.text
test/testcases/block/09_html/filtered_html.html
test/testcases/block/09_html/filtered_html.options
test/testcases/block/09_html/filtered_html.text
test/testcases/block/09_html/html_and_codeblocks.html
test/testcases/block/09_html/html_and_codeblocks.options
test/testcases/block/09_html/html_and_codeblocks.text
test/testcases/block/09_html/invalid_html_1.html
test/testcases/block/09_html/invalid_html_1.text
test/testcases/block/09_html/invalid_html_2.html
test/testcases/block/09_html/invalid_html_2.text
test/testcases/block/09_html/processing_instruction.html
test/testcases/block/09_html/processing_instruction.text
test/testcases/block/09_html/simple.html
test/testcases/block/09_html/simple.options
test/testcases/block/09_html/simple.text
test/testcases/html_blocks/auto_parse_block_html.html
test/testcases/html_blocks/auto_parse_block_html.options
test/testcases/html_blocks/auto_parse_block_html.text
test/testcases/html_blocks/comment.html
test/testcases/html_blocks/comment.text
test/testcases/html_blocks/filtered_html.html
test/testcases/html_blocks/filtered_html.options
test/testcases/html_blocks/filtered_html.text
test/testcases/html_blocks/html_and_codeblocks.html
test/testcases/html_blocks/html_and_codeblocks.options
test/testcases/html_blocks/html_and_codeblocks.text
test/testcases/html_blocks/invalid_html_1.html
test/testcases/html_blocks/invalid_html_1.text
test/testcases/html_blocks/invalid_html_2.html
test/testcases/html_blocks/invalid_html_2.text
test/testcases/html_blocks/processing_instruction.html
test/testcases/html_blocks/processing_instruction.text
test/testcases/html_blocks/simple.html
test/testcases/html_blocks/simple.options
test/testcases/html_blocks/simple.text

commit 621c4d49878b3ab7d5756b8d3eb1e1b8a1032bec
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Oct 19 18:23:15 2009 +0200

    Modifications regarding paragraphs and HTML blocks
    
    * Code blocks cannot directly follow paragraphs anymore, there needs
      to be a blank line between them
    * HTML blocks are now better defined

doc/syntax.page

commit 5dfab8e7da0c4d6d5027277b5c7a5741ff558529
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 16 21:20:21 2009 +0200

    Updated test cases
    
    * Moved block test cases into block/ sub directory
    * Added test cases for blank lines and EOB marker
    * Adjusted test cases to comply to specification

test/testcases/block/01_blank_line/spaces.html
test/testcases/block/01_blank_line/spaces.text
test/testcases/block/01_blank_line/tabs.html
test/testcases/block/01_blank_line/tabs.text
test/testcases/block/02_eob/beginning.html
test/testcases/block/02_eob/beginning.text
test/testcases/block/02_eob/end.html
test/testcases/block/02_eob/end.text
test/testcases/block/02_eob/middle.html
test/testcases/block/02_eob/middle.text
test/testcases/block/03_paragraph/indented.html
test/testcases/block/03_paragraph/indented.text
test/testcases/block/03_paragraph/no_newline_at_end.html
test/testcases/block/03_paragraph/no_newline_at_end.text
test/testcases/block/03_paragraph/one_para.html
test/testcases/block/03_paragraph/one_para.text
test/testcases/block/03_paragraph/two_para.html
test/testcases/block/03_paragraph/two_para.text
test/testcases/block/04_header/atx_header.html
test/testcases/block/04_header/atx_header.text
test/testcases/block/04_header/atx_header_no_newline_at_end.html
test/testcases/block/04_header/atx_header_no_newline_at_end.text
test/testcases/block/04_header/setext_header.html
test/testcases/block/04_header/setext_header.text
test/testcases/block/04_header/setext_header_no_newline_at_end.html
test/testcases/block/04_header/setext_header_no_newline_at_end.text
test/testcases/block/04_header/with_auto_ids.html
test/testcases/block/04_header/with_auto_ids.options
test/testcases/block/04_header/with_auto_ids.text
test/testcases/block/05_blockquote/indented.html
test/testcases/block/05_blockquote/indented.text
test/testcases/block/05_blockquote/nested.html
test/testcases/block/05_blockquote/nested.text
test/testcases/block/05_blockquote/no_newline_at_end.html
test/testcases/block/05_blockquote/no_newline_at_end.text
test/testcases/block/05_blockquote/only_first_quoted.html
test/testcases/block/05_blockquote/only_first_quoted.text
test/testcases/block/05_blockquote/with_code_blocks.html
test/testcases/block/05_blockquote/with_code_blocks.text
test/testcases/block/06_codeblock/no_newline_at_end.html
test/testcases/block/06_codeblock/no_newline_at_end.text
test/testcases/block/06_codeblock/normal.html
test/testcases/block/06_codeblock/normal.text
test/testcases/block/06_codeblock/tilde_syntax.html
test/testcases/block/06_codeblock/tilde_syntax.text
test/testcases/block/06_codeblock/with_blank_line.html
test/testcases/block/06_codeblock/with_blank_line.text
test/testcases/block/06_codeblock/with_eob_marker.html
test/testcases/block/06_codeblock/with_eob_marker.text
test/testcases/block/07_horizontal_rule/normal.html
test/testcases/block/07_horizontal_rule/normal.text
test/testcases/block/08_list/escaping.html
test/testcases/block/08_list/escaping.text
test/testcases/block/08_list/list_and_hr.html
test/testcases/block/08_list/list_and_hr.text
test/testcases/block/08_list/list_and_others.html
test/testcases/block/08_list/list_and_others.text
test/testcases/block/08_list/mixed.html
test/testcases/block/08_list/mixed.text
test/testcases/block/08_list/nested.html
test/testcases/block/08_list/nested.text
test/testcases/block/08_list/other_first_element.html
test/testcases/block/08_list/other_first_element.text
test/testcases/block/08_list/simple_ol.html
test/testcases/block/08_list/simple_ol.text
test/testcases/block/08_list/simple_ul.html
test/testcases/block/08_list/simple_ul.text
test/testcases/block/08_list/single_item.html
test/testcases/block/08_list/single_item.text
test/testcases/block/08_list/special_cases.html
test/testcases/block/08_list/special_cases.text
test/testcases/blockquotes/indented.html
test/testcases/blockquotes/indented.text
test/testcases/blockquotes/nested.html
test/testcases/blockquotes/nested.text
test/testcases/blockquotes/no_newline_at_end.html
test/testcases/blockquotes/no_newline_at_end.text
test/testcases/blockquotes/only_first_quoted.html
test/testcases/blockquotes/only_first_quoted.text
test/testcases/blockquotes/with_code_blocks.html
test/testcases/blockquotes/with_code_blocks.text
test/testcases/codeblocks/no_newline_at_end.html
test/testcases/codeblocks/no_newline_at_end.text
test/testcases/codeblocks/normal.html
test/testcases/codeblocks/normal.text
test/testcases/codeblocks/tilde_syntax.html
test/testcases/codeblocks/tilde_syntax.text
test/testcases/codeblocks/with_blank_line.html
test/testcases/codeblocks/with_blank_line.text
test/testcases/codeblocks/with_eob_marker.html
test/testcases/codeblocks/with_eob_marker.text
test/testcases/headers/atx_header.html
test/testcases/headers/atx_header.text
test/testcases/headers/setext_header.html
test/testcases/headers/setext_header.text
test/testcases/headers/with_auto_ids.html
test/testcases/headers/with_auto_ids.options
test/testcases/headers/with_auto_ids.text
test/testcases/horizontal_rules/normal.html
test/testcases/horizontal_rules/normal.text
test/testcases/lists/escaping.html
test/testcases/lists/escaping.text
test/testcases/lists/list_and_hr.html
test/testcases/lists/list_and_hr.text
test/testcases/lists/list_and_others.html
test/testcases/lists/list_and_others.text
test/testcases/lists/mixed.html
test/testcases/lists/mixed.text
test/testcases/lists/nested.html
test/testcases/lists/nested.text
test/testcases/lists/other_first_element.html
test/testcases/lists/other_first_element.text
test/testcases/lists/simple_ol.html
test/testcases/lists/simple_ol.text
test/testcases/lists/simple_ul.html
test/testcases/lists/simple_ul.text
test/testcases/lists/single_item.html
test/testcases/lists/single_item.text
test/testcases/lists/special_cases.html
test/testcases/lists/special_cases.text
test/testcases/paragraphs/indented.html
test/testcases/paragraphs/indented.text
test/testcases/paragraphs/no_newline_at_end.html
test/testcases/paragraphs/no_newline_at_end.text
test/testcases/paragraphs/one_para.html
test/testcases/paragraphs/one_para.text
test/testcases/paragraphs/two_para.html
test/testcases/paragraphs/two_para.text

commit 8145fadea1fb30db0ff9841770fea24617882172
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Oct 16 21:10:19 2009 +0200

    Updated syntax page

doc/syntax.page

commit 8c036139cdb1af146b2d60ddcf3c02c80999545c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Mar 3 16:25:47 2009 +0100

    Restructured internals to allow adding of arbitrary block/span parsers

lib/kramdown.rb
lib/kramdown/parser.rb
lib/kramdown/parser/html.rb
lib/kramdown/parser/registry.rb

commit 14cabf088d0543e978b81ff009a7d6d8121348b9
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Feb 23 17:33:54 2009 +0100

    First version of better HTML parser
    
    - HTML parser now supports basic markdown in HTML block
    - Ruby 1.9 compatible

lib/kramdown.rb
lib/kramdown/converter.rb
lib/kramdown/parser.rb
lib/kramdown/parser/html.rb
test/run_tests.rb
test/testcases/autolinks/url_links.html
test/testcases/html_blocks/auto_parse_block_html.html
test/testcases/html_blocks/auto_parse_block_html.options
test/testcases/html_blocks/auto_parse_block_html.text
test/testcases/html_blocks/filtered_html.html
test/testcases/html_blocks/filtered_html.options
test/testcases/html_blocks/filtered_html.text
test/testcases/html_blocks/html_and_codeblocks.options
test/testcases/html_blocks/processing_instruction.html
test/testcases/html_blocks/processing_instruction.text
test/testcases/html_blocks/simple.html
test/testcases/html_blocks/simple.options
test/testcases/html_blocks/simple.text
test/testcases/html_inline/normal.html

commit 3d679e402274028fa79083521ea2fa6b44236306
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Jan 14 06:25:01 2009 +0100

    Small adjustment in the handling of line breaks

doc/syntax.page
lib/kramdown/parser.rb
test/testcases/line_breaks/normal.html
test/testcases/line_breaks/normal.text

commit 022038a02a37a602835e6d41a106c4390038593d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 26 10:50:59 2008 +0100

    Fixed problem with auto header ids and adjusted their format
    
    Adjusted format of auto header ids to be more similar to those of Pandoc.
    
    Fixed problem with empty IDs and with duplicate IDs.

doc/syntax.page
lib/kramdown/parser.rb
test/testcases/headers/with_auto_ids.html
test/testcases/headers/with_auto_ids.text

commit b9c0f9ebf46dda10ba36e2a7e1ac2df7be30037d
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 26 10:13:19 2008 +0100

    Implemented support for footnotes

doc/syntax.page
lib/kramdown.rb
lib/kramdown/converter.rb
lib/kramdown/parser.rb
misc/default.css
test/testcases/footnotes/definitions.html
test/testcases/footnotes/definitions.text
test/testcases/footnotes/markers.html
test/testcases/footnotes/markers.text

commit 196ed6c9709315c976d7174d6d9fb662a082c135
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sun Dec 21 09:21:53 2008 +0100

    Fixed small bug in list conversion

lib/kramdown/converter.rb
test/testcases/lists/simple_ul.html
test/testcases/lists/simple_ul.text

commit ee6695d662ac923d8a1cd83470d23a329829c5a6
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 19 19:47:33 2008 +0100

    Implemented attribute list definitions and inline attribute lists

Rakefile
doc/syntax.page
lib/kramdown.rb
lib/kramdown/converter.rb
lib/kramdown/parser.rb
test/testcases/attribute_lists/ald.html
test/testcases/attribute_lists/ald.text
test/testcases/attribute_lists/ial_block.html
test/testcases/attribute_lists/ial_block.text
test/testcases/attribute_lists/ial_span.html
test/testcases/attribute_lists/ial_span.text

commit b5e5c5b1112d87d78c5e701e42a1ebdcc139b23f
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 19 19:25:22 2008 +0100

    Small update to the test cases for horizontal lines

test/testcases/horizontal_rules/normal.html
test/testcases/horizontal_rules/normal.text

commit a4bbf3ab8cfc5bcf462782f9d63a0d70aa57fe3c
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Wed Dec 17 07:20:17 2008 +0100

    Small optimization
    
    Removed not needed regexp, now using result of #check instead
    of second #scan

lib/kramdown/parser.rb

commit 439c3ad4be3bccd155cc1ca61cfc868924a026fe
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Mon Dec 15 09:17:56 2008 +0100

    Implement automatic header ID generation

doc/syntax.page
lib/kramdown/parser.rb
test/test_files.rb
test/testcases/headers/with_auto_ids.html
test/testcases/headers/with_auto_ids.options
test/testcases/headers/with_auto_ids.text

commit 9b7b33d3a2a961fc07aee968af42798b110e460e
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Dec 13 09:47:40 2008 +0100

    Small optimization

lib/kramdown/parser.rb

commit ee0449065558e02affacfe27ff94c8a00d6e9a62
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Sat Dec 13 08:54:34 2008 +0100

    Removed rdiscount from benchmark since it will always be faster

Rakefile

commit ff919700c1377407fe1651a1c7152a227c54da15
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Fri Dec 12 09:15:01 2008 +0100

    Small refactoring and API documentation update

Rakefile
lib/kramdown.rb
lib/kramdown/converter.rb
lib/kramdown/parser.rb
test/testcases/codespans/normal.html
test/testcases/codespans/normal.text
test/testcases/links/inline.html
test/testcases/links/inline.text

commit f498f888af8f10dccfffd6621ce46068aab980f2
Author: Thomas Leitner <t_leitner@gmx.at>
Date:   Tue Dec 9 07:24:55 2008 +0100

    Initial import

COPYING
GPL
Rakefile
bin/kramdown
doc/documentation.page
doc/syntax.page
doc/tests.page
lib/kramdown.rb
lib/kramdown/converter.rb
lib/kramdown/parser.rb
misc/default.css
misc/default.template
misc/htmldoc.metainfo
misc/htmldoc.virtual
misc/images/arrow.gif
misc/images/error.gif
misc/images/exclamation.gif
misc/images/headerbg.jpg
misc/images/information.gif
misc/images/quote.gif
setup.rb
test/run_tests.rb
test/test_files.rb
test/testcases/autolinks/url_links.html
test/testcases/autolinks/url_links.text
test/testcases/blockquotes/indented.html
test/testcases/blockquotes/indented.text
test/testcases/blockquotes/nested.html
test/testcases/blockquotes/nested.text
test/testcases/blockquotes/no_newline_at_end.html
test/testcases/blockquotes/no_newline_at_end.text
test/testcases/blockquotes/only_first_quoted.html
test/testcases/blockquotes/only_first_quoted.text
test/testcases/blockquotes/with_code_blocks.html
test/testcases/blockquotes/with_code_blocks.text
test/testcases/codeblocks/no_newline_at_end.html
test/testcases/codeblocks/no_newline_at_end.text
test/testcases/codeblocks/normal.html
test/testcases/codeblocks/normal.text
test/testcases/codeblocks/tilde_syntax.html
test/testcases/codeblocks/tilde_syntax.text
test/testcases/codeblocks/with_blank_line.html
test/testcases/codeblocks/with_blank_line.text
test/testcases/codeblocks/with_eob_marker.html
test/testcases/codeblocks/with_eob_marker.text
test/testcases/codespans/errors.html
test/testcases/codespans/errors.text
test/testcases/codespans/normal.html
test/testcases/codespans/normal.text
test/testcases/email_header/normal_header.html
test/testcases/email_header/normal_header.text
test/testcases/emphases/errors.html
test/testcases/emphases/errors.text
test/testcases/emphases/normal.html
test/testcases/emphases/normal.text
test/testcases/headers/atx_header.html
test/testcases/headers/atx_header.text
test/testcases/headers/setext_header.html
test/testcases/headers/setext_header.text
test/testcases/horizontal_rules/normal.html
test/testcases/horizontal_rules/normal.text
test/testcases/html_blocks/comment.html
test/testcases/html_blocks/comment.text
test/testcases/html_blocks/html_and_codeblocks.html
test/testcases/html_blocks/html_and_codeblocks.text
test/testcases/html_blocks/invalid_html_1.html
test/testcases/html_blocks/invalid_html_1.text
test/testcases/html_blocks/invalid_html_2.html
test/testcases/html_blocks/invalid_html_2.text
test/testcases/html_blocks/processing_instruction.html
test/testcases/html_blocks/processing_instruction.text
test/testcases/html_blocks/simple.html
test/testcases/html_blocks/simple.text
test/testcases/html_inline/normal.html
test/testcases/html_inline/normal.text
test/testcases/line_breaks/normal.html
test/testcases/line_breaks/normal.text
test/testcases/links/imagelinks.html
test/testcases/links/imagelinks.text
test/testcases/links/inline.html
test/testcases/links/inline.text
test/testcases/links/link_defs.html
test/testcases/links/link_defs.text
test/testcases/links/reference.html
test/testcases/links/reference.text
test/testcases/lists/escaping.html
test/testcases/lists/escaping.text
test/testcases/lists/list_and_hr.html
test/testcases/lists/list_and_hr.text
test/testcases/lists/list_and_others.html
test/testcases/lists/list_and_others.text
test/testcases/lists/mixed.html
test/testcases/lists/mixed.text
test/testcases/lists/nested.html
test/testcases/lists/nested.text
test/testcases/lists/other_first_element.html
test/testcases/lists/other_first_element.text
test/testcases/lists/simple_ol.html
test/testcases/lists/simple_ol.text
test/testcases/lists/simple_ul.html
test/testcases/lists/simple_ul.text
test/testcases/lists/single_item.html
test/testcases/lists/single_item.text
test/testcases/lists/special_cases.html
test/testcases/lists/special_cases.text
test/testcases/paragraphs/indented.html
test/testcases/paragraphs/indented.text
test/testcases/paragraphs/no_newline_at_end.html
test/testcases/paragraphs/no_newline_at_end.text
test/testcases/paragraphs/one_para.html
test/testcases/paragraphs/one_para.text
test/testcases/paragraphs/two_para.html
test/testcases/paragraphs/two_para.text
test/testcases/text_substitutions/ampersands.html
test/testcases/text_substitutions/ampersands.text
test/testcases/text_substitutions/greaterthan.html
test/testcases/text_substitutions/greaterthan.text
test/testcases/text_substitutions/lowerthan.html
test/testcases/text_substitutions/lowerthan.text
website/src/default.template
website/src/images/feed.gif
website/src/index.page
website/src/metainfo
website/src/news/default.template
website/src/news/index.page
website/src/news/news.feed
website/src/news/release_0_1_0.page
website/src/virtual
